.\" dpkg manual page - deb-changes(5)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2010 Russ Allbery <rra@debian.org>
.\" Copyright © 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-changes 5 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
dpkg\-genchanges \- Format der Debian\-Changes\-Datei
.
.SH ÜBERSICHT
\fIDateiname\fP\fB.changes\fP
.
.SH BESCHREIBUNG
Jeder Debian\-Upload besteht aus einer .changes\-Steuerdatei, die eine Reihe
von Feldern enthält. Jedes Feld beginnt mit einer Markierung wie \fBSource\fP
oder \fBBinary\fP (Groß\-/Kleinschreibung ist egal), gefolgt von einem
Doppelpunkt und dem Inhalt des Feldes. Felder werden nur durch
Feldmarkierungen abgegrenzt. Mit anderen Worten: Der Feldtext kann über
mehrere Zeilen gehen, wobei die Installationswerkzeuge die Zeilen bei der
Verarbeitung des Feldinhaltes zusammenfügen werden (Ausnahmen sind die
mehrzeiligen Felder \fBDescription\fP, \fBChanges\fP, \fBFiles\fP, \fBChecksums\-Sha1\fP
und \fBChecksums\-Sha256\fP, siehe unten).
.PP
Die Steuerdaten können in eine Signatur mit einer wie in RFC4880
spezifizierten OpenPGP\-ASCII\-Hülle eingeschlossen sein.
.
.SH FELDER
.TP 
\fBFormat:\fP \fIFormatversion\fP (verpflichtend)
Das Wert dieses Feldes legt die Formatversion der Datei fest. Die Syntax des
Feldwertes ist eine Versionsnummer mit einer Haupt\- und einer
Nebenkomponente. Rückwärtsinkompatible Änderungen im Format führen zu einer
Erhöhung der Hauptversion und rückwärtskompatible Änderungen (wie die
Aufnahme neuer Felder) führen zu einer Erhöhung der Nebenversion. Die
aktuelle Formatversion ist \fB1.8\fP.
.TP 
\fBDate:\fP \fIVeröffentlichungsdatum\fP (verpflichtend)
Das Datum, an dem das Paket letztmalig gebaut oder bearbeitet wurde. Es muss
im gleichen Format wie in einem Eintrag bei \fBdeb\-changelog\fP(5) sein.

Der Wert dieses Feldes wird normalerweise aus der Datei \fIdebian/changelog\fP
ausgelesen.
.TP 
\fBSource:\fP \fIQuellname\fP [\fB(\fP\fIQuellversion\fP\fB)\fP] (verpflichtend)
Der Name des Quellpakets. Falls sich die Quellversion von der Binärversion
unterscheidet folgt dem \fIQuellname\fPn in Klammern eine \fIQuellversion\fP. Dies
kann passieren, falls dies ein rein\-binärer\-nicht\-Betreuer\-Upload ist.
.TP 
\fBBinary:\fP \fIBinärpaketliste\fP (verpflichtend)
Dieses gefaltete Feld ist eine durch Leerzeichen getrennte Liste von
hochzuladenen binären Paketen.
.TP 
\fBArchitecture:\fP \fIArchitekturliste\fP
Listet die Architekturen der derzeit hochgeladenen Dateien auf. Geläufige
Architekturen sind \fBamd64\fP, \fBarmel\fP, \fBi386\fP, usw. Beachten Sie, dass der
Wert \fBall\fP für Pakete gedacht ist, die Architektur\-unabhängig sind. Falls
die Quellen für das Paket auch hochgeladen werden, ist der besondere Eintrag
\fBsource\fP auch vorhanden. Architektur\-Platzhalter dürfen in der Liste
niemals auftauchen.
.TP 
\fBVersion:\fP \fIVersionszeichenkette\fP (verpflichtend)
Typischerweise ist das die Original\-Paketversionsnummer, in der Form, die
der Programmautor verwendet. Es kann auch eine Debian\-Revisionsnummer
enthalten (für nicht aus Debian stammende Pakete). Das genaue Format und der
Sortieralgorithmus sind in \fBdeb\-version\fP(7) beschrieben.
.TP 
\fBDistribution:\fP \fIDistribution\fPen (verpflichtend)
Listet eine oder mehrere durch Leerzeichen getrennte Distributiionen auf,
bei denen diese Version installiert werden sollte, wenn es in das Archiv
hochgeladen wird.
.TP 
\fBUrgency:\fP \fIDringlichkeit\fP (empfohlen)
Die Dringlichkeit des Uploads. Die derzeit bekannten Werte, in aufsteigender
Reihenfolge der Dringlichkeit, sind: \fBlow\fP, \fBmedium\fP, \fBhigh\fP, \fBcritical\fP
und \fBemergency\fP.
.TP 
\fBMaintainer:\fP \fIVollständiger\-Name\-und\-E\-Mail\fP (verpflichtend)
Sollte in dem Format „Joe Bloggs <jbloggs@example.org>“ sein und ist
typischerweise die Person, die das Paket erstellt hat, im Gegensatz zum
Autor der Software, die paketiert wurde.
.TP 
\fBChanged\-By:\fP\fI Vollständiger\-Name\-und\-E\-Mail\fP
Sollte in dem Format „Joe Bloggs <jbloggs@example.org>“ sein und ist
typischerweise die Person, die die Änderungen für die Veröffentlichung am
Paket vorgenommen hat.
.TP 
\fBDescription:\fP (empfohlen)
.TQ
 \fIBinärpaketname\fP \fB\-\fP \fIBinärpaketzusammenfassung\fP
Dieses mehrzeilige Feld enthält eine Liste von Binärpaketnamen, gefolgt von
einem Leerzeichen, einem Gedankenstrich (‚\fB\-\fP’) und ihren, möglicherweise
abgeschnittenen, Kurzbeschreibungen.
.TP 
\fBCloses:\fP\fI Fehlernummernliste\fP
Eine durch Leerzeichen getrennte Liste von Fehlerberichtsnummern, die mit
diesem Upload behoben wurden. Die Software des Distributionsarchivs könnte
dieses Feld benutzen, um automatisch die referenzierten Fehlernummern in der
Fehlerdatenbank der Distribution zu schließen.
.TP 
\fBBinary\-Only: yes\fP
Das Feld kennzeichnet, dass der Upload ein rein binärer,
nicht\-Betreuer\-Upload ist. Er stammt aus dem Schlüssel/Werte\-Paar
\fBbinary\-only=yes\fP aus dem Metadateneintrag des Changelogs.
.TP 
\fBBuilt\-For\-Profiles:\fP\fI Profilliste\fP
Das Feld gibt eine durch Leerraum getrennte Liste von Bauprofilen an, unter
denen dieser Upload gebaut wurde.
.TP 
\fBChanges:\fP (verpflichtend)
.TQ
\fIChangelog\-Einträge\fP
Das mehrzeilige Feld enthält den aneinandergehängten Text aller
Changelog\-Einträge, die Teil dieses Uploads sind. Um ein gültiges
mehrzeiliges Feld zu erhalten, werden leere Zeilen durch ein einzelnen
Satzpunkt (‚.’) ersetzt und alle Zeilen mit einem Leerzeichen
eingerückt. Der genaue Inhalt hängt vom Changelog\-Format ab.
.TP 
\fBFiles:\fP (verpflichtend)
.TQ
 \fIMd5sum\fP \fIGröße\fP \fISektion\fP \fIPriorität\fP \fIDateiname\fP
Das mehrzeilige Feld enthält eine Liste der Dateien mit Md5sum, Größe,
Sektion und Priorität für jede.

Die erste Zeile des Feldwertes (dem Teil auf der gleichen Zeile wie der von
einem Doppelpunkt gefolgte Feldname) ist immer leer. Der Inhalt des Feldes
wird durch Fortsetzungszeilen ausgedrückt, eine Zeile pro Datei. Jede Zeile
besteht aus durch Leerzeichen getrennten Einträgen, die die Datei
beschreiben: die Md5sum, die Dateigröße, die Datei\-Sektion, die
Datei\-Priorität und der Dateiname.

Dieses Feld führt alle Dateien, die den Upload bilden, auf. Die Liste der
Dateien in diesem Feld muss auf die Liste der Dateien in den anderen
zugehörigen \fBChecksums\fP\-Feldern passen.
.TP 
\fBChecksums\-Sha1:\fP (verpflichtend)
.TQ
\fBChecksums\-Sha256:\fP (verpflichtend)
.TQ
 \fIPrüfsumme\fP \fIGröße\fP \fIDateiname\fP
Diese mehrzeiligen Felder enthalten eine Liste von Dateien mit einer
Prüfsumme und Größe für jede. Diese Felder haben die gleiche Syntax und
unterscheiden sich nur im verwandten Prüfsummenalgorithmus: SHA\-1 für
\fBChecksums\-Sha1\fP und SHA\-256 für \fBChecksums\-Sha256\fP.

Die erste Zeile des Feldwertes (der Teil auf dem durch ein Doppelpunkt
gefolgten Namen) ist immer leer. Der Inhalt des Feldes wird durch
Fortsetzungszeilen ausgedrückt, eine Zeile pro Datei. Jede Zeile besteht aus
durch Leerzeichen getrennten Einträgen, die die Datei beschreiben: der
Prüfsumme, der Dateigröße und dem Dateinamen.

Diese Felder führen alle Dateien auf, aus denen der Upload besteht. Die
Liste der Dateien in diesen Feldern muss zu der Liste in dem Feld \fBFiles\fP
und den anderen zugehörigen \fBChecksums\fP\-Feldern passen.
.
.\" .SH EXAMPLE
.\" .RS
.\" .nf
.\"
.\" .fi
.\" .RE
.
.SH FEHLER
Das Feld \fBFiles\fP ist inkonsistent gegenüber den anderen
\fBChecksums\fP\-Feldern. Die Felder \fBChange\-By\fP und \fBMaintainer\fP haben
verwirrende Namen. Das Feld \fBDistribution\fP enthält Informationen darüber,
was normalerweise als Suite bezeichnet wird.
.SH "SIEHE AUCH"
\fBdeb\-src\-control\fP(5), \fBdeb\-version\fP(7).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
