.\" dpkg manual page - deb-origin(5)
.\"
.\" Copyright © 2011 Matt Kraai <kraai@ftbfs.org>
.\" Copyright © 2011 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-origin 5 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
deb\-origin \- Lieferanten\-spezifische Informationsdateien
.SH ÜBERSICHT
\fB%PKGCONFDIR%/origins/\fP\fIDateiname\fP
.SH BESCHREIBUNG
Die Dateien in \fB%PKGCONFDIR%/origins\fP können Informationen über
verschiedene Lieferanten, die Debian\-Pakete bereitstellen, bereitstellen.

Sie enthalten eine Reihe von Feldern oder Kommentaren (wenn die Zeile mit
‚\fB#\fP’ beginnt). Jedes Feld beginnt mit einer Markierung, wie \fBVendor\fP oder
\fBParent\fP (Groß\-/Kleinschreibung egal), gefolgt von einem Doppelpunkt und
dem Körper des Feldes. Felder werden nur durch die Feldmarkierungen
abgegrenzt. Mit anderen Worten, Feldtexte können mehrere Zeilen überspannen,
aber die Werkzeuge werden im Allgemeinen die Zeilen bei der Verarbeitung des
Feldkörpers zusammenfassen.

Der Dateiname sollte nach dem Lieferantennamen benannt werden. Die normale
Konvention lautet, dass die Lieferantendatei den Lieferantennamen komplett
in Kleinschreibung verwenden soll, aber bestimmte Abweichungen sind
erlaubt. Konkret werden Leerzeichen auf Gedankenstriche (‚\fB\-\fP’) abgebildet
und die Datei kann die gleiche Groß\-/Kleinschreibung wie der Wert des Feldes
\fBVendor\fP verwenden oder er kann mit einem Großbuchstaben beginnen.
.SH FELDER
.TP 
\fBVendor:\fP \fILieferantenname\fP (verpflichtend)
Der Wert dieses Feldes bestimmt den Lieferantennamen.
.TP 
\fBVendor\-URL:\fP\fI Lieferanten\-URL\fP
Der Wert dieses Feldes bestimmt die Lieferanten\-URL.
.TP 
\fBBugs:\fP\fI Fehler\-URL\fP
Der Wert dieses Feldes bestimmt den Typ und die Adresse der Fehlerdatenbank,
die von diesem Lieferanten benutzt wird. Es kann eine »mailto«\-URL oder eine
Debbugs\-URL sein (z.B. debbugs://bugs.debian.org/).
.TP 
\fBParent:\fP\fI Lieferantenname\fP
Der Wert dieses Feldes bestimmt den Lieferantennamen des Lieferanten, von
dem dieser Lieferant sich abgeleitet hat.
.SH BEISPIEL
.nf
Vendor: Debian
Vendor\-URL: https://www.debian.org/
Bugs: debbugs://bugs.debian.org
.fi
.SH "SIEHE AUCH"
\fBdpkg\-vendor\fP(1)
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
