.\" dpkg manual page - deb-src-rules(5)
.\"
.\" Copyright © 2016-2017 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-src\-rules 5 05.09.2017 Debian\-Projekt dpkg\-Hilfsprogramme
.SH BEZEICHNUNG
deb\-src\-rules \- »rules«\-Datei von Debian\-Quellpaketen
.
.SH ÜBERSICHT
debian/rules
.
.SH BESCHREIBUNG
Diese Datei enthält die notwendigen Anweisungen, um das Binärpaket aus dem
Quellpaket zu bauen.
.PP
Die Datei \fIdebian/rules\fP ist eine ausführbare Makefile, die mit einem
Shebang, der normalerweise auf »#!/usr/bin/make \-f« gesetzt ist, beginnt.
.PP
Sie muss die folgenden Make\-Ziele unterstützen:

.TP 
\fBclean\fP
Bereinigt den Quellbaum, indem alle Änderungen durch irgendeines der Build\-
und Binärziele rückgängig gemacht werden. Dieses Ziel wird mit
Root\-Privilegien aufgerufen.
.TP 
\fBbuild\-indep\fP
Baut architekturunabhängige Dateien, die benötigt werden, um irgendein
architekturunabhängiges Binärpaket zu bauen. Falls keine
architekturunabhängigen Binärpakete erstellt werden, muss das Ziel weiterhin
existieren, darf aber nichts durchführen. Dieses Ziel darf keine
Root\-Privilegien benötigen.
.TP 
\fBbuild\-arch\fP
Baut architekturabhängige Dateien, die benötigt werden, um irgendein
architekturabhängiges Binärpaket zu bauen. Falls keine architekturabhängigen
Binärpakete erstellt werden, muss das Ziel weiterhin existieren, darf aber
nichts durchführen. Dieses Ziel darf keine Root\-Privilegien benötigen.
.TP 
\fBbuild\fP
Baut architekturabhängige und \-unabhängige Dateien, entweder durch eine
Abhängigkeit (mindestens transitiv) von \fBbuild\-indep\fP und/oder
\fBbuild\-arch\fP oder indem die Tätigkeiten dieser Ziele direkt eingefügt
werden. Dieses Ziel darf keine Root\-Privilegien benötigen.
.TP 
\fBbinary\-indep\fP
Baut architekturunabhängige Binärpakete. Dieses Ziel muss (mindestens
transitiv) von  \fBbuild\-indep\fP oder \fBbuild\fP abhängen. Dieses Ziel wird mit
Root\-Privilegien aufgerufen.
.TP 
\fBbinary\-arch\fP
Baut architekturabhängige Binärpakete. Dieses Ziel muss (mindestens
transitiv) von  \fBbuild\-arch\fP oder \fBbuild\fP abhängen. Dieses Ziel wird mit
Root\-Privilegien aufgerufen.
.TP 
\fBbinary\fP
Baut architekturunabhängige und \-abhängige Binärpakete, entweder durch eine
Abhängigkeit (mindestens transitiv) von \fBbinary\-indep\fP und/oder
\fBbinary\-arch\fP oder indem die Tätigkeiten dieser Ziele direkt eingefügt
werden. Dieses Ziel wird mit Root\-Privilegien aufgerufen.
.
.SH "SIEHE AUCH"
.ad l
.nh
\fBdpkg\-architecture\fP(1), \fBdpkg\-vendor\fP(1), \fBdpkg\-buildflags\fP(1),
\fBdpkg\-parsechangelog\fP(1), \fBdpkg\-shlibdeps\fP(1), \fBdpkg\-gencontrol\fP(1),
\fBdpkg\-deb\fP(1), \fBdpkg\-distaddfile\fP(1).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
