.\" dpkg manual page - deb-substvars(5)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2009,2012-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-substvars 5 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
deb\-substvars \- Substitutionsvariablen in Debian\-Quellen
.
.SH ÜBERSICHT
substvars
.
.SH BESCHREIBUNG
Bevor \fBdpkg\-source\fP, \fBdpkg\-gencontrol\fP und \fBdpkg\-genchanges\fP ihre
Steuerinformationen (zu der Quell\-control\-Datei \fB.dsc\fP für \fBdpkg\-source\fP
und zu der Standardausgabe für \fBdpkg\-gencontrol\fP und \fBdpkg\-genchanges\fP)
schreiben, führen sie einige Variablensubstitutionen in der Ausgabedatei
durch.

Eine Variablensubstitution hat die Form
\fB${\fP\fIVariablenname\fP\fB}\fP. Variablennamen bestehen aus alphanumerischen
Zeichen (womit sie auch beginnen), Gedankenstrichen und
Doppelpunkten. Variablensubstitutionen werden wiederholt durchgeführt, bis
keine übrig geblieben sind; der komplette Text des Feldes nach der
Substitution wird erneut auf weitere Substitutionen geprüft.

Nachdem alle Substitutionen erfolgt sind, wird jedes Auftreten der
Zeichenkette \fB${}\fP (die keine erlaubte Substitution ist) durch das
\fB$\fP\-Zeichen ersetzt.

Obwohl die Variablensubstitution bei allen Feldern der control\-Datei
vorgenommen wird, werden einige dieser Felder während des Bauens benötigt
und verwendet, wenn die Substitution noch nicht erfolgt ist. Daher können
Sie Variablen nicht in den Feldern \fBPackage\fP, \fBSource\fP und \fBArchitecture\fP
verwenden.

Variablenersetzung erfolgt am Inhalt der Felder, nachdem sie geparst
(ausgewertet) wurden. Falls Sie eine Variable über mehrere Zeilen
expandieren möchten, müssen Sie nach dem Zeilenumbruch daher kein
Leerzeichen einfügen. Dies passiert bei der Ausgabe des Feldes implizit. Ist
beispielsweise die Variable \fB${Description}\fP auf »foo ist bar.${Newline}foo
ist super.« gesetzt und Sie haben das folgende Feld:

 Description: foo application
  ${Description}
  .
  Weiterer Text.

Dann wird dies zu Folgenden führen:

 Description: foo application
  foo ist bar.
  foo ist super.
  .
  Weiterer Text.

Variablen können über die allgemeine \fB\-V\fP\-Option gesetzt werden. Sie können
auch in der \fBdebian/substvars\fP (bzw. in der über die Option \fB\-T\fP gesetzten
Datei) angegeben werden. Diese Datei besteht auch Zeilen der Form
\fIName\fP\fB=\fP\fIWert\fP. Leerraumzeichen am Zeilenende, leere Zeilen und Zeilen,
die mit dem \fB#\fP\-Symbol starten (Kommentare) werden ignoriert.

Zusätzlich sind die folgenden Standardvariablen verfügbar:
.TP 
\fBArch\fP
Die aktuelle Host\-Architektur (d.h. die Architektur, für die das Paket
gebaut wird, das Äquivalent zu \fBDEB_HOST_ARCH\fP).
.TP 
\fBsource:Version\fP
Die Quellpaketversion (seit Dpkg 1.13.19).
.TP 
\fBsource:Upstream\-Version\fP
Die Paketversion der Originalautoren, einschließlich der Epoche der
Debian\-Version, falls vorhanden (seit Dpkg 1.13.19).
.TP 
\fBbinary:Version\fP
Die Binärpaketversion (die z.B. in einem binNMU von \fBsource:Version\fP
abweichen kann; seit Dpkg 1.13.19).
.TP 
\fBSource\-Version\fP
Die Quellpaketversion (aus der changelog\-Datei). Diese Variable ist jetzt
\fBveraltet\fP und gibt bei der Benutzung einen Fehler aus, da ihre Bedeutung
von ihrer Funktion abweicht, bitte verwenden Sie \fBsource:Version\fP oder
\fBbinary:Version\fP wo zutreffend.
.TP 
\fBsource:Synopsis\fP
The source package synopsis, extracted from the source stanza \fBDescription\fP
field, if it exists (since dpkg 1.19.0).
.TP 
\fBsource:Extended\-Description\fP
The source package extended description, extracted from the source stanza
\fBDescription\fP field, if it exists (since dpkg 1.19.0).
.TP 
\fBInstalled\-Size\fP
Die ungefähre Gesamtgröße der vom Paket installierten Dateien. Dieser Wert
wird in das entsprechende Feld der »control«\-Datei kopiert; wird es gesetzt,
verändert es den Wert dieses Feldes. Falls diese Variable nicht gesetzt ist,
wird \fBdpkg\-gencontrol\fP den Vorgabewert berechnen, indem es die Größen jeder
regulären Datei und jedes Symlinks (gerundet auf 1 KiB) aufsammelt und einen
Grundwert von 1 KiB für aller anderen Dateisystemobjekttypen verwendet.

\fBHinweis\fP: Beachten Sie, dass dies stets nur ein Schätzwert sein kann, da
die tatsächliche Größe im installierten System stark vom verwandten
Dateisystem und seinen Parametern abhängt. Daher kann es am Ende mehr oder
weniger als in diesem Feld angegebenen Platz belegen.
.TP 
\fBExtra\-Size\fP
Zusätzlicher Plattenplatz, der verwendet wird, wenn das Paket installiert
ist. Falls diese Variable gesetzt ist, wird dieser Wert zu der
\fBInstalled\-Size\fP\-Variablen hinzuaddiert (egal ob sie explizit gesetzt oder
der Standardwert verwendet wird), bevor sie in das Feld \fBInstalled\-Size\fP
der »control«\-Datei kopiert wird.
.TP 
\fBS:\fP\fIFeldname\fP
Der Wert des Quellpaket\-Absatzfeldes \fIFeldname\fP (der in der kanonischen
Groß\-/Kleinschreibung angegeben werden muss; seit Dpkg 1.18.11). Das Setzen
dieser Variablen hat nur an den Stellen einen Effekt, wo diese explizit
expandiert werden. Diese Variablen sind nur bei der Erstellung der binären
Steuerdatei verfügbar.
.TP 
\fBF:\fP\fIFeldname\fP
Der Wert des Ausgabefeldes \fIFeldname\fP (der in der kanonischen
Groß\-/Kleinschreibung angegeben werden muss). Das Setzen dieser Variablen
hat nur einen Effekt an den Stellen, wo diese explizit expandiert werden.
.TP 
\fBFormat\fP
Die Formatversion der \fB.changes\fP\-Datei, die von dieser Version der
Quellpaketierskripte erstellt wird. Falls Sie diese Variable setzen, werden
die Inhalte des \fBFormat\fP\-Feldes in der \fB.changes\fP\-Datei auch geändert.
.TP 
\fBNewline\fP, \fBSpace\fP, \fBTab\fP
Diese Variablen enthalten das jeweils korrespondieren Zeichen
(\fBZeilenumbruch\fP, \fBLeerzeichen\fP und \fBTabulator\fP in dieser Reihenfolge).
.TP 
\fBshlibs:\fP\fIdependencyfield\fP
Variableneinstellungen mit Namen dieser Form werden von \fBdpkg\-shlibdeps\fP
erstellt.
.TP 
\fBdpkg:Upstream\-Version\fP
Die Original\- (Upstream\-)Version von Dpkg (seit Dpkg 1.13.19).
.TP 
\fBdpkg:Version\fP
Die komplette Version von Dpkg (seit Dpkg 1.13.19).
.LP
Falls auf eine Variable Bezug genommen wird, diese aber nicht definiert ist,
wird es eine Warnung erstellen und ein leerer Wert wird angenommen.
.
.SH DATEIEN
.TP 
\fBdebian/substvars\fP
Liste von Substitutionsvariablen und \-werten.
.
.SH "SIEHE AUCH"
.ad l
\fBdpkg\fP(1), \fBdpkg\-genchanges\fP(1), \fBdpkg\-gencontrol\fP(1),
\fBdpkg\-shlibdeps\fP(1), \fBdpkg\-source\fP(1).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
