.\" dpkg manual page - deb-symbols(5)
.\"
.\" Copyright © 2007-2012 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2011, 2013-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-symbols 5 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
deb\-symbols \- Debians erweiterte Informationsdatei von Laufzeitbibliotheken
.
.SH ÜBERSICHT
symbols
.
.SH BESCHREIBUNG
Die Symboldateien werden in Debian\-Binärpaketen ausgeliefert. Deren Format
ist eine Teilmenge der Vorlagensymboldateien, die von \fBdpkg\-gensymbols\fP(1)
in Debian\-Quellpaketen verwandt wird.
.P
Das Format eines Eintrags für eine erweiterte Abhängigkeitsinformation einer
Laufzeitbibliothek (»shared library«) lautet:
.PP
\fIBibliotheks\-Soname Hauptabhängigkeitsvorlage\fP
.br
[| \fIalternative\-Abhängigkeitsvorlage\fP]
.br
[…]
.br
[* \fIFeldname\fP: \fIFeldwert\fP]
.br
[…]
 \fISymbol\fP \fIMinimalversion\fP [\fIKennung\-der\-Abhängigkeitsvorlage\fP]
.P
Der \fIBibliotheks\-Soname\fP ist genau der Wert des SONAME\-Feldes, wie er von
\fBobjdump\fP(1) exportiert wird. Eine \fIAbhängigkeitsvorlage\fP ist eine
Abhängigkeit, in der \fI#MINVER#\fP dynamisch entweder von einer
Versionsprüfung der Art „(>= \fIMinimalversion\fP)“ oder durch nichts
ersetzt wird, falls eine nicht\-versionierte Abhängigkeit als ausreichend
erachtet wird.
.P
Jedem exportierten \fISymbol\fP (aufgeführt als \fIName\fP@\fIVersion\fP, mit
\fIVersion\fP als „Base“, falls die Bibliothek nicht versioniert ist) wird eine
\fIMinimalversion\fP seiner Abhängigkeitsvorlage zugeordnet (die
Hauptabhängigkeitsvorlage wird immer verwandt und wird am Ende mit der
abhängigen, in \fIid\-of\-dependency\-template\fP referenzierten Vorlage (falls
vorhanden) kombiniert) Die erste alternative Abhängigkeitsvorlage wird mit 1
nummeriert, die zweite mit 2 usw.
.P
Jeder Eintrag für eine Bibliothek kann auch einige Felder mit
Metainformationen enthalten. Diese Felder werden in Zeilen gespeichert, die
mit einem Stern beginnen. Derzeit sind die einzig gültigen Felder:
.TP 
\fBBuild\-Depends\-Package\fP
Es gibt den Namen des „\-dev“\-Pakets an, das der Bibliothek zugeordnet ist,
und wird von \fBdpkg\-shlibdeps\fP verwandt, um sicherzustellen, dass die
erstellte Abhängigkeit mindestens genauso strikt ist wie die zugehörige
Bau\-Abhängigkeit (seit Dpkg 1.14.13).
.TP 
\fBIgnore\-Blacklist\-Groups\fP
Es gibt in einer durch Leerraumzeichen getrennten Liste an, welche
Blacklist\-Gruppen ignoriert werden sollten, so dass Symbole, die in diesen
Gruppen enthalten sind, in die Ausgabedatei aufgenommen werden (seit Dpkg
1.17.6). Dies sollte nur für Toolchain\-Pakete notwendig sein, die solche
Symbole in Blacklists bereitstellen. Die verfügbaren Gruppen sind
systemabhängig, für ELF\- und GNU\-basierte Systeme sind dies \fBaeabi\fP und
\fBgomp\fP.
.SH BEISPIELE
.SS "Einfache Symboldatei"
.PP
libftp.so.3 libftp3 #MINVER#
 DefaultNetbuf@Base 3.1\-1\-6
 FtpAccess@Base 3.1\-1\-6
 […]
.SS "Fortgeschrittene Symboldatei"
.PP
libGL.so.1 libgl1
.br
| libgl1\-mesa\-glx #MINVER#
.br
* Build\-Depends\-Package: libgl1\-mesa\-dev
 publicGlSymbol@Base 6.3\-1
 […]
 implementationSpecificSymbol@Base 6.5.2\-7 1
 […]
.SH "SIEHE AUCH"
\fBhttps://wiki.debian.org/Projects/ImprovedDpkgShlibdeps\fP
.br
\fBdpkg\-shlibdeps\fP(1), \fBdpkg\-gensymbols\fP(1).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
