.\" dpkg manual page - deb-triggers(5)
.\"
.\" Copyright © 2008, 2013-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2011, 2014 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-triggers 5 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
deb\-triggers \- Paket\-Trigger
.
.SH ÜBERSICHT
triggers
.
.SH BESCHREIBUNG
Ein Paket erklärt seine Beziehung zu einigen Trigger(n) (deutsch: Auslösern)
indem es eine Datei \fItriggers\fP in seinem Steuerarchiv
(d.h. \fIDEBIAN/triggers\fP während der Paketerstellung) hinzunimmt.
.PP
Diese Datei enthält Direktiven, eine pro Zeile. Leerraumzeichen am Anfang
und Ende sowie alles nach dem ersten \fB#\fP werden in jeder Zeile entfernt und
leere Zeilen werden ignoriert.
.PP
Die derzeit unterstützten Steuerdirektiven für Trigger sind:
.TP 
\fBinterest\fP \fITrigger\-Name\fP
.TQ
\fBinterest\-await\fP \fITrigger\-Name\fP
.TQ
\fBinterest\-noawait\fP \fITrigger\-Name\fP
.IP
Gibt an, dass das Paket an dem benannten Trigger interessiert ist. Alle
Trigger, an denen ein Paket interessiert ist, müssen mit dieser Direktive in
der Trigger\-Steuerdatei aufgeführt werden. Die Variante „noawait“ setzt die
triggernden Pakete nicht in den Zustand »triggers\-awaited«. Dies sollte
verwandt werden, wenn die von den Triggern bereitgestellte Funktionalität
nicht äußerst wichtig ist.
.TP 
\fBactivate\fP \fITrigger\-Name\fP
.TQ
\fBactivate\-await\fP \fITrigger\-Name\fP
.TQ
\fBactivate\-noawait\fP \fITrigger\-Name\fP
.IP
Sorgt dafür, dass Änderungen an dem Zustand dieses Pakets einen
spezifizierten Trigger aktiviert. Der Trigger wird am Beginn folgender
Operationen aktiviert: unpack, configure, remove (hinzugefügt zum Nutzen von
Paketen, die im Konflikt zueinander stehen), purge und deconfigure. Die
Variante „noawait“ setzt die triggernden Pakete nicht in den Zustand
»triggers\-awaited«. Dies sollte verwandt werden, wenn die von den Triggern
bereitgestellte Funktionalität nicht äußerst wichtig ist.
.IP
Falls dieses Paket während des Entpackens eines anderen Pakets verschwindet,
wird der Trigger aktiviert, wenn das Verschwinden während des Endes der
unpack\-Operation bemerkt wird. Triggerverarbeitung und Übergänge von
Trigger\-erwartend auf installiert führen nicht zu Aktivierungen. Im Falle
von unpack werden sowohl die in der alten als auch die in der neuen Version
des Pakets angegebenen Trigger aktiviert.
.PP
Unbekannte Direktiven sind ein Fehler, der die Installation eines Pakets
verhindert.
.PP
Die Variante „\-noawait“ sollte stets wenn möglich bevorzugt werden, da die
Trigger\-auslösenden Pakete nicht in den Zustand »triggers\-awaited« überführt
werden und daher sofort konfiguriert werden können, ohne die Verarbeitung
des Triggers zu verlangen. Falls die Trigger\-auslösenden Pakete
Abhängigkeiten von anderen, im Upgrade befindlichen Paketen sind, wird dies
einen frühzeitigen Lauf der Trigger\-Verarbeitung vermeiden und es
ermöglichen, den Trigger nur einmal als einen der letzten Schrittes des
Upgrades auszuführen.
.PP
Die Varianten „\-noawait“ werden seit Dpkg 1.16.1 unterstützt und bei älteren
Dpkg zu Fehlern führen.
.PP
Die Alias\-Varianten „\-await“ werden seit Dpkg 1.17.21 unterstützt und bei
älteren Dpkg zu Fehlern führen.
.
.SH "SIEHE AUCH"
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\-trigger\fP(1), \fBdpkg\fP(1), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP.
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
