.\" dpkg manual page - deb-version(7)
.\"
.\" Copyright © 1996-1998 Ian Jackson and Christian Schwarz
.\"   for parts of the text reused from the Debian Policy
.\" Copyright © 2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-version 7 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
deb\-version \- Versionsnummer\-Format von Debian\-Paketen
.
.SH ÜBERSICHT
[ \fIEpoche\fP\fB:\fP]\fIUpstream\-Version\fP[\fB\-\fP\fIDebian\-Revision\fP]
.SH BESCHREIBUNG
Die für Debian Binär\- und Quellpakete verwendete Versionsnummer besteht aus
drei Komponenten. Diese sind:
.TP 
\fIEpoche\fP
Dies ist eine einzelne (typischerweise kleine) vorzeichenlose ganze
Zahl. Sie darf entfallen, wobei dann Null angenommen wird. Falls sie
entfällt, darf die \fIUpstream\-Version\fP keine Doppelpunkte enthalten.
.IP
Sie existiert, um Fehler in den Versionsnummern älterer Versionen des Pakets
zu erlauben und auch, um das bisherige Nummerierungsschema eines Paketes
aufzugeben.
.TP 
\fIUpstream\-Version\fP
Dies ist der Hauptteil der Versionsnummer. Normalerweise ist dies die
Versionsnummer des Originalpakets („Upstream“), aus dem die \fI.deb\fP\-Datei
erstellt wurde, falls dies zutrifft. Normalerweise wird diese im gleichen
Format vorliegen, wie sie von den Originalautoren angegeben wurde;
allerdings kann es notwendig sein, sie umzuformatieren, damit sie in das
Format des Paketverwaltungssystems und des Vergleichsschemas passt.
.IP
Das Vergleichsverhalten des Paketverwaltungssystems in Hinblick auf die
\fIUpstream\-Version\fP wird unten beschrieben. Der \fIUpstream\-Version\fP\-Anteil
der Versionnummer muss angegeben werden.
.IP
\fIUpstream\-Version\fP darf nur alphanumerische Zeichen („A\-Za\-z0\-9“) und \fB.\fP
\fB+\fP \fB\-\fP \fB:\fP \fB~\fP (Satzpunkt, Plus, Bindestrich, Doppelpunkt, Tilde)
enthalten und sollte mit einer Zahl beginnen. Falls es keine
\fIDebian\-Revision\fP gibt, sind Bindestriche nicht erlaubt; falls es keine
\fIEpoche\fP gibt, sind Doppelpunkte nicht erlaubt.
.TP 
\fIDebian\-Revision\fP
Dieser Teil der Versionsnummer spezifiziert die Version des Debian\-Paketes,
basierend auf der Version der Originalautoren. Er kann nur alphanumerische
Zeichen und \fB+\fP \fB.\fP \fB~\fP (Plus, Satzpunkt, Tilde) enthalten und wird
genauso wie die \fIUpstream\-Version\fP verglichen.
.IP
Dieser Teil ist optional; falls er nicht vorhanden ist, darf
\fIUpstream\-Version\fP keinen Bindestrich enthalten. Dieses Format ist für den
Fall, dass ein Stück Software speziell dafür geschrieben wurde, ein
Debian\-Paket zu werden und es daher nur eine „Debianisierung“ gibt und somit
keine Revisionsanzeige notwendig ist.
.IP
Es ist üblich, die \fIDebian\-Revision\fP jedesmal bei ‚1’ neu zu starten, wenn
die \fIUpstream\-Version\fP erhöht wird.
.IP
Dpkg wird die Versionsnummer beim letzten Bindestrich in der Zeichenkette
auftrennen (falls dieser existiert) um die \fIUpstream\-Version\fP und die
\fIDebian\-Revision\fP zu bestimmen. Im Vergleich befindet sich eine fehlende
\fIDebian\-Revision\fP vor einer vorhandenen (beachten Sie aber, dass es sich
bei der \fIDebian\-Revision\fP um den Teil der Versionsnummer mit der geringsten
Signifikanz handelt).
.SS Sortieralgorithmus
Die \fIUpstream\-Version\fP\- und \fIDebian\-Revision\fP\-Teile werden von der
Paketverwaltung nach dem gleichen Algorithmus verglichen:
.PP
Die Zeichenketten werden von links nach rechts verglichen.
.PP
Zuerst wird der Anfangsteil jeder Zeichenkette bestimmt, der komplett aus
nicht\-Ziffern\-Zeichen besteht. Diese zwei Teile (von denen einer leer sein
kann) werden lexikalisch verglichen. Wird ein Unterschied gefunden, wird
dieser zurückgeliefert. Der lexikalische Vergleich ist ein veränderter
Vergleich von ASCII\-Werten, bei denen Buchstaben vor allen nicht\-Buchstaben
sortiert werden und die Tilde vor allem sortiert wird, sogar vor dem Ende
eines Teiles. So sind zum Beispiel die folgenden Teile in sortierter
Reihenfolge: ‚~~’, ‚~~a’, ‚~’, der leere Teil, ‚a’.
.PP
Dann wird der Anfangsteil des Restes jeder Zeichenkette bestimmt, der
komplett aus Ziffern besteht. Der numerische Wert dieser zwei Teile wird
verglichen, und jeder gefundene Unterschied wird als Ergebnis des Vergleichs
zurückgeliefert. Für diesen Zweck zählt die leere Zeichenkette (die nur am
Ende einer oder beider der zu vergleichenden Versionszeichenketten
auftauchen kann) als Null.
.PP
Diese zwei Schritte (Vergleichen und Entfernen von
nicht\-Ziffern\-Zeichenketten und Ziffern\-Zeichenketten am Anfang) werden
wiederholt, bis ein Unterschied gefunden wird oder beide Zeichenketten
erschöpft wurden.
.PP
Beachten Sie, dass Epochen uns erlauben, Fehler in der Versionsnummerierung
zurückzulassen, und mit Situationen umzugehen, in denen sich das Schema der
Versionsnummerierung ändert. Sie sind \fBnicht\fP dazu gedacht, mit
Versionsnummern umzugehen, die Zeichenketten aus Buchstaben enthalten, die
das Paketverwaltungssystem nicht interpretieren kann (wie ‚ALPHA’ oder
‚pre\-’)) oder mit unklugen Reihenfolgen.
.SH BEMERKUNGEN
Das Tilde\-Zeichen und seine speziellen Sortiereigenschaften wurden in Dpkg
1.10 eingeführt und einige Teile der Bauskripte von Dpkg haben erst später
in der 1.10.x\-Serie Unterstützung dafür erhalten.
.SH "SIEHE AUCH"
\fBdeb\-control\fP(5), \fBdeb\fP(5), \fBdpkg\fP(1)
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
