.\" dpkg manual page - deb(5)
.\"
.\" Copyright © 1995 Raul Miller
.\" Copyright © 1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2017 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb 5 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
deb \- Debian\-Binärpaketformat
.SH ÜBERSICHT
\fIDateiname\fP\fB.deb\fP
.SH BESCHREIBUNG
Das \fB.deb\fP\-Format ist das Debian\-Binärpaketdateiformat. Es wird seit Dpkg
0.93.76 verstanden, und wird standardmäßig seit Dpkg1.2.0 und 1.1.1elf
(i386/ELF\-Versionen) erzeugt.
.PP
Das hier beschriebene Format wird seit Debian 0.93 verwendet; Details über
das alte Format sind in \fBdeb\-old\fP(5) beschrieben.
.SH FORMAT
Die Datei ist ein \fBar\fP\-Archiv mit dem magischen Wert
\fB!<arch>\fP. Nur das allgemeine \fBar\fP\-Archivformat wird unterstützt,
ohne Unterstützung von Dateinamenerweiterungen, aber mit Dateinamen, die
einen optionalen abschließenden Schrägstrich enthalten dürfen, deren Länge
damit auf 15 Zeichen (von den erlaubten 16) begrenzt ist. Dateigrößen sind
auf 10 dezimale ASCII\-Ziffern begrenzt, wodurch bis zu ungefähr 9536,74
MiB\-Mitgliedsdateien erlaubt sind.
.PP
Derzeit werden die folgenden \fBtar\fP\-Archive erlaubt: alter Stil (V7\-)Format,
pre\-POSIX\-ustar\-Format, eine Teilmenge des GNU\-Formats (der neue Stil mit
langen Pfadnamen und langen Linknamen, unterstützt seit Dpkg 1.4.1.17; große
Datei\-Metadaten seit Dpkg 1.18.24) und das POSIX\-ustar\-Format (lange Namen
seit Dpkg 1.15.0 unterstützt). Unbekannte Tar\-Typeinstellungen werden als
Fehler betrachtet. Jede Tar\-Eintraggröße innerhalb eines Tar\-Archivs ist auf
11 ASCII\-Oktalziffern begrenzt; damit sind bis zu 8 GiB\-Tar\-Einträge
möglich. Die Unterstützung der großen Dateimetadaten im GNU\-Format
ermöglicht 95\-Bit\-Tar\-Eintragsgrößen und negative Zeitstempel und
63\-Bit\-UID, \-GID und \-Gerätenummern.
.PP
Das erste Mitglied heißt \fBdebian\-binary\fP und enthält eine Reihe von Zeilen,
die durch Zeilenumbrüche getrennt sind. Derzeit ist nur eine Zeile
vorhanden, die Versionsnummer, \fB2.0\fP zum Zeitpunkt zu dem diese
Handbuchseite geschrieben wurde. Programme, die Archive im neuen Format
lesen, sollten darauf vorbereitet sein, dass sich die Nachkommazahl erhöht
und neue Zeilen vorhanden sein können, und sollten diese ignorieren, falls
dies der Fall ist.
.PP
Falls sich die Vorkommazahl geändert hat, wurde eine inkompatible Änderung
durchgeführt und das Programm sollte sich beenden. Falls dies nicht der Fall
ist, dann sollte das Programm sicher fortfahren können, es sei denn, ein
unerwartetes Mitglied ist im Archiv (abgesehen vom Ende) gefunden worden,
wie unten beschrieben.
.PP
Das zweite erforderliche Mitglied heißt \fBcontrol.tar\fP. Es ist ein
Tar\-Archiv (entweder nicht komprimiert (wird seit Dpkg 1.17.6 unterstützt)
oder mit Gzip (mit der Endung \fB.gz\fP) bzw. Xz (mit der Endung \fB.xz\fP, seit
Dpkg 1.17.6 unterstützt) komprimiert), das die Steuerinformationen als eine
Reihe von normalen Dateien enthält, von denen die Datei \fBcontrol\fP zwingend
erforderlich ist und die Kern\-Steuerinformationen enthält. Die Dateien
\fBconffiles\fP, \fBtriggers\fP, \fBshlibs\fP und \fBsymbols\fP enthalten bestimmte
optionale Steuerinformationen und die Dateien \fBpreinst\fP, \fBpostinst\fP,
\fBprerm\fP und \fBpostrm\fP sind optionale Betreuerskripte. Der Steuer\-Tarball
kann optional einen Eintrag für ‚\fB.\fP’, das aktuelle Verzeichnis, enthalten.
.PP
Das dritte, letzte zwingend benötigte Mitglied heißt \fBdata.tar\fP. Es enthält
das Dateisystem als Tar\-Archiv, entweder unkomprimiert (seit Dpkg 1.10.24
unterstützt) oder mit gzip (Dateiendung \fB.gz\fP), xz (Dateiendung \fB.xz\fP seit
Dpkg 1.15.6 unterstützt),bzip2 (Dateiendung \fB.bz2\fP, seit Dpkg 1.10.24
unterstützt) oder lzma (Dateiendung \fB.lzma\fP, seit Dpkg 1.13.25 unterstützt)
komprimiert.
.PP
Diese Mitglieder müssen in genau dieser Reihenfolge auftauchen. Aktuelle
Implementationen sollten zusätzliche Mitglieder nach \fBdata.tar\fP
ignorieren. Weitere Mitglieder könnten in der Zukunft definiert werden und
werden (falls möglich) nach diesen drei platziert. Alle zusätzlichen
Mitglieder, die nach \fBdebian\-binary\fP und vor \fBcontrol.tar\fP oder
\fBdata.tar\fP eingefügt werden könnten und die problemlos von älteren
Programmen ignoriert werden sollten, werden Namen haben, die mit einem
Unterstrich ‚\fB_\fP’ anfangen.
.PP
Solche neuen Mitglieder, die nicht problemlos ignoriert werden können,
werden vor \fBdata.tar\fP mit Namen, die nicht mit einem Unterstrich anfangen,
eingefügt oder werden (wahrscheinlicher) dazu führen, dass die
Hauptversionsnummer erhöht wird.
.SH MEDIENTYP
.SS Aktuell
application/vnd.debian.binary\-package
.SS Veraltet
application/x\-debian\-package
.br
application/x\-deb
.SH "SIEHE AUCH"
\fBdeb\-old\fP(5), \fBdpkg\-deb\fP(1), \fBdeb\-control\fP(5), \fBdeb\-conffiles\fP(5)
\fBdeb\-triggers\fP(5), \fBdeb\-shlibs\fP(5), \fBdeb\-symbols\fP(5), \fBdeb\-preinst\fP(5),
\fBdeb\-postinst\fP(5), \fBdeb\-prerm\fP(5), \fBdeb\-postrm\fP(5).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
