.\" dpkg manual page - dpkg-checkbuilddeps(1)
.\"
.\" Copyright © 2001 Joey Hess <joeyh@debian.org>
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-checkbuilddeps 1 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
dpkg\-checkbuilddeps \- überprüfe Bauabhängigkeiten und \-konflikte
.
.SH ÜBERSICHT
\fBdpkg\-checkbuilddeps\fP [\fIOption\fP …] [\fIBefehlsdatei\fP]
.
.SH BESCHREIBUNG
Dieses Programm überprüft die im System installierten Pakete gegen die
Bauabhängigkeiten und Baukonflikte, die in der control\-Datei aufgeführt
sind. Falls welche davon nicht erfüllt sind, zeigt es diese an und beendet
sich mit einem von Null verschiedenen Rückgabewert.
.P
Standardmäßig wird \fBdebian/control\fP gelesen, aber ein alternativer
control\-Dateiname kann auf der Befehlszeile angegeben werden.
.
.SH OPTIONEN
.TP 
\fB\-\-admindir=\fP\fIVerz\fP
Ändert den Ablageort der \fBdpkg\fP\-Datenbank (seit Dpkg 1.14.0). Der
Standardort ist \fI%ADMINDIR%\fP.
.TP 
\fB\-A\fP
Ignoriere \fBBuild\-Depends\-Indep\fP und \fBBuild\-Conflicts\-Arch\fP\-Zeilen (seit
Dpkg 1.16.4). Verwenden Sie dies, wenn nur arch\-indep\-Pakete gebaut werden
oder kombinieren Sie es mit \fB\-B\fP, wenn nur ein Quellpaket gebaut werden
soll.
.TP 
\fB\-B\fP
Ignoriere \fBBuild\-Depends\-Indep\fP und
\fBBuild\-Conflicts\-Indep\fP\-Zeilen. Verwenden Sie dies, wenn nur
arch\-dep\-Pakete gebaut werden oder kombinieren Sie es mit \fB\-A\fP, wenn nur
ein Quellpaket gebaut werden soll.
.TP 
\fB\-I\fP
Ignoriert eingebaute Bauabhängigkeiten und \-konflikte (seit Dpkg
1.18.2). Dies sind implizite Abhängigkeiten, die normalerweise in einer
bestimmten Distribution benötigt werden, die sogenannte
»Build\-Essential«\-Paketgruppe.
.TP 
\fB\-d \fP\fIZeichenkette\-für\-Bauabhängigkeiten\fP
.TP 
\fB\-c \fP\fIZeichenkette\-für\-Baukonflikte\fP
Verwende die angegebenen Bauabhängigkeiten/\-konflikte statt denen der Datei
\fIdebian/control\fP (seit Dpkg 1.14.17).
.TP 
\fB\-a \fP\fIArchitektur\fP
Überprüfe Bauabhängigkeiten/\-konflikte unter der Annahme, dass das Paket in
der Datei »control« für die angegebene Host\-Architektur statt für die
Architektur des aktuellen Systems gebaut werden soll (seit Dpkg 1.16.2).
.TP 
\fB\-P \fP\fIProfil\fP[\fB,\fP…]
Überprüfe Bauabhängigkeiten/\-konflikte unter der Annahme, dass das Paket in
der Datei »control« für das/die angegebene(n) Bauprofile gebaut werden soll
(seit Dpkg 1.17.2). Das Argument ist eine Kommata\-getrennte Liste von
Profilnamen.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Zeige den Bedienungshinweis und beende.
.TP 
\fB\-\-version\fP
Gebe die Version aus und beende sich.
.
.SH UMGEBUNG
.TP 
\fBDEB_BUILD_PROFILES\fP
Falls gesetzt, wird sie als aktive(s) Bau\-Profil(e) für das zu bauende Paket
verwandt. Es ist eine durch Leerzeichen getrennte Liste von
Profilnamen. Wird durch die Option \fB\-P\fP außer Kraft gesetzt.
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
