.\" dpkg manual page - dpkg-deb(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 1999 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-deb 1 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
dpkg\-deb \- Debian\-Paketarchiv (.deb) Manipulationswerkzeug
.
.SH ÜBERSICHT
\fBdpkg\-deb\fP [\fIOption\fP …] \fIBefehl\fP
.
.SH BESCHREIBUNG
\fBdpkg\-deb\fP packt und entpackt Debian\-Archive und stellt Informationen über
sie breit.
.PP
Verwenden Sie \fBdpkg\fP, um Pakete auf Ihrem System hinzuzufügen oder zu
entfernen
.PP
Sie können \fBdpkg\-deb\fP durch Aufruf von \fBdpkg\fP mit beliebigen Optionen, die
Sie an \fBdpkg\-deb\fP übergeben wollen, aufrufen. \fBdpkg\fP erkennt, dass Sie
\fBdpkg\-deb\fP wollten und wird es für Sie ausführen.
.PP
Bei den meisten Befehlen, die ein Archiv als Eingabeargument erwarten, kann
der Archivname von der Standardeingabe gelesen werden, wenn er als einzelnes
Minuszeichen (»\fB\-\fP«) angegeben ist. Falls dies nicht unterstützt wird, ist
dies in der jeweiligen Beschreibung des Befehls dokumentiert.
.
.SH BEFEHLE
.TP 
\fB\-b\fP, \fB\-\-build\fP \fIProgrammverzeichnis\fP [\fIArchiv\fP|\fIVerzeichnis\fP]
Legt ein Debian\-Archiv aus dem Dateisystembaum, das in
\fIProgrammverzeichnis\fP gespeichert ist, an. \fIProgrammverzeichnis\fP muss ein
\fBDEBIAN\fP\-Unterverzeichnis aufweisen, das die Dateien mit Steuerinformation
wie die control\-Datei selbst enthält. Dieses Verzeichnis wird \fInicht\fP in
dem Dateisystemarchiv des Binärpakets auftauchen, sondern die Dateien selbst
werden in den Steuer\-Informationsbereich des Binärpakets gepackt.

Falls Sie nicht \fB\-\-nocheck\fP angeben, wird \fBdpkg\-deb\fP \fBDEBIAN/control\fP
lesen und es auswerten. Es prüft die Datei auf Syntax\-Fehler und andere
Probleme und zeigt den Namen des zu bauenden Binärpakets an. \fBdpkg\-deb\fP
wird auch die Rechte der Betreuer\-Skripte und anderer Dateien im
\fBDEBIAN\fP\-Steuer\-Informationsverzeichnis prüfen.

Falls kein \fIArchiv\fP angegeben ist, wird \fBdpkg\-deb\fP das Paket in die Datei
\fIProgrammverzeichnis\fP\fB.deb\fP schreiben.

Falls das anzulegende Archiv bereits existiert, wird es überschrieben.

Falls das zweite Argument ein Verzeichnis ist, wird \fBdpkg\-deb\fP in die Datei
\fIVerzeichnis\fP\fB/\fP\fIPaket\fP\fB_\fP\fIVersion\fP\fB_\fP\fIArch\fP\fB.deb.\fP schreiben. Wenn
ein Zielverzeichnis statt einer Datei angegeben ist, darf die Option
\fB\-\-nocheck\fP nicht verwendet werden (da \fBdpkg\-deb\fP die Paketsteuerdatei
lesen und auswerten muss, um den zu verwendenden Dateinamen zu bestimmen).
.TP 
\fB\-I\fP, \fB\-\-info\fP \fIArchiv\fP [\fISteuer\-Dateiname\fP …]
Stellt Informationen über ein Binärpaketarchiv bereit.

Falls keine \fISteuer\-Dateiname\fPn angegeben sind, wird es eine
Zusammenfassung des Inhalts des Pakets sowie dessen control\-Datei ausgeben.

Falls \fISteuer\-Dateiname\fPn angegeben sind, wird \fBdpkg\-deb\fP diese in der
angegebenen Reihenfolge ausgeben; falls einige der Komponenten nicht
vorhanden sind, wird es eine Fehlernachricht nach Stderr über jede ausgeben
und sich mit dem Status 2 beenden.
.TP 
\fB\-W\fP, \fB\-\-show\fP \fIArchiv\fP
Stellt Informationen über Binärpaketarchive im Format dar, das mit dem
Argument \fB\-\-showformat\fP angegeben wurde. Das Standardformat zeigt den
Paketnamen und die Paketversion in einer Zeile, getrennt durch einen
Tabulator.
.TP 
\fB\-f\fP, \fB\-\-field\fP \fIArchiv\fP [\fISteuer\-Feldname\fP …]
Extrahiert die Informationen der control\-Datei aus einem Binärpaketarchiv.

Falls keine \fISteuer\-Feldname\fPn angegeben sind, gibt es die gesamte
control\-Datei aus.

Falls welche angegeben sind, gibt \fBdpkg\-deb\fP ihren Inhalt in der
Reihenfolge aus, in der sie in der control\-Datei angegeben sind. Falls mehr
als ein \fISteuer\-Feldname\fP angegeben ist, stellt \fBdpkg\-deb\fP jedem Inhalt
seinen Feldnamen (und einen Doppelpunkt mit Leerzeichen) voran.

Falls angeforderte Felder nicht gefunden werden wird kein Fehler gemeldet.
.TP 
\fB\-c\fP, \fB\-\-contents\fP \fIArchiv\fP
Listet den Inhalt des Dateisystem\-Archivanteils des Paketarchivs auf. Die
Ausgabe erfolgt derzeit in dem Format, das von \fBtar\fP in der ausführlichen
Auflistung erstellt wird.
.TP 
\fB\-x\fP, \fB\-\-extract\fP \fIArchiv\-Verzeichnis\fP
Extrahiert den Dateisystembaum aus einem Paketarchiv in das angegebene
Verzeichnis.

Beachten Sie, dass das Extrahieren eines Pakets in das Wurzelverzeichnis
\fInicht\fP zu einer korrekten Installation führt! Verwenden Sie \fBdpkg\fP zur
Paketinstallation.

\fIVerzeichnis\fP (aber nicht die übergeordneten) wird falls notwendig
angelegt. Seine Rechte werden angepasst, um mit dem Inhalt des Pakets
übereinzustimmen.
.TP 
\fB\-X\fP, \fB\-\-vextract\fP \fIArchiv\-Verzeichnis\fP
Ist wie \fB\-\-extract\fP (\fB\-x\fP) mit \fB\-\-verbose\fP (\fB\-v\fP), das beim Arbeiten
eine Liste von extrahierten Dateien ausgibt.
.TP 
\fB\-R\fP, \fB\-\-raw\-extract\fP \fIArchiv\-Verzeichnis\fP
Extrahiert den Dateisystembaum aus einem Paketarchiv in ein angegebenes
Verzeichnis und die Steuerinformationensdateien in das
\fBDEBIAN\fP\-Unterverzeichnis des angegebenen Verzeichnisses (seit Dpkg
1.16.1).

Das Zielverzeichnis (aber nicht übergeordnete) wird, falls notwendig,
angelegt.

Das Eingebearchiv wird (derzeit) nicht sequenziell verarbeitet, daher wird
das Einlesen von der Standardeingabe (»\fB\-\fP«) \fBnicht\fP unterstützt.
.TP 
\fB\-\-ctrl\-tarfile\fP \fIArchiv\fP
Extrahiert die Steuerdaten aus einem Binärpaket und schickt sie zur
Standardausgabe im \fBtar\fP\-Format (seit Dpkg 1.17.14. Dies kann zusammen mit
\fBtar\fP(1) verwendet werden, um eine bestimmte control\-Datei aus einem
Paketarchiv zu extrahieren. Das Eingabearchiv wird immer sequenziell
verarbeitet.
.TP 
\fB\-\-fsys\-tarfile\fP \fIArchiv\fP
Extrahiert die Dateisystembaum\-Daten aus einem Binärpaket und schickt sie
zur Standardausgabe im \fBtar\fP\-Format. Dies kann zusammen mit \fBtar\fP(1)
verwendet werden, um eine bestimmte Datei aus einem Paketarchiv zu
extrahieren. Das Eingabearchiv wird immer sequenziell verarbeitet.
.TP 
\fB\-e\fP, \fB\-\-control\fP \fIArchiv\fP [\fIVerzeichnis\fP]
Extrahiert die Steuer\-Informationsdateien aus einem Paketarchiv in das
angegebene Verzeichnis.

Falls kein Verzeichnis angegeben ist, wird das Unterverzeichnis \fBDEBIAN\fP im
aktuellen Verzeichnis verwendet.

Das Zielverzeichnis (aber nicht übergeordnete) wird, falls notwendig,
angelegt.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Zeige den Bedienungshinweis und beende.
.TP 
\fB\-\-version\fP
Gebe die Version aus und beende sich.
.
.SH OPTIONEN
.TP 
\fB\-\-showformat=\fP\fIFormat\fP
Diese Option wird dazu verwendet, das Format der Ausgabe anzugeben, das
\fB\-\-show\fP verwenden wird. Das Format ist eine Zeichenkette, die für jedes
aufgeführte Paket ausgegeben wird.

Die Zeichenkette darf jedes Statusfeld in der Form „${\fIFeldname\fP}“
referenzieren, eine Liste der möglichen Felder kann leicht mittels \fB\-I\fP für
das gleiche Paket ermittelt werden. Eine komplette Erläuterung der
Formatieroptionen (darunter die Escape\-Sequenzen und Feld\-Tabulatoren) kann
in der Erklärung der Option \fB\-\-showformat\fP von \fBdpkg\-query\fP(1) gefunden
werden.

Die Voreinstellung für dieses Feld ist „${Package}\et${Version}\en“.
.TP 
\fB\-z\fP\fIKomprimierstufe\fP
Gibt die Komprimierstufe an, die im Komprimier\-Backendprogramm beim Bau
eines Pakets verwendet werden soll. Standardmäßig ist dies 9 für Gzip, 6 für
Xz. Die akzeptierten Werte innerhalb von 0\-9 sind: 0 wird auf den
Komprimierer »none« für Gzip einstellen. Vor Dpkg 1.16.2 war die Stufe 0
äquivalent zu dem Komprimierer »none« für alle Komprimierer.
.TP 
\fB\-S\fP\fIKomprimierstrategie\fP
Gibt die zu verwendende Komprimierstrategie an, die für den
Komprimierer\-Backend beim Bau eines Pakets verwandt werden soll (seit Dpkg
1.16.2). Erlaubte Werte sind \fBnone\fP (seit Dpkg 1.16.4), \fBfiltered\fP,
\fBhuffman\fP, \fBrle\fP und \fBfixed\fP für Gzip (seit Dpkg 1.17.0) und \fBextreme\fP
für Xz.
.TP 
\fB\-Z\fP\fIKomprimierart\fP
Gibt die Art der Komprimierung beim Bau eines Pakets an. Erlaubte Werte sind
\fBgzip\fP, \fBxz\fP (seit Dpkg 1.15.6) und \fBnone\fP (voreingestellt ist \fBxz\fP).
.TP 
\fB\-\-[no\-]uniform\-compression\fP
Specify that the same compression parameters should be used for all archive
members (i.e. \fBcontrol.tar\fP and \fBdata.tar\fP; since dpkg 1.17.6).  Otherwise
only the \fBdata.tar\fP member will use those parameters. The only supported
compression types allowed to be uniformly used are \fBnone\fP, \fBgzip\fP and
\fBxz\fP.  The \fB\-\-no\-uniform\-compression\fP option disables uniform compression
(since dpkg 1.19.0).  Uniform compression is the default (since dpkg
1.19.0).
.TP 
\fB\-\-root\-owner\-group\fP
Setzt für jeden Eintrag in den Dateisystembaumdaten den Eigentümer und die
Gruppe auf Kennung 0 (seit Dpkg 1.19.0).

\fBHinweis\fP: Diese Option kann für rootloses Bauen (siehe
\fIrootless\-builds.txt\fP) nützlich sein, sollte aber \fBnicht\fP verwandt werden,
wenn Einträge eine von root verschiedenen Eigentümer oder Gruppe haben. Die
Unterstützung hierfür wird später in der Form eines Meta\-Manifests
hinzugefügt.
.TP 
\fB\-\-deb\-format=\fP\fIFormat\fP
Setzt das beim Bau verwandte Archivformat (seit Dpkg 1.17.0). Erlaubte Werte
sind \fB2.0\fP für das neue Format und \fB0.939000\fP für das alte Format (Vorgabe
ist \fB2.0\fP).

Das alte Format wird nicht so leicht von nicht\-Debian\-Werkzeugen eingelesen
und ist jetzt veraltet; der einzige Zweck ist zum Bau von Paketen, die von
Dpkg\-Versionen kleiner 0.93.76 (September 1995) eingelesen werden
sollen. Diese Dpkg\-Version wurde nur als i386 a.out\-Programm veröffentlicht.
.TP 
\fB\-\-nocheck\fP
Unterdrückt die normalen Überprüfungen von \fBdpkg\-deb \-\-build\fP über die
vorgeschlagenen Inhalte eines Archivs. Damit können Sie jedes Archiv bauen,
das Sie möchten, egal wie defekt es ist.
.TP 
\fB\-v\fP, \fB\-\-verbose\fP
Aktiviert ausführliche Ausgabe (seit Dpkg 1.16.1). Dies betrifft derzeit nur
\fB\-\-extract\fP, wodurch dieses sich wie \fB\-\-vextract\fP verhält.
.TP 
\fB\-D\fP, \fB\-\-debug\fP
Aktiviert Fehlersuchausgaben (»debugging«). Dies ist nicht sehr interessant.
.
.SH RÜCKGABEWERT
.TP 
\fB0\fP
Die angeforderte Aktion wurde erfolgreich ausgeführt.
.TP 
\fB2\fP
Fataler oder nicht behebbarer Fehler aufgrund ungültiger
Befehlszeilenverwendung oder Interaktionen mit dem System, wie Zugriffe auf
die Datenbank, Speicherzuweisungen usw.
.
.SH UMGEBUNG
.TP 
\fBTMPDIR\fP
Falls gesetzt, wird \fBdpkg\-deb\fP es als das Verzeichnis verwenden, in dem
temporäre Dateien und Verzeichnisse erstellt werden.
.TP 
\fBSOURCE_DATE_EPOCH\fP
Falls gesetzt, wird es als Zeitstempel (als Sekunden seit der Epoche) in dem
\fBar\fP(5)\-Container von \fBdeb\fP(5) und zum Festlegen der Mtime in den
Dateieinträgen von \fBtar\fP(5) verwandt.
.
.SH BEMERKUNGEN
Versuchen Sie nicht, nur mit \fBdpkg\-deb\fP Software zu installieren! Sie
müssen \fBdpkg\fP selber verwenden, um sicherzustellen, dass alle Dateien an
den richtigen Ort platziert werden, die Paketskripte ausgeführt werden und
sein Status und Inhalt aufgezeichnet wird.
.
.SH FEHLER
\fBdpkg\-deb \-I\fP \fIPaket1\fP\fB.deb\fP \fIPaket2\fP\fB.deb\fP macht das Falsche.

\&\fB.deb\fP\-Dateien werden nicht authentifiziert; in der Tat gibt es noch nicht
mal eine klare Prüfsumme. (Abstraktere Werkzeuge wie APT unterstützten die
Authentifizierung von \fB.deb\fP\-Paketen, die von einem vorgegebenen Depot
geholt wurden und die meisten Pakete stellen heutzutage eine
md5sum\-Steuerdatei bereit, die mittels debian/rules erstellt
wurde. Allerdings wird dies von den Werkzeugen auf niedrigerer Ebene nicht
direkt unterstützt.)
.
.SH "SIEHE AUCH"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdselect\fP(1).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
