.\" dpkg manual page - dpkg-genbuildinfo(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ian@chiark.chu.cam.ac.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2008-2010 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2015 Jérémy Bobbio <lunar@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-genbuildinfo 1 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
dpkg\-genbuildinfo \- erstelle Debian\-.buildinfo\-Dateien
.
.SH ÜBERSICHT
\fBdpkg\-genbuildinfo\fP [\fIOptionen\fP …]
.br
.
.SH BESCHREIBUNG
\fBdpkg\-genbuildinfo\fP liest Informationen aus einem entpackten und gebauten
Debian\-Quellcodebaum und aus den darin erzeugten Dateien und erzeugt eine
Debian\-Steuerdatei, die die Bauumgebung und Bauartefakte beschreibt (Datei
\&\fB.buildinfo\fP).
.P
Dieser Befehl wurde in Dpkg 1.18.11 hinzugefügt.
.
.SH OPTIONEN
.TP 
\fB\-\-build=\fP\fITyp\fP
Spezifiziert den Bau\-\fITyp\fP aus einer Kommata\-getrennten Liste von
Komponenten.

Die erlaubten Werte sind:
.RS
.TP 
\fBany\fP
Erstellt Bauinformationen, die nicht qualifizerte Bauabhängigkeiten
(\fBBuild\-Depends\fP) und architekturabhängige spezifische Bauabhängigkeiten
(\fBBuild\-Depends\-Arch\fP) enthalten.
.TP 
\fBall\fP
Erstellt Bauinformationen, die nicht qualifizerte Bauabhängigkeiten
(\fBBuild\-Depends\fP) und architekturunabhängige Bauabhängigkeiten
(\fBBuild\-Depends\-Indep\fP) enthalten.
.TP 
\fBsource\fP
Tatsächlich ignoriert; erstellt Bauinformationen mit nur den nicht
qualifizierten Abhängigkeiten (\fBBuild\-Depends\fP).
.TP 
\fBbinary\fP
Erstellt Bauinformationen mit allen drei Arten von Bauabhängigkeiten. Dies
ist ein Alias für \fBany,all\fP.
.TP 
\fBfull\fP
Erstellt Bauinformationen mit allen drei Arten von Bauabhängigkeiten. Dies
ist ein Alias für \fBany,all,source\fP und identisch zum Standardfall, wenn
keine Bauoptionen festgelegt werden.
.RE
.TP 
\fB\-c\fP\fISteuerdatei\fP
Gibt die Haupt\-control\-Datei an, aus der Informationen gelesen werden
sollen. Standardmäßig \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIChangelog\-Datei\fP
Gibt die Änderungsprotokolldatei an, aus der Informationen gelesen werden
sollen. Standardmäßig \fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIDateienlist\-Datei\fP
Legt fest, wo die Liste der durch den Bau erstellten Dateien ist, statt
\fBdebian/files\fP zu verwenden.
.TP 
\fB\-F\fP\fIChangelog\-Format\fP
Spezifiziert das Format des Changelogs. Lesen Sie \fBdpkg\-parsechangelog\fP(1)
für Informationen über alternative Formate.
.TP 
\fB\-O\fP[\fIDateiname\fP]
Gibt die Buildinfo\-Datei zur Standardausgabe (oder \fIDateiname\fP, falls
angegeben) aus, statt nach
\fIVerz\fP\fB/\fP\fIQuellname\fP\fB_\fP\fIBinärversion\fP\fB_\fP\fIArch\fP\fB.buildinfo\fP (wobei
\fIVerz\fP standardmäßig \fB..\fP oder \fIHochladedateiverzeichnis\fP, falls \fB\-u\fP
verwandt wurde, ist).
.TP 
\fB\-u\fP\fIHochladedateiverzeichnis\fP
Suche nach Dateien, die hochgeladen werden sollen, in
\fIHochladedateiverzeichnis\fP statt in \fB..\fP (\fBdpkg\-genbuildinfo\fP muss diese
Dateien finden, so dass es ihre Größen und Prüfsummen in die
\&\fB.buildinfo\fP\-Datei aufnehmen kann.
.TP 
\fB\-\-always\-include\-kernel\fP
By default, the \fBBuild\-Kernel\-Version\fP field will not be written out.

Specify this option (since dpkg 1.19.0) to always write a
\fBBuild\-Kernel\-Version\fP field when generating the \fB.buildinfo\fP.
.TP 
\fB\-\-always\-include\-path\fP
Standardmäßig wird das Feld \fBBuild\-Path\fP nur geschrieben, falls das
aktuelle Verzeichnis mit einem freigeschalteten Muster übereinstimmt.

Unter Debian und abgeleiteten Distributionen passt das Muster auf \fB/build/\fP
am Anfang des Pfadnamens.

Legen Sie diese Option fest, damit beim Erstellen der \fB.buildinfo\fP immer
das Feld \fBBuild\-Path\fP geschrieben wird.
.TP 
\fB\-\-admindir=\fP\fIVerz\fP
Ändert den Ablageort der \fBdpkg\fP\-Datenbank. Der Standardort ist
\fI/var/lib/dpkg\fP.
.TP 
\fB\-q\fP
\fBdpkg\-genbuildinfo\fP könnte informative Meldungen auf die
Standard\-Fehlerausgabe schreiben. \fB\-q\fP unterdrückt diese Meldungen.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Zeige den Bedienungshinweis und beende.
.TP 
\fB\-\-version\fP
Gebe die Version aus und beende sich.
.
.SH UMGEBUNG
.TP 
\fBDEB_BUILD_OPTIONS\fP
Diese Variable kann dazu verwandt werden, verschiedene Funktionalitäten, die
die in der .buildinfo\-Datei enthaltenen Informationen betreffen, über die
Option \fBbuildinfo\fP (seit Dpkg 1.18.19) ein\- oder auszuschalten. Diese
Option enthält eine Kommata\-getrennte Liste von Funktionalitäten, denen die
Modifikatoren ‚\fB+\fP’ oder ‚\fB\-\fP’ vorangestellt sind, um anzuzeigen, ob sie
ein\- oder ausgeschaltet werden soll. Die besondere Funktionalität „\fBall\fP“
kann zum Ein\- bzw. Ausschalten aller anderen Funktionalitäten verwandt
werden. Die Funktionalität „\fBpath\fP“ steuert, ob das Feld \fBBuild\-Path\fP
bedingungslos aufgenmmen werden soll.
.
.SH DATEIEN
.TP 
\fBdebian/files\fP
Die Liste der erstellten Dateien. \fBdpkg\-genbuildinfo\fP liest hier die Daten,
wenn es die Datei \fB.buildinfo\fP erstellt.
.
.SH "SIEHE AUCH"
\fBdeb\-buildinfo\fP(5).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
