.\" dpkg manual page - dpkg-gencontrol(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006, 2012-2013, 2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-gencontrol 1 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
dpkg\-gencontrol \- erstelle Debian\-control\-Dateien
.
.SH ÜBERSICHT
\fBdpkg\-gencontrol\fP [\fIOption\fP …]
.
.SH BESCHREIBUNG
\fBdpkg\-gencontrol\fP liest Informationen aus einem entpackten
Debian\-Quellcodebaum und erzeugt eine binäre Paket\-control\-Datei
(standardmäßig debian/tmp/DEBIAN/control); dabei vereinfacht es die Felder
mit Paketbeziehungen.
.sp
Daher werden \fBPre\-Depends\fP, \fBDepends\fP, \fBRecommends\fP und \fBSuggests\fP in
dieser Reihenfolge vereinfacht, indem Abhängigkeiten, die aufgrund der
jeweils ermittelten stärkeren Abhängigkeit bereits erfüllt sind, entfernt
werden. Es wird auch alle Selbstabhängigkeiten entfernen (tatsächlich werden
alle Abhängigkeiten entfernt, die aufgrund der installierten Version des
aktuellen Pakets automatisch erfüllt werden). Logisch betrachtet behält es
den Durchschnitt von mehrfachen Abhängigkeiten auf das gleiche Paket. Die
Reihenfolge der Abhängigkeiten wird so gut wie möglich beibehalten: falls
eine Abhängigkeit aufgrund einer weiter hinten im Feld auftauchenden
weiteren Abhängigkeit gestrichen werden muss, so übernimmt die letztere
Abhängigkeit den Platz der gestrichenen.
.sp
Die anderen Paketbeziehungsfelder (\fBEnhances\fP, \fBConflicts\fP, \fBBreaks\fP,
\fBReplaces\fP und \fBProvides\fP) werden auch individuell vereinfacht, indem die
Vereinigung der verschiedenen Abhängigkeiten berechnet wird, wenn ein Paket
mehrfach in dem Feld aufgeführt ist.
.sp
\fBdpkg\-gencontrol\fP fügt auch einen Eintrag für das Binärpaket in
\fBdebian/files\fP hinzu.
.
.SH OPTIONEN
.TP 
\fB\-v\fP\fIVersion\fP
Setzt die Versionsnummer des zu erstellenden Binärpaketes.
.TP 
\fB\-V\fP\fIName\fP\fB=\fP\fIWert\fP
Setzt eine Ausgabesubstitutionsvariable. Lesen Sie \fBdeb\-substvars\fP(5) für
eine Besprechung der Ausgabesubstitution.
.TP 
\fB\-T\fP\fISubstvars\-Datei\fP
Lese die Substitutionsvariablen aus \fISubstvars\-Datei\fP; standardmäßig
\fBdebian/substvars\fP. Diese Option kann mehrfach verwandt werden, um
Substitutionsvariablen aus mehreren Dateien einzulesen (seit Dpkg 1.15.6).
.TP 
\fB\-D\fP\fIFeld\fP\fB=\fP\fIWert\fP
Überschreibe oder ergänze ein Ausgabesteuerdateifeld.
.TP 
\fB\-U\fP\fIfield\fP
Entferne ein Ausgabesteuerdateifeld.
.TP 
\fB\-c\fP\fISteuerdatei\fP
Gibt die Haupt\-control\-Datei an, aus der Informationen gelesen werden
sollen. Standardmäßig \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIChangelog\-Datei\fP
Gibt die Änderungsprotokolldatei an, aus der Informationen gelesen werden
sollen. Standardmäßig \fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIDateienlist\-Datei\fP
Lese oder schreibe die Liste der hochzuladenen Dateien hierher, statt
\fBdebian/files\fP zu verwenden.
.TP 
\fB\-F\fP\fIChangelog\-Format\fP
Spezifiziert das Format des Changelogs. Lesen Sie \fBdpkg\-parsechangelog\fP(1)
für Informationen über alternative Formate.
.TP 
\fB\-p\fP\fIPaket\fP
Erstellt Informationen für das Binärpaket \fIPaket\fP. Falls die Steuerdatei
der Quellen nur ein Binärpakete aufführt, kann diese Option weggelassen
werden; andernfalls ist sie notwendig, um festzulegen, von welchen
Binärpaketen die Informationen erstellt werden sollen.
.TP 
\fB\-n\fP\fIDateiname\fP
Gehe davon aus, das der Dateiname des Pakets \fIDateiname\fP sein wird, statt
des normalen Dateinamens Paket_Version_Architektur.deb.
.TP 
\fB\-is\fP, \fB\-ip\fP, \fB\-isp\fP
Diese Optionen werden aufgrund der Kompatibilität mit älteren Versionen der
Dpkg\-Bauskripte ignoriert, sind aber jetzt veraltet. Bisher wurden sie
verwendet, um \fBdpkg\-gencontrol\fP mitzuteilen, die Felder »Section« und
»Priority« in die Steuerdatei mit aufzunehmen. Dies passiert jetzt
standardmäßig. Falls Sie das alte Verhalten erreichen möchten, können Sie
die Option \fB\-U\fP verwenden, um Felder aus der Steuerdatei zu entfernen.
.TP 
\fB\-P\fP\fIPaketbauverzeichnis\fP
Teilt \fBdpkg\-source\fP mit, dass das Paket in \fIPaketbauverzeichnis\fP statt in
\fBdebian/tmp\fP gebaut wird. Dieser Wert wird dazu verwendet, den Standardwert
der Substitutionsvariablen \fBInstalled\-Size\fP und des Feldes der Steuerdatei
(mittels \fBdu\fP) zu finden, und für den Standard\-Ablageplatz der
Ausgabedatei.
.TP 
\fB\-O\fP[\fIDateiname\fP]
Die control\-Datei in die Standardausgabe (oder \fIDateiname\fP falls angegeben,
seit Dpkg 1.17.2) statt nach \fBdebian/tmp/DEBIAN/control\fP (oder
\fIPaketbauverzeichnis\fP\fB/DEBIAN/control\fP falls \fB\-P\fP verwendet worden ist)
ausgeben.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Zeige den Bedienungshinweis und beende.
.TP 
\fB\-\-version\fP
Gebe die Version aus und beende sich.
.
.SH DATEIEN
.TP 
\fBdebian/control\fP
Die Hauptsteuerinformationsdatei für die Quellen. Sie gibt
versionsunabhängige Informationen über das Quellpaket und die Binärpakete,
die sie erstellen kann, an.
.TP 
\fBdebian/files\fP
Die Liste der erstellten Dateien, die Teil des Uploads sind, der vorbereitet
wird. \fBdpkg\-gencontrol\fP fügt die vermuteten Dateinamen von Binärpaketen
hinzu, deren Steuerdateien es hier generiert.
.SH "SIEHE AUCH"
.ad l
\fBdeb\-substvars\fP(5), \fBdeb\-src\-control\fP(5), \fBdeb\-changelog\fP(5),
\fBdeb\-control\fP(5).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
