.\" dpkg manual page - dpkg-mergechangelogs(1)
.\"
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-mergechangelogs 1 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
dpkg\-mergechangelogs \- 3\-Wege\-Zusammenführung von debian/changelog\-Dateien
.
.SH ÜBERSICHT
\fBdpkg\-mergechangelogs\fP [\fIOption\fP …] \fIalt\fP \fIneu\-a\fP \fIneu\-b\fP [\fIAusgabe\fP]
.
.SH BESCHREIBUNG
.P
Dieses Programm wird die drei bereitgestellten Versionen des
Debian\-Changelogs verwenden, um eine zusammengeführte Changelog\-Datei zu
erstellen. Das resultierende Changelog wird in der Datei \fIAusgabe\fP
gespeichert oder an die Standardausgabe ausgegeben, falls dieser Parameter
fehlt.
.P
Jeder Eintrag wird durch seine Versionsnummer identifiziert und es wird
angenommen, dass sie nicht im Konflikt stehen, sie werden einfach in der
richtigen Reihenfolge eingemischt (in absteigender Reihenfolge). Wenn
\fB\-\-merge\-prereleases\fP verwandt wird, wird der Anteil der Versionsnummer
nach der letzten Tilde entfernt, so dass 1.0\-1~exp1 und 1.0\-1~exp5 als
gleicher Eintrag angenommen werden. Wenn die gleiche Version sowohl in
\fIneu\-a\fP als auch in \fIneu\-b\fP verfügbar ist, wird eine normale,
zeilenbasierte 3\-Wege\-Zusammenführung versucht (vorausgesetzt, dass das
Modul Algorithm::Merge verfügbar ist — es ist Teil des Pakets
libalgorithm\-merge\-perl — andernfalls erhalten Sie einen globalen Konflikt
im Inhalt des Eintrags).
.
.SH OPTIONEN
.TP 
\fB\-m\fP, \fB\-\-merge\-prereleases\fP
Entfernt den Teil nach der letzten Tilde in der Versionsnummer beim
Versionsvergleich, um festzustellen, ob zwei Einträge identisch sein sollen
oder nicht.
.sp
Dies ist nützlich, wenn Sie den gleichen Changelog\-Eintrag beibehalten, aber
regelmäßig die Versionsnummer erhöhen. Beispielsweise könnten Sie
2.3\-1~exp1, 2.3\-1~exp2, … bis zur offiziellen Veröffentlichung 2.3\-1
verwenden und alle enthalten den gleichen Changelog\-Eintrag, der sich im
Laufe der Zeit entwickelt hat.
.TP 
\fB\-\-help\fP
Zeige den Bedienungshinweis und beende.
.TP 
\fB\-\-version\fP
Gebe die Version aus und beende sich.
.
.SH EINSCHRÄNKUNGEN
.P
Alles, was nicht von Dpkg::Changelog ausgewertet werden kann, geht beim
Zusammenführen verloren. Dies betrifft Zeug wie Modelines von Vim,
Emacs\-Variablen, Kommentare, die eigentlich nicht da sein sollten, usw.
.
.SH "INTEGRATION MIT GIT"
.P
Falls Sie dieses Programm dazu verwenden möchten, Debian\-Changelog\-Dateien
in einem Git\-Depot zusammenzuführen, müssen Sie zuerst einen neuen
Merge\-Driver in \fB.git/config\fP oder in \fB~/.gitconfig\fP registrieren:
.P
 [merge "dpkg\-mergechangelogs"]
     name = debian/changelog merge driver
     driver = dpkg\-mergechangelogs \-m %O %A %B %A
.P
Dann müssen Sie entweder in \fB.gitattributes\fP im Depot selbst oder in
\&\fB.git/info/attributes\fP das Merge\-Attribut für die Datei debian/changelog
einrichten:
.P
 debian/changelog merge=dpkg\-mergechangelogs
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
