.\" dpkg manual page - dpkg-name(1)
.\"
.\" Copyright © 1995-1996 Erick Branderhorst
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-name 1 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
dpkg\-name \- Debian\-Pakete zu vollen Paketnamen umbenennen
.
.SH ÜBERSICHT
\fBdpkg\-name\fP [\fIOption\fP …] [\fB\-\-\fP] \fIDatei\fP …
.
.SH BESCHREIBUNG
.PP
Diese Handbuchseite dokumentiert das \fBdpkg\-name\fP\-Programm, das eine
einfache Möglichkeit bereitstellt, \fBDebian\fP\-Pakete in ihren vollen
Paketnamen umzubenennen. Ein voller Paketname besteht aus
\fIPaket\fP\fB_\fP\fIVersion\fP\fB_\fP\fIArchitektur\fP\fB.\fP\fIPakettyp\fP wie in der
Steuerdatei des Pakets spezifiziert. Der \fIVersion\fP\-Teil des Dateinamens
besteht aus der Versionsinformation der Originalautoren optional gefolgt von
einem Gedankenstrich und der Revisionsinformation. Der \fIPakettyp\fP\-Teil
entstammt dem Feld \fIpackage_type\fP (falls vorhanden) oder wird auf \fBdeb\fP
gesetzt.
.
.SH OPTIONEN
.TP 
\fB\-a\fP, \fB\-\-no\-architecture\fP
Der Zieldateiname wird keine Architekturinformation enthalten.
.TP 
\fB\-k\fP, \fB\-\-symlink\fP
Lege einen Symlink an, anstatt zu verschieben.
.TP 
\fB\-o\fP, \fB\-\-overwrite\fP
Existierende Dateien werden überschrieben, falls sie den gleichen Namen wie
der Zieldateiname haben.
.TP 
\fB\-s\fP, \fB\-\-subdir\fP [\fIVerzeichnis\fP]
Dateien werden in ein Unterverzeichnis verschoben. Falls das als Argument
existierende Verzeichnis existiert, dann werden die Dateien in das
Verzeichnis verschoben, andernfalls wird das Zielverzeichnis aus dem
»section«\-Feld des Steuerteils des Pakets extrahiert. Das Zielverzeichnis
wird »unstable/binary\-\fIArchitektur\fP/\fIBereich\fP« sein. Falls die Sektion
nicht in der Steuerdatei gefunden werden kann, dann wird \fBno\-section\fP
angenommen, und in diesem Fall, wie auch für die Sektionen \fBnon\-free\fP und
\fBcontrib\fP ist das Zielverzeichnis »\fIBereich\fP/binary\-\fIArchitektur\fP«. Das
Sektionsfeld muss nicht angegeben werden, daher werden viele Pakete ihren
Weg in das \fBno\-section\fP\-Gebiet finden. Verwenden Sie diese Option mit
Vorsicht, sie ist unordentlich.
.TP 
\fB\-c\fP, \fB\-\-create\-dir\fP
Diese Option kann zusammen mit der Option \fB\-s\fP verwendet werden. Falls das
Zielverzeichnis nicht gefunden werden kann, wird es automatisch
angelegt. \fBVerwenden Sie diese Option mit Vorsicht.\fP
.TP 
\fB\-?\fP, \fB\-\-help\fP
Zeige den Bedienungshinweis und beende.
.TP 
\fB\-v\fP, \fB\-\-version\fP
Gebe die Version aus und beende sich.
.
.SH FEHLER
Einige Pakete folgen nicht der Namensstruktur
\fIPaket\fP\fB_\fP\fIVersion\fP\fB_\fP\fIArchitektur\fP\fB.deb\fP. Pakete, die von
\fBdpkg\-name\fP umbenannt wurden, folgen dieser Struktur. Im Allgemeinen hat
diese keinen Einfluss darauf, wie Pakete von \fBdselect\fP(1)/\fBdpkg\fP(1)
installiert werden, aber andere Installationswerkzeuge können von dieser
Benennungsstruktur abhängen.
.
.SH BEISPIELE
.TP 
\fBdpkg\-name bar\-foo.deb\fP
Die Datei \fBbar\-foo.deb\fP wird in bar\-foo_1.0\-2_i386.deb oder etwas ähnliches
(abhängig von der Information, die in dem Steuerteil von \fBbar\-foo.deb\fP ist)
umbenannt.
.TP 
\fBfind /root/debian/ \-name '*.deb' | xargs \-n 1 dpkg\-name \-a\fP
Alle Dateien mit der Endung \fBdeb\fP im Verzeichnis /root/debian und seiner
Unterverzeichnisse werden von \fBdpkg\-name\fP \- falls notwendig \- ohne
Architekturinformation umbenannt.
.TP 
\fBfind \-name '*.deb' | xargs \-n 1 dpkg\-name \-a \-o \-s \-c\fP
\fBMachen Sie dies nicht.\fP Ihr Archiv wird eine komplette Schweinerei werden,
da viele Pakete nicht mit Sektionsinformationen kommen. \fBMachen Sie dies
nicht.\fP
.TP 
\fBdpkg\-deb \-\-build debian\-tmp && dpkg\-name \-o \-s .. debian\-tmp.deb\fP
Dies kann beim Bau neuer Pakete verwendet werden.
.
.SH "SIEHE AUCH"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdpkg\-deb\fP(1), \fBfind\fP(1),
\fBxargs\fP(1).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
