.\" dpkg manual page - dpkg-scanpackages(1)
.\"
.\" Copyright © 1996 Michael Shields <shields@crosslink.net>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007, 2009, 2011-2014 Guillem Jover <guillem@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-scanpackages 1 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
dpkg\-scanpackages \- erstelle Packages\-Index\-Dateien
.
.SH ÜBERSICHT
\fBdpkg\-scanpackages\fP [\fIOption\fP …] \fIBinär\-Verz\fP [\fIOverride\-Datei\fP
[\fIPfad\-Präfix\fP]] \fB>\fP \fIPackages\fP
.
.SH BESCHREIBUNG
\fBdpkg\-scanpackages\fP schaut durch einen Baum von Debian\-Binärpaketen und
erstellt eine Packages\-Datei, die von \fBapt\fP(8), \fBdselect\fP(1)
usw. verwendet wird, um dem Benutzer zu erzählen, welche Pakete zur
Installation verfügbar sind. Diese Packages\-Dateien sind die gleichen, die
auch auf den Debian\-Archiv\-Sites und CD\-ROMs vorliegen. Sie können selbst
\fBdpkg\-scanpackages\fP verwenden, falls Sie ein Verzeichnis von lokalen
Paketen zur Installation auf einem Cluster von Maschinen anlegen.
.PP
\fBHinweis:\fP Falls Sie auf die erzeugte Packages\-Datei mit \fBapt\fP zugreifen
wollen, werden Sie wahrscheinlich die Datei mit \fBxz\fP(1) (und damit eine
Packages.xz\-Datei erstellen), mit \fBbzip2\fP(1) (und damit ein
Packages.bz2\-Datei erstellen) oder mit \fBgzip\fP(1) (und damit ein Packages.gz
erstellen) komprimieren müssen. Apt ignoriert \- abgesehen von lokalem
Zugriff (d.h. über \fBfile://\fP\-Quellen) \- unkomprimierte Packages\-Dateien.
.PP
\fIBinär\-Pfad\fP ist der Name des zu verarbeitenden Baums von Binärpaketen
(beispielsweise \fBcontrib/binary\-i386\fP). Am besten wird dies relativ zur
Wurzel des Debian\-Archivs erstellt, da jedes Filename\-Feld in der neuen
Packages\-Datei mit dieser Zeichenkette beginnen wird.
.PP
\fIoverride\-Datei\fP ist der Name einer einzulesenden Datei, die Informationen
darüber enthält, wie das Paket in die Distribution passt (seit Dpkg Version
1.15.5 kann sie komprimiert sein); siehe \fBdeb\-override\fP(5).
.PP
\fIPfad\-Präfix\fP ist eine optionale Zeichenkette, die vor das Dateinamenfeld
gehängt werden soll.
.PP
Falls mehr als eine Version eines Paketes gefunden wird, wird nur das neuste
in die Ausgabe aufgenommen. Falls sie die gleiche Version haben und sich nur
in der Architektur unterscheiden, wird das zuerst gefundene verwendet.
.
.SH OPTIONEN
.TP 
\fB\-t\fP, \fB\-\-type\fP \fITyp\fP
Suche nach *.\fITyp\fP statt *.deb\-Paketen.
.TP 
\fB\-e\fP, \fB\-\-extra\-override\fP \fIDatei\fP
Durchsuche \fIDatei\fP, um zusätzliche Overrides zu finden (seit Dpkg Version
1.15.5 kann die Datei komprimiert sein). Lesen Sie \fBdeb\-extra\-override\fP(5)
für weitere Informationen über deren Format.
.TP 
\fB\-a\fP, \fB\-\-arch\fP \fIarch\fP
Verwende ein Muster, das aus \fI*_all.deb\fP und \fI*_arch.deb\fP besteht, statt
nach allen Debs zu suchen.
.TP 
\fB\-h\fP, \fB\-\-hash\fP \fIHash\-Liste\fP
Datei\-Hashes nur für angegebene, durch Kommata\-getrennte Liste erzeugen
(seit Dpkg 1.17.14). Standardmäßig werden alle derzeit unterstützten Hashes
erstellt. Unterstützte Werte: \fBmd5\fP, \fBsha1\fP, \fBsha256\fP.
.TP 
\fB\-m\fP, \fB\-\-multiversion\fP
Nimm alle gefundenen Pakete in der Ausgabe auf.
.TP 
\fB\-M\fP, \fB\-\-medium\fP \fIID\-Zeichenkette\fP
Füge ein Feld \fBX\-Medium\fP hinzu, das den Wert von \fIID\-Zeichenkette\fP enthält
(seit Dpkg 1.15.5). Dieses Feld wird benötigt, falls Sie die Dateien
\fBPackages.cd\fP für den Einsatz mit der Multicd\-Zugriffsmethode von Dselect
erstellen wollen.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Zeige den Bedienungshinweis und beende.
.TP 
\fB\-\-version\fP
Gebe die Version aus und beende sich.
.
.SH DIAGNOSE
\fBdpkg\-scanpackages\fP gibt die gewöhnlichen selbsterklärenden Fehler aus. Es
warnt auch über Pakete, die im falschen Unterverzeichnis sind, doppelt
vorkommen, ein Filename\-Feld in ihrer Steuerdatei haben, in der
Override\-Datei fehlen oder für die Betreuer\-Substitutionen vorliegen, die
keinen Effekt haben.
.
.SH "SIEHE AUCH"
.ad l
\fBdpkg\fP(1), \fBdselect\fP(1), \fBdeb\-override\fP(5), \fBdeb\-extra\-override\fP(5),
\fBdpkg\-scansources\fP(1).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
