.\" dpkg manual page - dpkg-split(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2011 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-split 1 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
dpkg\-split \- Debian\-Paketarchiv Teilungs\- und Zusammensetzwerkzeug
.
.SH ÜBERSICHT
\fBdpkg\-split\fP [\fIOption\fP …] \fIBefehl\fP
.
.SH BESCHREIBUNG
\fBdpkg\-split\fP zerteilt Debian\-Binärpaketdateien in kleinere Teile und setzt
diese wieder zusammen, um die Lagerung von großen Paketdateien auf kleinen
Medien wie Disketten zu ermöglichen.

Es kann manuell mit den Optionen \fB\-\-split\fP, \fB\-\-join\fP und \fB\-\-info\fP
verwendet werden.

Es hat auch einen automatischen Modus, der über die \fB\-\-auto\fP\-Option
aufgerufen wird, wo es eine Liste von Teilen, die bereits gesehen, aber noch
nicht wieder zusammengesetzt wurden, verwaltet. Sobald alle Teile gesehen
wurden, wird dann die Datei wieder zusammengesetzt. Die Optionen \fB\-\-listq\fP
und \fB\-\-discard\fP erlauben die Verwaltung dieser Liste.

Alle Teilungs\-, Vereinigungs\- und Warteoperationen erzeugen informative
Nachrichten auf der Standardausgabe; diese können ohne Risiko ignoriert
werden.
.
.SH BEFEHLE
.TP 
\fB\-s\fP, \fB\-\-split\fP \fIKomplettarchiv\fP [\fIPräfix\fP]
Teilt ein einzelnes Debian\-Binärpaket in mehrere Teile.

Die Teile werden \fIPräfix\fP\fB.\fP\fIN\fP\fBof\fP\fIM\fP\fB.deb\fP benannt, wobei \fIN\fP die
bei 1 beginnende Teilnummer und \fIM\fP die Gesamtzahl der Teile ist (beide
Angaben dezimal).

Falls kein \fIPräfix\fP bereitgestellt wird, wird der Dateiname von
\fIKomplettarchiv\fP genommen, einschließlich Verzeichnis, wobei das
abschließende \fB.deb\fP entfernt wird.
.TP 
\fB\-j\fP, \fB\-\-join\fP \fITeil\fP …
Vereint die Teile einer Paketdatei, und baut damit die Originaldatei wieder
zusammen, wie sie vor dem Aufteilen war.

Die Teildateien, die als Argument übergeben werden, müssen alle Teile der
gleichen Originaldatei sein. Jeder Teil muss genau einmal in der
Argumentliste auftauchen, allerdings müssen die Teile nicht in ihrer
Reihenfolge aufgeführt werden.

Die Teile müssen natürlich alle mit der gleichen zur Zeit des Aufteilens
angegeben Teil\-Größe generiert worden sein. Dies bedeutet, dass sie für
gewöhnlich von dem gleichen Aufruf von \fBdpkg\-split \-\-split\fP erzeugt worden
sein müssen.

Die Dateinamen der Teile sind für den Prozess des Wiederzusammenbauens nicht
relevant.

Standardmäßig wird die Ausgabedatei \fIPaket\fP\fB\-\fP\fIVersion\fP\fB_\fP\fIArch\fP\fB.deb\fP
genannt.

.TP 
\fB\-I\fP, \fB\-\-info\fP \fITeil\fP …
Gibt Informationen über die angegebenen Teildatei(en) in menschenlesbarem
Format aus. Argumente, die keine Binärpaketdateien sind, führen zu einer
entsprechenden Nachricht (allerdings auch in der Standardausgabe).
.TP 
\fB\-a\fP, \fB\-\-auto \-o\fP \fI Komplettausgabe Teil\fP
Reiht Teile automatisch in die Warteschlange und setzt, falls möglich, ein
Paket wieder zusammen.

Der angegebene \fITeil\fP wird untersucht und mit anderen Teilen desselben
Paketes (falls vorhanden) in der Warteschlange der Paketdatei\-Teile
verglichen.

Falls alle Teile der Paketdatei, von der \fITeil\fP ein Teil ist, verfügbar
sind, dann wird das Paket wieder zusammengesetzt und nach \fIKomplettausgabe\fP
geschrieben (welche für gewöhnlich noch nicht existieren sollte, obgleich
dies kein Fehler ist).

Falls nicht, wird \fITeil\fP in die Warteschlange kopiert und
\fIKomplettausgabe\fP wird nicht erzeugt.

Falls \fITeil\fP kein Teil eines aufgeteilten Binärpaketes ist, dann beendet
sich \fIdpkg\-split\fP mit Rückgabecode \fB1\fP; falls irgendwelche anderen
Probleme auftreten lautet der Rückgabecode \fB2\fP.

Die Option \fB\-\-output\fP oder \fB\-o\fP muss bei Verwenden von \fB\-\-auto\fP angegeben
werden. (Falls dies nicht obligatorisch wäre, wüsste das Programm nicht,
welche Ausgabedatei es zu erwarten hätte.)
.TP 
\fB\-l\fP, \fB\-\-listq\fP
Listet den Inhalt der Warteschlange der wieder zusammenzubauenden Pakete
auf.

Für jede Paketdatei, von der Teile in der Warteschlange sind, enthält die
Ausgabe den Namen des Paketes, die Teile in der Warteschlange sowie die
Gesamtanzahl gespeicherter Bytes in der Warteschlange.
.TP 
\fB\-d\fP, \fB\-\-discard\fP [\fIPaket\fP …]
Dies löscht Teile aus der Warteschlange derer, die auf die verbleibenden
Teile ihrer Pakete warten.

Falls kein \fIPaket\fP agegeben wird, wird die Warteschlange komplett geleert;
falls irgendwelche angegeben sind, werden nur die Teile des/der passenden
Pakete(s) gelöscht.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Zeige den Bedienungshinweis und beende.
.TP 
\fB\-\-version\fP
Gebe die Version aus und beende sich.
.
.SH OPTIONEN
.TP 
\fB\-\-depotdir\fP\fI Verzeichnis\fP
Gibt ein alternatives Verzeichnis für die Warteschlange von Teilen, die auf
automatisches Wiederzusammenführen warten, an. Standardmäßig ist dies
\fB%ADMINDIR%\fP.
.TP 
\fB\-S\fP, \fB\-\-partsize\fP \fIkibibytes\fP
Gibt die maximale Teilgröße in kibibytes (1024 bytes) beim Aufteilen
an. Standardmäßig ist dies 450 kiB.
.TP 
\fB\-o\fP, \fB\-\-output\fP \fIKomplettausgabe\fP
Gibt den Ausgabe\-Dateinamen für ein Wiederzusammenbauen an.

Dies hebt die Voreinstellung für ein manuelles Wiederzusammenbauen auf
(\fB\-\-join\fP) und ist zwingend für ein automatisches
Einreihen\-oder\-Zusammenbauen (\fB\-\-auto\fP) notwendig.
.TP 
\fB\-Q\fP, \fB\-\-npquiet\fP
Falls Sie ein automatisches Einreihen oder Wiederzusammensetzen durchführen,
gibt \fBdpkg\-split\fP normalerweise eine Meldung aus, falls ein übergebener
\fITeil\fP kein Binärpaketteil ist. Diese Option unterdrückt diese Meldung um
Programmen wie \fBdpkg\fP zu erlauben, sowohl mit geteilten als auch
ungeteilten Paketen umzugehen, ohne störende Meldungen zu erzeugen.
.TP 
\fB\-\-msdos\fP
Erzwingt, dass die von \fB\-\-split\fP erzeugten Ausgabe\-Dateinamen
MSDOS\-kompatibel sind.

Dies verstümmelt den Präfix \- entweder den voreingestellten aus dem
Eingabe\-Dateinamen abgeleiteten oder den als Argument übergebenen:
alphanummerische Zeichen werden klein geschrieben, Pluszeichen werden durch
\fBx\fP ersetzt und alle anderen Zeichen werden entfernt.

Das Ergebnis wird dann soweit wie nötig abgeschnitten, und Dateinamen der
Form \fIPräfixN\fP\fBof\fP\fIM\fP\fB.deb\fP werden generiert.
.
.SH RÜCKGABEWERT
.TP 
\fB0\fP
Das angeforderte Aufteilen, Zusammenfügen oder ein anderer Befehl war
erfolgreich. \fB\-\-info\fP\-Befehle werden als erfolgreich gewertet, sogar falls
die Dateien keine Teile eines Binärpaketes waren.
.TP 
\fB1\fP
Tritt nur bei \fB\-\-auto\fP auf und zeigt an, dass die Datei \fITeil\fP kein Teil
eines Binärprogramms war.
.TP 
\fB2\fP
Fataler oder nicht beehbarer Fehler aufgrund ungültiger
Befehlszeilenverwendung, einer Datei, die wie ein Paketteil aussah aber
beschädigt war oder Wechselwirkungen mit dem System, wie Zugriffe auf die
Datenbank, Speicherzuweisungen usw.
.
.SH UMGEBUNG
.TP 
\fBSOURCE_DATE_EPOCH\fP
Falls gesetzt, wird es als Zeitstempel (als Sekunden seit der Epoche) in dem
\fBar\fP(5)\-Container von \fBdeb\-split\fP(5) verwandt.
.
.SH DATEIEN
.TP 
\fI%ADMINDIR%/parts\fP
Das voreingestellte Verzeichnis für die Warteschlange der Teil\-Dateien, die
auf automatisches Zusammenfügen warten.

Die in diesem Verzeichnis benutzten Dateinamen liegen in einem intern
\fBdpkg\-split\fP\-Format vor und sind sehr wahrscheinlich für andere Programme
nicht nützlich, und in keinem Fall sollte sich auf das Format der Dateinamen
verlassen werden.
.
.SH FEHLER
Volle Details über die Pakete in der Warteschlange sind nicht zu erhalten,
ohne selbst im Warteschlangenverzeichnis zu wühlen.

Es gibt keine einfache Art zu testen, ob eine Datei, die ein Teil eines
Binärpaketes sein könnte, eines ist.
.
.SH "SIEHE AUCH"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\-deb\fP(1), \fBdpkg\fP(1).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
