.\" dpkg manual page - dpkg-statoverride(1)
.\"
.\" Copyright © 2000-2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2009-2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-statoverride 1 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
dpkg\-statoverride \- über Eigentümerschaft und Modus von Dateien hinwegsetzen
.
.SH ÜBERSICHT
\fBdpkg\-statoverride\fP [\fIOption\fP …] \fIBefehl\fP
.
.SH BESCHREIBUNG
„\fBStat\-Hinwegsetzungen\fP“ sind eine Möglichkeit, \fBdpkg\fP(1) zu berichten,
einen anderen Eigentümer oder Modus für eine Pfad zu verwenden, wenn ein
Paket installiert wird (dies kann jedes Dateisystemobjekt sein, das \fBdpkg\fP
handhabt, darunter Verzeichnisse, Geräte, usw.). Dies kann dazu verwendet
werden, Programme, die normalerweise setuid sind, dazu zu zwingen, ohne
setuid\-Markierung zu installieren, oder nur von einer bestimmten Gruppe
ausführbar zu sein.
.P
\fBdpkg\-statoverride\fP ist ein Hilfswerkzeug, um die Liste der
Status\-Hinwegsetzungen zu verwalten. Es hat drei grundlegende Funktionen:
Hinzufügen, Entfernen und Auflisten von Hinwegsetzungen.
.
.SH BEFEHLE
.TP 
\fB\-\-add\fP\fI Benutzer Gruppe Modus Pfad\fP
Füge eine Hinwegsetzung für \fIPfad\fP hinzu. \fIPfad\fP muss noch nicht
existieren wenn dieser Befehl verwendet wird; die Hinwegsetzung wird
aufbewahrt und später verwendet. Benutzer und Gruppen können über ihren
Namen (beispielsweise \fBroot\fP oder \fBnobody\fP) spezifiziert werden, oder über
ihre Nummer mit vorangestelltem ‚\fB#\fP’ (beispielsweise \fB#0\fP oder
\fB#65534\fP). Der \fIModus\fP muss oktal angegeben werden.

Falls \fB\-\-update\fP angegeben ist und \fIPfad\fP existiert, dann wird dieser
sofort auf den neuen Eigentümer und Modus eingestellt.
.TP 
\fB\-\-remove\fP\fI Pfad\fP
Entfernt eine Hinwegsetzung für \fIPfad\fP, der Status von \fIPfad\fP bleibt durch
diesen Befehl unverändert.
.TP 
\fB\-\-list\fP [\fIGlob\-Muster\fP]
Liste alle Hinwegsetzungen auf. Falls ein Glob\-Muster spezifiziert wurde,
begrenze die Ausgabe auf Hinwegsetzungen, die auf den Glob passen.
.TP 
\fB\-\-help\fP
Zeige den Bedienungshinweis und beende.
.TP 
\fB\-\-version\fP
Gebe die Version aus und beende sich.
.
.SH OPTIONEN
.TP 
\fB\-\-admindir\fP\fI Verzeichnis\fP
Wechsle das \fIVerzeichnis\fP der \fBdpkg\fP\-Datenbank, wo auch die
statoverride\-Datei gelagert ist. Der Standard ist \fI%ADMINDIR%\fP.
.TP 
\fB\-\-force\fP
Erzwinge eine Aktion, selbst wenn eine Sinn\-Überprüfung diese normalerweise
verböte. Dies ist notwendig, um sich über eine existierende Hinwegsetzung
hinwegzusetzen.
.TP 
\fB\-\-update\fP
Versuche den \fIPfad\fP sofort auf den neuen Eigentümer und neuen Modus zu
ändern, falls er existiert.
.TP 
\fB\-\-quiet\fP
Sei nicht so ausführlich darüber, was wir machen.
.
.SH RÜCKGABEWERT
.TP 
\fB0\fP
Die angeforderte Aktion wurde erfolgreich ausgeführt.
.TP 
\fB1\fP
Für \fB\-\-list\fP, falls es keine Hinwegsetzungen gab oder keine auf die
angegebenen Metazeichen passte.
.TP 
\fB2\fP
Fataler oder nicht behebbarer Fehler aufgrund ungültiger
Befehlszeilenverwendung oder Interaktionen mit dem System, wie Zugriffe auf
die Datenbank, Speicherzuweisungen usw.
.
.SH UMGEBUNG
.TP 
\fBDPKG_ADMINDIR\fP
Falls gesetzt und die Option \fB\-\-admindir\fP nicht verwandt wurde, wird dies
als Datenverzeichnis von \fBdpkg\fP verwandt.
.
.SH DATEIEN
.TP 
\fI%ADMINDIR%/statoverride\fP
Datei, die die aktuelle Liste der Hinwegsetzungen auf dem System
enthält. Sie befindet sich im \fBpkg\fP\-Administrationsverzeichnis, zusammen
mit anderen für \fBdpkg\fP wichtigen Dateien, wie \fIstatus\fP oder \fIavailable\fP.
.br
Hinweis: \fBdpkg\-statoverride\fP erhält die alte Kopie dieser Datei mit der
Endung „\-old“ bevor es sie mit einer neuen ersetzt.
.
.SH "SIEHE AUCH"
\fBdpkg\fP(1).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
