.\" dpkg manual page - dpkg-trigger(1)
.\"
.\" Copyright © 2008-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-trigger 1 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
dpkg\-trigger \- ein Paket\-Trigger\-Hilfswerkzeug
.
.SH ÜBERSICHT
\fBdpkg\-trigger\fP [\fIOption\fP...] \fITrigger\-Name\fP
.br
\fBdpkg\-trigger\fP [\fIOption\fP …] \fIBefehl\fP
.
.SH BESCHREIBUNG
\fBdpkg\-trigger\fP ist ein Werkzeug, um Trigger (deutsch: Auslöser) explizit zu
aktivieren und den laufenden \fBdpkg\fP auf deren Unterstützung hin zu
überprüfen.
.PP
Dies kann von Betreuerskripten in komplexen und if\-then\-else\-Situationen
verwandt werden, wo die Datei\-Trigger oder die Steuerung von Dateidirektiven
durch explizite \fBactivate\fP\-Trigger nicht ausreichen. Es kann auch zum
Testen und von Systemadministratoren verwandt werden (beachten Sie aber,
dass Trigger nicht tatsächlich durch \fBdpkg\-trigger\fP ausgeführt werden).
.PP
Nicht erkannte Triggernamen\-Syntaxen sind für \fBdpkg\-trigger\fP ein Fehler.
.
.SH BEFEHLE
.TP 
\fB\-\-check\-supported\fP
Überprüfe, ob der laufende \fBdpkg\fP Trigger unterstützt (normalerweise vom
Postinst aufgerufen). Endet mit \fB0\fP, falls ein Trigger\-fähiger \fBdpkg\fP
ausgeführt wurde, oder mit \fB1\fP und einer Fehlermeldung nach Stderr, falls
nicht. Normalerweise ist es allerdings besser, einfach den gewünschten
Trigger mit \fBdpkg\-trigger\fP zu aktivieren.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Zeige den Bedienungshinweis und beende.
.TP 
\fB\-\-version\fP
Gebe die Version aus und beende sich.
.
.SH OPTIONEN
.TP 
\fB\-\-admindir=\fP\fIVerz\fP
Ändert den Ablageort der \fBdpkg\fP\-Datenbank. Der Standardort ist
\fI%ADMINDIR%\fP.
.TP 
\fB\-\-by\-package=\fP\fIPaket\fP
Überschreibe den Trigger\-Erwartenden (normalerweise wird dies von \fBdpkg\fP
durch die Umgebungsvariable \fBDPKG_MAINTSCRIPT_PACKAGE\fP der Betreuerskripte
gesetzt, wobei das Paket benannt wird, zu dem das Skript gehört und dies
wird standardmäßig verwandt).
.TP 
\fB\-\-no\-await\fP
Diese Option arrangiert, dass das aufrufende Paket T (falls zutreffend)
nicht auf die Abarbeitung des Triggers warten muss, das bzw. die
interessierte(n) Paket(e) I werden nicht zu der Liste der auf Bearbeitung
wartenden Trigger von T hinzugefügt und der Status von T bleibt
unverändert. T kann als installiert betrachtet werden, obwohl I den Trigger
noch nicht verarbeitet haben könnte.
.TP 
\fB\-\-await\fP
Dies Option führt das inverse von \fB\-\-no\-await\fP aus (seit Dpkg
1.17.21). Derzeit ist sie die Voreinstellung.
.TP 
\fB\-\-no\-act\fP
Nur testen, nichts tatsächlich ändern.
.
.SH RÜCKGABEWERT
.TP 
\fB0\fP
Die angeforderte Aktion wurde erfolgreich ausgeführt. Oder ein Prüfausdruck
oder eine Zusicherung (Assertion) lieferte Wahr zurück.
.TP 
\fB1\fP
Ein Prüfausdruck oder eine Zusicherung lieferte Falsch zurück.
.TP 
\fB2\fP
Fataler oder nicht behebbarer Fehler aufgrund ungültiger
Befehlszeilenverwendung oder Interaktionen mit dem System, wie Zugriffe auf
die Datenbank, Speicherzuweisungen usw.
.
.SH UMGEBUNG
.TP 
\fBDPKG_ADMINDIR\fP
Falls gesetzt und die Option \fB\-\-admindir\fP nicht verwandt wurde, wird dies
als Datenverzeichnis von \fBdpkg\fP verwandt.
.
.SH "SIEHE AUCH"
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\fP(1), \fBdeb\-triggers\fP(5), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP.
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
