.\" dpkg manual page - deb-extra-override(5)
.\"
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.TH deb\-extra\-override 5 "%RELEASE_DATE%" "%VERSION%" "dpkg suite"
.nh
.SH NAME
deb\-extra\-override \- Debian archive extra override file
.
.SH SYNOPSIS
override
.
.SH DESCRIPTION
While most information about a binary/source package can be found in the
control/.dsc file, all of it can be overridden when it's exported to
Packages/Sources files. The extra override file contains those overrides.
.PP
The extra override file has a simple whitespace-delimited format. Comments are
allowed (denoted with a
.BR # ).
.PP
.in +5
.I package
.I field\-name
.I value
.in -5
.PP
.I package
is the name of the binary/source package.
.PP
.I field\-name
is the name of the field that is overridden.
.I value
is the value to put in the field. It can contain spaces as the line is split
in no more than 3 columns when it's parsed.
.PP
The extra override files used to make the official Packages lists may be found
in the
.I indices
directory on any Debian mirror.
.
.SH SEE ALSO
.BR dpkg\-scanpackages (1),
.BR dpkg\-scansources (1),
.BR apt\-ftparchive (1).
