.\" dpkg manual page - deb-old(5)
.\"
.\" Copyright © 1995 Raul Miller
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.TH deb\-old 5 "%RELEASE_DATE%" "%VERSION%" "dpkg suite"
.nh
.SH NAME
deb\-old \- old style Debian binary package format
.
.SH SYNOPSIS
.IB filename .deb
.
.SH DESCRIPTION
The
.B .deb
format is the Debian binary package file format. This manual page
describes the
.B old
format, used before Debian 0.93. Please see
.BR deb (5)
for details of the new format.
.
.SH FORMAT
The file is two lines of format information as ASCII text, followed by
two concatenated gzipped ustar files.
.PP
The first line is the format version number padded to 8 digits, and is
.B 0.939000
for all old-format archives.
.PP
The second line is a decimal string (without leading zeroes) giving
the length of the first gzipped tarfile.
.PP
Each of these lines is terminated with a single newline character.
.PP
The first tarfile contains the control information, as a series of
ordinary files. The file
.B control
must be present, as it contains the core control information.
.PP
In some very old archives, the files in the control tarfile may
optionally be in a
.B DEBIAN
subdirectory. In that case, the
.B DEBIAN
subdirectory will be in the control tarfile too, and the control
tarfile will have only files in that directory. Optionally the
control tarfile may contain an entry for
.RB ‘ . ’,
that is, the current directory.
.PP
The second gzipped tarfile is the filesystem archive, containing
pathnames relative to the root directory of the system to be installed
on. The pathnames do not have leading slashes.
.
.SH SEE ALSO
.BR deb (5),
.BR dpkg\-deb (1),
.BR deb\-control (5).
