.\" dpkg manual page - dpkg-mergechangelogs(1)
.\"
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-mergechangelogs 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.nh
.SH NOMBRE
dpkg\-mergechangelogs \- Fusión a partir de tres versiones («3\-way merge») de
ficheros «debian/changelog»
.
.SH SINOPSIS
\fBdpkg\-mergechangelogs\fP [\fIopción\fP...] \fIantiguo\fP \fInuevo\-a\fP \fInuevo\-b\fP
[\fIsalida\fP]
.
.SH DESCRIPCIÓN
.P
Este programa usa las tres versiones proporcionadas del registro de cambios
de Debian para generar un fichero de registro de cambios («changelog»)
fusionado. El registro de cambios resultante se guarda en el fichero
\fIsalida\fP, o se mostrará por la salida estándar en caso de no introducir tal
parámetro.
.P
Cada entrada se identifica por su número de versión y, asumiendo que no
entran en conflicto, se fusionarán en el orden correcto (por orden
decreciente del número de versión). Cuando se usa \fB\-\-merge\-prereleases\fP, se
omitirá el número de versión tras la última tilde, de forma que «1.0\-1~exp1»
y «1.0\-1~exp5» se tomarán como la misma entrada. Cuando la misma versión
está disponible en \fInuevo\-a\fP y \fInuevo\-b\fP, se intentará una fusión estándar
de las líneas de las tres versiones (sólo si esta disponible el módulo
«Algorithm::Merge» — parte del paquete «libalgorithm\-merge\-perl» —, de no
ser así, obtendrá un conflicto global en el contenido de la entrada).
.
.SH OPCIONES
.TP 
\fB\-m\fP, \fB\-\-merge\-prereleases\fP
Elimina la parte tras la última virgulilla en el número de versión al
realizar una comparación para identificar si dos entradas son la misma o no.
.sp
Es útil cuando siempre se usa la misma entrada en el registro de cambios,
pero aumenta el número de versión regularmente. Por ejemplo, puede tener
«2.3\-1~exp1», «2.3\-1~exp2»... hasta la publicación oficial «2.3\-1», teniendo
todas la misma entrada en el registro de cambios, pero que ha evolucionado
con el tiempo.
.TP 
\fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.
.SH LIMITACIONES
.P
Anything that is not parsed by Dpkg::Changelog is lost during the merge.
This might include stuff like Vim modelines, Emacs variables, comments which
were not supposed to be there, etc.
.
.SH "INTEGRACIÓN CON GIT"
.P
Si desea utilizar este programa para fusionar ficheros de registro de
cambios de Debian en un repositorio git primero tendrá que registrar un
nuevo «merge driver» en \fB.git/config\fP o \fB~/.gitconfig\fP:
.P
 [merge "dpkg\-mergechangelogs"]
     name = debian/changelog merge driver
     driver = dpkg\-mergechangelogs \-m %O %A %B %A
.P
Después tendrá que definir el «merge attribute» para el fichero
«debian/changelog» bien en \fB.gitattributes\fP en el mismo repositorio, o en
\&\fB.git/info/attributes\fP:
.P
 debian/changelog merge=dpkg\-mergechangelogs
.SH TRADUCTOR
Rudy Godoy <rudy@kernel\-panik.org>,
Rubén Porras <nahoo@inicia.es>,
Bruno Barrera C. <bruno.barrera@igloo.cl>,
Carlos Izquierdo <gheesh@ertis.net>,
Esteban Manchado y
NOK.
Debian L10n Spanish <debian\-l10n\-spanish@lists.debian.org>.
.br
Revisiones por Santiago Vila <sanvila@unex.es>,
Javier Fernández\-Sanguino, Rubén Porras,
Luis Uribe y Omar Campagne.
