.\" dpkg manual page - dpkg-name(1)
.\"
.\" Copyright © 1995-1996 Erick Branderhorst
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-name 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.nh
.SH NOMBRE
dpkg\-name \- Renombra paquetes de Debian a nombres completos de paquete
.
.SH SINOPSIS
\fBdpkg\-name\fP [\fIopción\fP...] [\fB\-\-\fP] \fIfichero\fP...
.
.SH DESCRIPCIÓN
.PP
Esta pagina de manual documenta el uso de \fBdpkg\-name\fP, que ofrece una forma
sencilla de renombrar paquetes de \fBDebian\fP a sus nombres completos de
paquete. Un nombre completo de paquete consiste de
\fIpaquete\fP\fB_\fP\fIversión\fP\fB_\fP\fIarquitectura\fP\fB.\fP\fItipo\-paquete\fP tal y como se
define en el fichero de control del paquete. La parte de \fIversión\fP del
nombre de fichero incluye la información de la versión de la fuente
original, opcionalmente seguido de un guión, y la información de la
revisión. La parte de \fItipo\-paquete\fP se extrae de ese campo, de existir. De
no ser así, se usa \fBdeb\fP por omisión.
.
.SH OPCIONES
.TP 
\fB\-a\fP, \fB\-\-no\-architecture\fP
El nombre del fichero de destino no incluirá información sobre la
arquitectura.
.TP 
\fB\-k\fP, \fB\-\-symlink\fP
Crea un enlace simbólico en vez de mover el fichero.
.TP 
\fB\-o\fP, \fB\-\-overwrite\fP
Los ficheros existentes se sobreescribirán si poseen el mismo nombre que el
fichero de destino.
.TP 
\fB\-s\fP, \fB\-\-subdir\fP [\fIdirectorio\fP]
Files will be moved into a subdirectory. If the directory given as argument
exists the files will be moved into that directory otherwise the name of the
target directory is extracted from the section field in the control part of
the package. The target directory will be
«unstable/binary\-\fIarchitecture\fP/\fIsection\fP».  If the section is not found
in the control, then \fBno\-section\fP is assumed, and in this case, as well as
for sections \fBnon\-free\fP and \fBcontrib\fP the target directory is
«\fIsection\fP/binary\-\fIarchitecture\fP».  The section field is not required so a
lot of packages will find their way to the \fBno\-section\fP area.  Use this
option with care, it's messy.
.TP 
\fB\-c\fP, \fB\-\-create\-dir\fP
This option can used together with the \fB\-s\fP option. If a target directory
isn't found it will be created automatically.  \fBUse this option with care.\fP
.TP 
\fB\-?\fP, \fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-v\fP, \fB\-\-version\fP
Muestra la versión y termina.
.
.SH FALLOS
Some packages don't follow the name structure
\fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarchitecture\fP\fB.deb\fP.  Packages renamed by
\fBdpkg\-name\fP will follow this structure. Generally this will have no impact
on how packages are installed by \fBdselect\fP(1)/\fBdpkg\fP(1), but other
installation tools might depend on this naming structure.
.
.SH EJEMPLOS
.TP 
\fBdpkg\-name bar\-foo.deb\fP
The file \fBbar\-foo.deb\fP will be renamed to bar\-foo_1.0\-2_i386.deb or
something similar (depending on whatever information is in the control part
of \fBbar\-foo.deb\fP).
.TP 
\fBfind /root/debian/ \-name '*.deb' | xargs \-n 1 dpkg\-name \-a\fPç
All files with the extension \fBdeb\fP in the directory /root/debian and its
subdirectory's will be renamed by \fBdpkg\-name\fP if required into names with
no architecture information.
.TP 
\fBfind \-name '*.deb' | xargs \-n 1 dpkg\-name \-a \-o \-s \-c\fP
\fBNo haga esto.\fP Su archivo se corromperá completamente debido a que una
gran cantidad de paquetes no incluyen una sección de información. \fBNo haga
esto.\fP
.TP 
\fBdpkg\-deb \-\-build debian\-tmp && dpkg\-name \-o \-s .. debian\-tmp.deb\fP
Puede utilizar esto al construir paquetes nuevos.
.
.SH "VÉASE TAMBIÉN"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdpkg\-deb\fP(1), \fBfind\fP(1),
\fBxargs\fP(1).
.SH TRADUCTOR
Rudy Godoy <rudy@kernel\-panik.org>,
Rubén Porras <nahoo@inicia.es>,
Bruno Barrera C. <bruno.barrera@igloo.cl>,
Carlos Izquierdo <gheesh@ertis.net>,
Esteban Manchado y
NOK.
Debian L10n Spanish <debian\-l10n\-spanish@lists.debian.org>.
.br
Revisiones por Santiago Vila <sanvila@unex.es>,
Javier Fernández\-Sanguino, Rubén Porras,
Luis Uribe y Omar Campagne.
