.\" dpkg manual page - dpkg-scansources(1)
.\"
.\" Copyright © 2005 Roderick Schertler <roderick@argon.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-scansources 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.nh
.SH NOMBRE
dpkg\-scansources \- Creación de ficheros de índice «Sources»
.
.SH SINOPSIS
\fBdpkg\-scansources\fP [\fIopción\fP...] \fIdirectorio\-binario\fP
[\fIfichero\-override\fP [\fIprefijo\-ruta\fP]] \fB>\fP \fISources\fP
.
.SH DESCRIPCIÓN
\fBdpkg\-scansources\fP busca ficheros \fI.dsc\fP en el \fIdirectorio\-binario\fP
dado. Estos sirven para crear un índice de fuentes de Debian, que se muestra
por la salida estándar.
.PP
The \fIoverride\-file\fP, if given, is used to set priorities in the resulting
index records and to override the maintainer field given in the \fI.dsc\fP
files.  The file can be compressed (since dpkg 1.15.5).  See
\fBdeb\-override\fP(5)  for the format of this file. Note: Since the override
file is indexed by binary, not source packages, there's a bit of a problem
here. The current implementation uses the highest priority of all the binary
packages produced by a \fI.dsc\fP file for the priority of the source package,
and the override entry for the first binary package listed in the \fI.dsc\fP
file to modify maintainer information. This might change.
.PP
Si se proporciona \fIprefijo\-ruta\fP, se antepondrá al campo del directorio en
el índice de fuentes generado. Habitualmente, se usa para hacer que el campo
de directorio contenga la ruta desde el directorio superior del archivo de
Debian.
.
.PP
\fBNota:\fP Si desea acceder al fichero generado «Sources» mediante \fBapt\fP(8),
es posible que necesite comprimir el fichero con \fBgzip\fP(1), generando así
un fichero «Sources.gz». apt ignora ficheros «Sources» descomprimidos, a
excepción de ficheros locales (por ejemplo, \fBfile://\fP sources).
.
.SH OPCIONES
.IP "\fB\-n\fP, \fB\-\-no\-sort\fP" 4
Evita ordenar los registros del índice de fuentes. Habitualmente, se ordena
por el nombre de los paquetes fuente.
.TP 
.IP "\fB\-e\fP, \fB\-\-extra\-override\fP \fIfichero\fP" 4
Scan \fIfile\fP to find supplementary overrides (since dpkg 1.15.4; the file
can be compressed since dpkg 1.15.5).  See \fBdeb\-extra\-override\fP(5)  for
more information on its format.
.IP "\fB\-s\fP, \fB\-\-source\-override\fP \fIfichero\fP" 4
Use \fIfile\fP as the source override file (the file can be compressed since
dpkg 1.15.5).  The default is the name of the override file you specified
with \fI.src\fP appended.
.sp
El fichero «override» de las fuentes está en un formato distinto del fichero
«override» de los paquetes binarios. Contiene solamente dos campos separados
por espacios en blanco, siendo el primer campo el nombre del paquete fuente
y el segundo el de sección. Se omiten las líneas en blanco y de
comentarios. Si un paquete aparece en ambos ficheros, el fichero «override»
de las fuentes tiene preferencia.
.IP \fB\-\-debug\fP 4
Activa la depuración.
.IP \fB\-\-help\fP 4
Muestra el modo de uso y termina.
.IP \fB\-\-version\fP 4
Muestra la versión y termina.
.
.SH "VÉASE TAMBIÉN"
\fBdeb\-override\fP(5), \fBdeb\-extra\-override\fP(5), \fBdpkg\-scanpackages\fP(1).
.SH TRADUCTOR
Rudy Godoy <rudy@kernel\-panik.org>,
Rubén Porras <nahoo@inicia.es>,
Bruno Barrera C. <bruno.barrera@igloo.cl>,
Carlos Izquierdo <gheesh@ertis.net>,
Esteban Manchado y
NOK.
Debian L10n Spanish <debian\-l10n\-spanish@lists.debian.org>.
.br
Revisiones por Santiago Vila <sanvila@unex.es>,
Javier Fernández\-Sanguino, Rubén Porras,
Luis Uribe y Omar Campagne.
