.\" dpkg manual page - dpkg-split(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2011 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-split 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.nh
.SH NOMBRE
dpkg\-split \- Herramienta para separar y unir paquetes Debian
.
.SH SINOPSIS
\fBdpkg\-split\fP [\fIopción\fP...] \fIorden\fP
.
.SH DESCRIPCIÓN
\fBdpkg\-split\fP separa un paquete binario de Debian en varias partes más
pequeñas para luego volverlas a unir, posibilitando almacenar paquetes en
dispositivos de poca capacidad, como disquetes.

Se puede utilizar manualmente usando las opciones \fB\-\-split\fP, \fB\-\-join\fP y
\fB\-\-info\fP.

También ofrece un modo automático mediante la opción \fB\-\-auto\fP, que crea una
cola con las partes que ha analizado pero aún separadas para después crear
el paquete tras analizar todas las partes. Las opciones \fB\-\-listq\fP y
\fB\-\-discard\fP permiten administrar la cola.

Los procesos de separar, unir y posicionado en cola producen mensajes
informativos por la salida estándar, que se pueden ignorar sin ningún
riesgo.
.
.SH ÓRDENES
.TP 
\fB\-s\fP, \fB\-\-split\fP \fIpaquete\-completo\fP [\fIprefix\fP]
Divide un único paquete binario de Debian en varias partes.

Las partes reciben el nombre \fIprefijo\fP\fB.\fP\fIN\fP\fBof\fP\fIM\fP\fB.deb\fP, siendo \fIN\fP
el número de la parte, comenzando por 1, y \fIM\fP el número total de partes
(ambos en decimal).

Si no se proporciona ningún \fIprefijo\fP, se toma el nombre del
\fIfichero\-completo\fP, incluyendo el directorio, y eliminando cualquier
terminación \fB.deb\fP.
.TP 
\fB\-j\fP, \fB\-\-join\fP \fIparte\fP...
Une las partes de un paquete, dejando el paquete tal y como era
originalmente.

Las partes que se proporcionen como argumento deben ser todas parte del
mismo fichero original. Cada parte se debe proporcionar una sola vez, aunque
no necesariamente en orden.

Todas las partes se deben generar con el mismo tamaño especificado en el
momento de la división, lo que significa que todas se deben generar con la
misma ejecución de \fBdpkg\-split \-\-split\fP.

El nombre de las partes carece de importancia para el proceso de unión.

Por omisión el fichero resultante se llama
\fIpaquete\fP\fB_\fP\fIversión\fP\fB_\fP\fIarch\fP\fB.deb\fP.

.TP 
\fB\-I\fP, \fB\-\-info\fP \fIparte\fP...
Muestra información, en un formato legible por el usuario, acerca de la
parte o partes del fichero especificadas. Los argumentos que no son parte de
un paquete binario producen un mensaje avisando del problema (por la salida
estándar).
.TP 
\fB\-a\fP, \fB\-\-auto \-o\fP \fIsalida\-completa parte\fP
Posiciona las partes en la cola automáticamente, y une nuevamente el
paquete, si es posible.

La \fIparte\fP especificada se examina y compara junto con las otras partes del
mismo paquete (si hay alguna) en la cola de las partes de ficheros de
paquete.

Si están disponibles todas las partes del fichero al que pertenece la
\fIparte\fP, se une paquete y guarda en la \fIsalida\-completa\fP (que normalmente
no existe, aunque esto no es un error).

De no se así, la \fIparte\fP se copia en la cola pero no se crea la
\fIsalida\-completa\fP.

Si la \fIparte\fP no es una parte del paquete binario, \fBdpkg\-split\fP finalizará
con un estado de salida igual a \fB1\fP, si ocurre algún otro tipo de error el
estado de salida será \fB2\fP.

Debe proporcionar la opción \fB\-\-output\fP o \fB\-o\fP cuando use \fB\-\-auto\fP. (Si
este argumento no fuese obligatorio el programa que ejecute \fBdpkg\-split\fP no
sabría que fichero esperar).
.TP 
\fB\-l\fP, \fB\-\-listq\fP
Lista los contenidos de la cola de paquetes cuyas partes unir.

Por cada fichero de un paquete que contenga partes en la cola se muestra el
nombre del paquete, las partes en la cola y el número total de bytes
guardados en ésta.
.TP 
\fB\-d\fP, \fB\-\-discard\fP [\fIpaquete\fP...]
Descarta partes de la cola de aquéllas que esperan las partes restantes del
paquete para su unión con otras.

Si no se especifica ningún \fIpaquete\fP se limpia la cola por completo, si se
especifica alguno sólo se eliminan las partes de los paquetes relevantes.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.
.SH OPCIONES
.TP 
\fB\-\-depotdir\fP\fI directorio\fP
Especifica un directorio alternativo para las partes que se encuentran en la
cola esperando para ser unidas. Por omisión es \fB%ADMINDIR%\fP.
.TP 
\fB\-S\fP, \fB\-\-partsize\fP \fIkibibytes\fP
Especifica el tamaño máximo de cada parte en kilobytes (1024 bytes). Por
omisión es 450Kb.
.TP 
\fB\-o\fP, \fB\-\-output\fP \fIcomplete\-output\fP
Especifica el nombre del fichero generado por la unión de las partes.

Ésto sustituye al nombre por omisión en modo manual (\fB\-\-join\fP),  y es
obligatorio con el modo automático (\fB\-\-auto\fP).
.TP 
\fB\-Q\fP, \fB\-\-npquiet\fP
Cuando \fBdpkg\-split\fP está en modo automático, normalmente muestra mensajes
si se le pasa una \fIparte\fP que no es parte del paquete binario. Esta opción
suprime estos mensajes, permitiendo que programas como \fBdpkg\fP puedan
separar y unir paquetes sin producir mensajes poco informativos.
.TP 
\fB\-\-msdos\fP
Fuerza que los nombres de los ficheros generados como salida de \fB\-\-split\fP
sean compatibles con msdos.

Esta opción modifica el prefijo (tanto el prefijo por omisión como el
proporcionado por un argumento): los caracteres alfanuméricos se pasan a
minúsculas, los signos de suma «+» se reemplazan con \fBx\fP y se descartan el
resto de caracteres.

El resultado se trunca hasta donde sea necesario de forma que se generan
ficheros con la forma \fIprefijoN\fP\fBof\fP\fIM\fP\fB.deb\fP.
.
.SH "ESTADOS DE SALIDA"
.TP 
\fB0\fP
La división, unión u otra orden ha finalizado con éxito. Las órdenes
\fB\-\-info\fP se dan cómo satisfactorias incluso si los ficheros no son parte de
ningún paquete binario.
.TP 
\fB1\fP
Aparece solo al utilizar la opción \fB\-\-auto\fP, e indica que la \fIparte\fP no
era parte de un paquete binario.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, a file that
looked like a package part file but was corrupted, or interactions with the
system, such as accesses to the database, memory allocations, etc.
.
.SH ENTORNO
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) in the
\fBdeb\-split\fP(5)'s \fBar\fP(5) container.
.
.SH FICHEROS
.TP 
\fI%ADMINDIR%/parts\fP
El directorio por omisión donde las partes esperan para la unión automática.

Los nombre de los ficheros usados en este directorio se encuentran en un
formato interno de \fBdpkg\-split\fP, y es improbable que sean útiles para otros
programas. En cualquier caso, no se debería depender del formato del nombre
del fichero.
.
.SH FALLOS
Es imposible obtener todos los detalles de los paquetes que están en la cola
sin investigar directamente la cola.

No existe una manera sencilla de comprobar si el fichero que puede ser parte
de un paquete binario es realmente uno.
.
.SH "VÉASE TAMBIÉN"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\-deb\fP(1), \fBdpkg\fP(1).
.SH TRADUCTOR
Rudy Godoy <rudy@kernel\-panik.org>,
Rubén Porras <nahoo@inicia.es>,
Bruno Barrera C. <bruno.barrera@igloo.cl>,
Carlos Izquierdo <gheesh@ertis.net>,
Esteban Manchado y
NOK.
Debian L10n Spanish <debian\-l10n\-spanish@lists.debian.org>.
.br
Revisiones por Santiago Vila <sanvila@unex.es>,
Javier Fernández\-Sanguino, Rubén Porras,
Luis Uribe y Omar Campagne.
