.\" dpkg manual page - dpkg-name(1)
.\"
.\" Copyright © 1995-1996 Erick Branderhorst
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-name 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-name \- redonne aux paquets Debian leur nom complet
.
.SH SYNOPSIS
\fBdpkg\-name\fP [\fIoption\fP...] [\fB\-\-\fP] \fIfichier\fP...
.
.SH DESCRIPTION
.PP
Cette page de manuel documente le programme \fBdpkg\-name\fP qui fournit une
façon simple de redonner aux paquets \fBDebian\fP leur nom complet. Ce nom
consiste en une chaîne
«\ \fIpaquet\fP\fB_\fP\fIversion\fP\fB_\fP\fIarchitecture\fP\fB.\fP\fItype_de_paquet\fP\ » telle
qu'elle est indiquée dans le fichier «\ control\ » du paquet. La partie
\fIversion\fP du nom est composée d'informations sur la version originelle qui
peuvent ou non être suivies d'un trait d'union et d'informations sur la
révision. La partie \fItype_de_paquet\fP provient de ce champ s'il existe. La
valeur par défaut est \fBdeb\fP.
.
.SH OPTIONS
.TP 
\fB\-a\fP, \fB\-\-no\-architecture\fP
Le nom du fichier n'aura pas l'information sur l'architecture.
.TP 
\fB\-k\fP, \fB\-\-symlink\fP
Faire un lien symbolique plutôt qu'une création de fichier.
.TP 
\fB\-o\fP, \fB\-\-overwrite\fP
Remplace des fichiers existants s'ils ont le même nom que le fichier de
destination.
.TP 
\fB\-s\fP, \fB\-\-subdir\fP [\fIrep\fP]
Files will be moved into a subdirectory. If the directory given as argument
exists the files will be moved into that directory otherwise the name of the
target directory is extracted from the section field in the control part of
the package. The target directory will be
«unstable/binary\-\fIarchitecture\fP/\fIsection\fP».  If the section is not found
in the control, then \fBno\-section\fP is assumed, and in this case, as well as
for sections \fBnon\-free\fP and \fBcontrib\fP the target directory is
«\fIsection\fP/binary\-\fIarchitecture\fP».  The section field is not required so a
lot of packages will find their way to the \fBno\-section\fP area.  Use this
option with care, it's messy.
.TP 
\fB\-c\fP, \fB\-\-create\-dir\fP
On peut utiliser cette option avec l'option \fB\-s\fP. Quand un répertoire cible
n'est pas trouvé, il est créé automatiquement. \fBUtilisez cette option avec
soin.\fP
.TP 
\fB\-?\fP, \fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-v\fP, \fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH BOGUES
Certains paquets ne respectent pas l'organisation
\fIpaquet\fP\fB_\fP\fIversion\fP\fB_\fP\fIarchitecture\fP\fB.deb\fP. Les paquets traités par
\fBdpkg\-name\fP la respectent. Cela n'a pas de conséquence sur la façon dont
\fBdselect\fP(1) ou \fBdpkg\fP(1) installent les paquets, mais il se peut que
d'autres systèmes d'installation aient besoin de cette organisation.
.
.SH EXEMPLES
.TP 
\fBdpkg\-name bar\-foo.deb\fP
The file \fBbar\-foo.deb\fP will be renamed to bar\-foo_1.0\-2_i386.deb or
something similar (depending on whatever information is in the control part
of \fBbar\-foo.deb\fP).
.TP 
\fBfind /root/debian/ \-name '*.deb' | xargs \-n 1 dpkg\-name \-a\fP
All files with the extension \fBdeb\fP in the directory /root/debian and its
subdirectory's will be renamed by \fBdpkg\-name\fP if required into names with
no architecture information.
.TP 
\fBfind \-name '*.deb' | xargs \-n 1 dpkg\-name \-a \-o \-s \-c\fP
\fBNe faites pas ça\ !\fP L'archive sera complètement gâchée par des paquets qui
ne possèdent pas d'informations sur la section. \fBNe faites pas ça\ !\fP
.TP 
\fBdpkg\-deb \-\-build debian\-tmp && dpkg\-name \-o \-s .. debian\-tmp.deb\fP
On peut se servir de cette commande lors de la construction d'un nouveau
paquet.
.
.SH "VOIR AUSSI"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdpkg\-deb\fP(1), \fBfind\fP(1),
\fBxargs\fP(1).
.SH TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002.
Philippe Batailler, 2006.
Nicolas François, 2006.
Veuillez signaler toute erreur à <debian\-l10n\-french@lists.debian.org>.
