.\" dpkg manual page - dpkg-scansources(1)
.\"
.\" Copyright © 2005 Roderick Schertler <roderick@argon.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-scansources 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-scansources \- crée des fichiers d'index de sources
.
.SH SYNOPSIS
\fBdpkg\-scansources\fP [\fIoption\fP...] \fIrep\-de\-binaires\fP [\fIfichier\-d'override\fP
[\fIchemin\-à\-préfixer\fP]] \fB>\fP \fISources\fP
.
.SH DESCRIPTION
\fBdpkg\-scansources\fP recherche des fichiers \fI.dsc\fP dans le répertoire
\fIrep\-de\-binaires\fP indiqué. Ces fichiers sont utilisés pour créer un index
de sources Debian, qui est envoyé sur la sortie standard.
.PP
The \fIoverride\-file\fP, if given, is used to set priorities in the resulting
index records and to override the maintainer field given in the \fI.dsc\fP
files.  The file can be compressed (since dpkg 1.15.5).  See
\fBdeb\-override\fP(5)  for the format of this file. Note: Since the override
file is indexed by binary, not source packages, there's a bit of a problem
here. The current implementation uses the highest priority of all the binary
packages produced by a \fI.dsc\fP file for the priority of the source package,
and the override entry for the first binary package listed in the \fI.dsc\fP
file to modify maintainer information. This might change.
.PP
Le \fIchemin\-à\-préfixer\fP, s'il est indiqué, est ajouté au début du champ
Directory («\ répertoire\ ») dans l'index des sources généré. C'est, en règle
générale, utilisé pour que le champ Directory contienne un chemin depuis la
racine de l'archive Debian.
.
.PP
\fBNote\ :\fP Si vous voulez accéder au fichier Sources généré avec \fBapt\fP(8),
vous devrez probablement compresser ce fichier avec \fBgzip\fP(1) (pour créer
un fichier Sources.gz). Apt ignore les fichiers Sources non compressés sauf
pour les accès locaux (c'est\-à\-dire les sources \fBfile://\fP).
.
.SH OPTIONS
.IP "\fB\-n\fP, \fB\-\-no\-sort\fP" 4
Ne trie pas les entrées de l'index. Elles sont d'habitude triées en fonction
du nom du paquet source.
.TP 
.IP "\fB\-e\fP, \fB\-\-extra\-override\fP \fIfichier\fP" 4
Scan \fIfile\fP to find supplementary overrides (since dpkg 1.15.4; the file
can be compressed since dpkg 1.15.5).  See \fBdeb\-extra\-override\fP(5)  for
more information on its format.
.IP "\fB\-s\fP, \fB\-\-source\-override\fP \fIfichier\fP" 4
Use \fIfile\fP as the source override file (the file can be compressed since
dpkg 1.15.5).  The default is the name of the override file you specified
with \fI.src\fP appended.
.sp
Le format des fichiers override des sources est différent des fichiers
override des binaires. Il ne contient que deux champs séparés par des
espaces, le premier indique le paquet source et le second, la section. Les
lignes blanches et les lignes de commentaire sont ignorées comme à
l'habitude. Si un paquet apparaît dans chaque fichier, le fichier des
sources est prioritaire pour fixer la section.
.IP \fB\-\-debug\fP 4
Active le débogage.
.IP \fB\-\-help\fP 4
Affiche un message d'aide puis quitte.
.IP \fB\-\-version\fP 4
Affiche le numéro de version puis quitte.
.
.SH "VOIR AUSSI"
\fBdeb\-override\fP(5), \fBdeb\-extra\-override\fP(5), \fBdpkg\-scanpackages\fP(1).
.SH TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002.
Philippe Batailler, 2006.
Nicolas François, 2006.
Veuillez signaler toute erreur à <debian\-l10n\-french@lists.debian.org>.
