.\" dpkg manual page - dpkg-trigger(1)
.\"
.\" Copyright © 2008-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-trigger 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-trigger \- un utilitaire pour activer les actions différées de paquets
.
.SH SYNOPSIS
\fBdpkg\-trigger\fP [\fIoption\fP...] \fInom\-action\-différée\fP
.br
\fBdpkg\-trigger\fP [\fIoption\fP...] \fIcommande\fP
.
.SH DESCRIPTION
\fBdpkg\-trigger\fP est un outil pour activer explicitement les actions
différées et pour vérifier leur gestion dans le fonctionnement de \fBdpkg\fP.
.PP
Utilisable par les scripts du responsable dans certaines situations
complexes où un fichier d'actions différées («\ triggers\ ») ou la directive
\fBactivate\fP du fichier de contrôle des actions différées ne sont pas
suffisants. Peut également être utilisé pour des essais ou par les
administrateurs système (noter que les actions différées ne seront alors pas
exécutées par \fBdpkg\-trigger\fP).
.PP
Les syntaxes non\-reconnues pour le nom des actions différées constituent une
erreur pour \fBdpkg\-trigger\fP.
.
.SH COMMANDES
.TP 
\fB\-\-check\-supported\fP
Vérifie si \fBdpkg\fP sait gérer les actions différées (généralement appelées
depuis un script de post\-installation). Retourne en sortie \fB0\fP si c'est le
cas, ou \fB1\fP avec un message d'erreur sur stderr si ce n'est pas le
cas. Toutefois, en règle générale, il est préférable de simplement activer
l'action différée désirée à l'aide de \fBdpkg\-trigger\fP.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH OPTIONS
.TP 
\fB\-\-admindir\fP=\fIdir\fP
Change the location of the \fBdpkg\fP database. The default location is
\fI%ADMINDIR%\fP.
.TP 
\fB\-\-by\-package=\fP\fIpaquet\fP
Indique le paquet qui sera marqué en attente de l'exécution de l'action
différée (normalement défini par la variable d'environnement
\fBDPKG_MAINTSCRIPT_PACKAGE\fP dans les scripts du responsable, qui nomme le
paquet auquel le script appartient, et qui constitue la valeur par défaut).
.TP 
\fB\-\-no\-await\fP
Cette option fait en sorte que le paquet appelant T (s'il existe) n'a pas
besoin d'attendre l'exécution de cette action différée\ ; I, le(s) paquet(s)
associé(s) à l'action différée, ne sera pas ajouté à liste des paquets dont
le traitement des actions différées est attendu par T et l'état de T reste
inchangé. T peut être considéré installé même si les actions différées de I
n'ont pas encore été exécutées.
.TP 
\fB\-\-await\fP
This option does the inverse of \fB\-\-no\-await\fP (since dpkg 1.17.21).  It is
currently the default behavior.
.TP 
\fB\-\-no\-act\fP
Teste uniquement, n'apporte aucun changement.
.
.SH "CODE DE SORTIE"
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENVIRONNEMENT
.TP 
\fBDPKG_ADMINDIR\fP
Si cette variable est positionnée et que l'option \fB\-\-admindir\fP n'est pas
précisée, ce répertoire sera utilisé comme répertoire de données pour
\fBdpkg\fP.
.
.SH "VOIR AUSSI"
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\fP(1), \fBdeb\-triggers\fP(5), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP.
.SH TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002.
Philippe Batailler, 2006.
Nicolas François, 2006.
Veuillez signaler toute erreur à <debian\-l10n\-french@lists.debian.org>.
