.\" dpkg manual page - dpkg-scansources(1)
.\"
.\" Copyright © 2005 Roderick Schertler <roderick@argon.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-scansources 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOME
dpkg\-scanpackages \- crea file Sources con indici
.
.SH SINTASSI
\fBdpkg\-scansources\fP [\fIopzione\fP...] \fIdir\-binari\fP [\fIfile\-override\fP
[\fIprefisso\-percorso\fP]] \fB>\fP \fISources\fP
.
.SH DESCRIZIONE
\fBdpkg\-scansources\fP cerca file \fI.dsc\fP nella \fIdir\-binari\fP specificata; essi
vengono usati per creare un indice dei sorgenti Debian che viene restituito
sullo stdout.
.PP
The \fIoverride\-file\fP, if given, is used to set priorities in the resulting
index records and to override the maintainer field given in the \fI.dsc\fP
files.  The file can be compressed (since dpkg 1.15.5).  See
\fBdeb\-override\fP(5)  for the format of this file. Note: Since the override
file is indexed by binary, not source packages, there's a bit of a problem
here. The current implementation uses the highest priority of all the binary
packages produced by a \fI.dsc\fP file for the priority of the source package,
and the override entry for the first binary package listed in the \fI.dsc\fP
file to modify maintainer information. This might change.
.PP
\fIprefisso\-percorso\fP, se specificato, viene posto prima del campo directory
nell'indice dei sorgenti generato. Viene generalmente usato per far sì che i
campi directory contengano il percorso a partire dal punto più alto della
gerarchia dell'archivio Debian.
.
.PP
\fBNota:\fP Se si vuole accedere al file Sources generato con \fBapt\fP(8), sarà
probabilmente necessario comprimere il file con \fBgzip\fP(1) (generando un
file Sources.gz). apt ignora i file Sources non compressi, tranne per
l'accesso locale (cioè fonti \fBfile://\fP).
.
.SH OPZIONI
.IP "\fB\-n\fP, \fB\-\-no\-sort\fP" 4
Non ordina le voci nell'indice; normalmente vengono ordinate in base al nome
del pacchetto sorgente.
.TP 
.IP "\fB\-e\fP, \fB\-\-extra\-override\fP \fIfile\fP" 4
Scan \fIfile\fP to find supplementary overrides (since dpkg 1.15.4; the file
can be compressed since dpkg 1.15.5).  See \fBdeb\-extra\-override\fP(5)  for
more information on its format.
.IP "\fB\-s\fP, \fB\-\-source\-override\fP \fIfile\fP" 4
Use \fIfile\fP as the source override file (the file can be compressed since
dpkg 1.15.5).  The default is the name of the override file you specified
with \fI.src\fP appended.
.sp
Il file override dei sorgenti è in un formato diverso da quello del file
override dei binari. Contiene solo due campi separati da spazi: il primo è
il nome del pacchetto sorgente e il secondo è la sezione. Le righe vuote e
le righe di commento vengono ignorate come di consueto. Se un pacchetto è
presente in entrambi i file, il file override dei sorgenti ha la precedenza
per ciò che riguarda l'impostazione della sezione.
.IP \fB\-\-debug\fP 4
Attiva il debug.
.IP \fB\-\-help\fP 4
Mostra il messaggio sull'uso ed esce.
.IP \fB\-\-version\fP 4
Mostra la versione ed esce.
.
.SH "VEDERE ANCHE"
\fBdeb\-override\fP(5), \fBdeb\-extra\-override\fP(5), \fBdpkg\-scanpackages\fP(1).
