.\" dpkg manual page - dpkg-statoverride(1)
.\"
.\" Copyright © 2000-2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2009-2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-statoverride 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOME
dpkg\-statoverride \- sovrascrive la proprietà e i permessi dei file
.
.SH SINTASSI
\fBdpkg\-statoverride\fP [\fIopzione\fP...] \fIcomando\fP
.
.SH DESCRIZIONE
“\fBstat overrides\fP” are a way to tell \fBdpkg\fP(1)  to use a different owner
or mode for a path when a package is installed (this applies to any
filesystem object that \fBdpkg\fP handles, including directories, devices,
etc.). This can be used to force programs that are normally setuid to be
install without a setuid flag, or only executable by a certain group.
.P
\fBdpkg\-statoverride\fP è un'utilità per gestire l'elenco di «stat override»
(sovrascritture di stato). Ha tre funzioni di base: aggiunta, rimozione ed
elenco delle sovrascritture.
.
.SH COMANDI
.TP 
\fB\-\-add\fP\fI utente gruppo modalità percorso\fP
Add an override for \fIpath\fP. \fIpath\fP does not need to exist when this
command is used; the override will be stored and used later.  Users and
groups can be specified by their name (for example \fBroot\fP or \fBnobody\fP), or
by their number by prepending the number with a ‘\fB#\fP’ (for example \fB#0\fP or
\fB#65534\fP).  The \fImode\fP needs to be specified in octal.

Se viene usato \fB\-\-update\fP e \fIpath\fP esiste, quest'ultimo viene
immediatamente impostato con i nuovi proprietario e modalità.
.TP 
\fB\-\-remove\fP\fI percorso\fP
Rimuove una sovrascrittura per \fIpath\fP; questo comando lascia lo stato di
\fIpath\fP immutato.
.TP 
\fB\-\-list\fP [\fImodello\-glob\fP]
List all overrides. If a glob pattern is specified restrict the output to
overrides which match the glob.
.TP 
\fB\-\-help\fP
Mostra il messaggio sull'uso ed esce.
.TP 
\fB\-\-version\fP
Mostra la versione ed esce.
.
.SH OPZIONI
.TP 
\fB\-\-admindir\fP\fI directory\fP
Cambia la \fIdirectory\fP del database di \fBdpkg\fP dove viene memorizzato anche
il file statoverride. La posizione predefinita è \fI%ADMINDIR%\fP.
.TP 
\fB\-\-force\fP
Forza un'azione, anche se verrebbe proibita da un controllo di
correttezza. Non è necessario per sovrascrivere una sovrascrittura
esistente.
.TP 
\fB\-\-update\fP
Cerca di modificare immediatamente il \fIpercorso\fP con i nuovi proprietario e
permessi, se esiste.
.TP 
\fB\-\-quiet\fP
È meno prolisso riguardo a ciò che viene fatto.
.
.SH "STATO D'USCITA"
.TP 
\fB0\fP
L'azione richiesta è stata effettuata con successo.
.TP 
\fB1\fP
For \fB\-\-list\fP, if there are no overrides or none match the supplied glob.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH AMBIENTE
.TP 
\fBDPKG_ADMINDIR\fP
Se impostata e l'opzione \fB\-\-admindir\fP non è stata specificata, verrà usata
come directory dei dati di \fBdpkg\fP.
.
.SH FILE
.TP 
\fI%ADMINDIR%/statoverride\fP
File which contains the current list of stat overrides of the system. It is
located in the \fBdpkg\fP administration directory, along with other files
important to \fBdpkg\fP, such as \fIstatus\fP or \fIavailable\fP.
.br
Note: \fBdpkg\-statoverride\fP preserves the old copy of this file, with
extension “\-old”, before replacing it with the new one.
.
.SH "VEDERE ANCHE"
\fBdpkg\fP(1).
