.\" dpkg manual page - deb-split(5)
.\"
.\" Copyright © 2009-2012 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-split 5 %RELEASE_DATE% %VERSION% "dpkg suite"
.nh
.SH 名前
deb\-split \- Debian マルチパートのバイナリパッケージ形式
.SH 書式
\fIfilename\fP\fB.deb\fP
.SH 説明
マルチパート \fB.deb\fP 形式は、巨大なパッケージを小さく分割することで、小容量メディアでの転送を容易にするために用いられる。
.SH フォーマット
このファイルはマジックナンバー \fB!<arch>\fP を持つ \fBar\fP アーカイブである。ファイル名はスラッシュで終わる場合がある
(dpkg 1.15.6 以降)。
.PP
アーカイブ先頭のファイルは \fBdebian\-split\fP である。このファイルは、改行で区切られた数行からなる。現在のところ 8 行が存在する:
.IP • 4
本マニュアルページが書かれた時点での形式のバージョン番号は、\fB2.1\fP である。
.IP •
パッケージ名
.IP •
パッケージのバージョン
.IP •
パッケージの md5sum
.IP •
パッケージ全体のサイズ
.IP •
単一パートの最大サイズ
.IP •
現在のパート番号。スラッシュに続いてパートの総数を記載する形態 (‘1/10’) で表記される。
.IP •
パッケージのアーキテクチャ (dpkg 1.16.1 以降)
.PP
マルチパート形式のアーカイブを読み込むプログラムは、マイナーバージョン番号の増加や、新しい行の追加に対応すべきである。その際には、これらを無視すること。
.PP
メジャーバージョン番号が変更されている場合は、互換性のない変更がされているとみなし、プログラムは停止すべきである。メジャーバージョンが変更されていない場合は、以下で説明するように、アーカイブに予期しないファイルが含まれていない限り(アーカイブ末尾に含まれる場合を除く)、プログラムは安全に実行を継続できる必要がある。
.PP
2 番目となる最後の必須ファイルは \fBdata.\fP\fIN\fP である。\fIN\fP はパート番号を示す。これにはパートのデータそのものが格納されている。
.PP
これらのファイルはこの通りの順序でアーカイブされていなければならない。現在の実装では \fBdata.\fP\fIN\fP
より後に追加されているファイルを無視すべきである。将来的に追加のファイルが定義された場合は、(やむを得ない場合を除き) これら 2
つのファイルの後にアーカイブされることになるだろう。
.SH 関連項目
\fBdeb\fP(5), \fBdpkg\-split\fP(1).
.SH 翻訳者
高橋 基信 <monyo@monyo.com>.
喜瀬 浩 <kise@fuyuneko.jp>.
関戸 幸一 <sekido@mbox.kyoto-inet.or.jp>.
鍋谷 栄展 <nabe@debian.or.jp>.
倉澤 望 <nabetaro@debian.or.jp>.
石川 睦 <ishikawa@linux.or.jp>.
鵜飼 文敏 <ukai@debian.or.jp>.
中野 武雄 <nakano@apm.seikei.ac.jp>.
.SH 翻訳校正
Debian JP Documentation ML <debian-doc@debian.or.jp>.
