.\" dpkg manual page - dpkg-name(1)
.\"
.\" Copyright © 1995-1996 Erick Branderhorst
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-name 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.nh
.SH 名前
dpkg\-name \- Debian パッケージを完全パッケージ名にリネーム
.
.SH 書式
\fBdpkg\-name\fP [\fIoption\fP...] [\fB\-\-\fP] \fIfile\fP...
.
.SH 説明
.PP
このマニュアルページでは、\fBdpkg\-name\fP シェルスクリプトについて説明する。これは、\fBDebian\fP
パッケージを完全パッケージ名に、簡単に変更する方法を提供する。完全パッケージ名とは、パッケージの control ファイルで指定された
\fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarchitecture\fP\fB.\fP\fIpackage\-type\fP
という形式である。ファイル名の \fIversion\fP
部分は、アップストリームのバージョン情報に続き、オプションでハイフンおよびリビジョン情報が続いたものである。\fIpackage\-type\fP
部分は、Package\-Type フィールドが設定されていればその内容が用いられる。デフォルトは \fBdeb\fP である。
.
.SH オプション
.TP 
\fB\-a\fP, \fB\-\-no\-architecture\fP
リネーム後のファイル名にアーキテクチャ情報を含めない。
.TP 
\fB\-k\fP, \fB\-\-symlink\fP
ファイル名のリネーム処理として、ファイルを移動する代わりにシンボリックリンクを作成する。
.TP 
\fB\-o\fP, \fB\-\-overwrite\fP
リネーム後のファイル名と同名のファイルがあれば、上書きする。
.TP 
\fB\-s\fP, \fB\-\-subdir\fP [\fIdir\fP]
Files will be moved into a subdirectory. If the directory given as argument
exists the files will be moved into that directory otherwise the name of the
target directory is extracted from the section field in the control part of
the package. The target directory will be
«unstable/binary\-\fIarchitecture\fP/\fIsection\fP».  If the section is not found
in the control, then \fBno\-section\fP is assumed, and in this case, as well as
for sections \fBnon\-free\fP and \fBcontrib\fP the target directory is
«\fIsection\fP/binary\-\fIarchitecture\fP».  The section field is not required so a
lot of packages will find their way to the \fBno\-section\fP area.  Use this
option with care, it's messy.
.TP 
\fB\-c\fP, \fB\-\-create\-dir\fP
This option can used together with the \fB\-s\fP option. If a target directory
isn't found it will be created automatically.  \fBUse this option with care.\fP
.TP 
\fB\-?\fP, \fB\-\-help\fP
利用方法を表示して終了する。
.TP 
\fB\-v\fP, \fB\-\-version\fP
バージョン情報を表示して終了する。
.
.SH バグ
Some packages don't follow the name structure
\fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarchitecture\fP\fB.deb\fP.  Packages renamed by
\fBdpkg\-name\fP will follow this structure. Generally this will have no impact
on how packages are installed by \fBdselect\fP(1)/\fBdpkg\fP(1), but other
installation tools might depend on this naming structure.
.
.SH 例
.TP 
\fBdpkg\-name bar\-foo.deb\fP
The file \fBbar\-foo.deb\fP will be renamed to bar\-foo_1.0\-2_i386.deb or
something similar (depending on whatever information is in the control part
of \fBbar\-foo.deb\fP).
.TP 
\fBfind /root/debian/ \-name '*.deb' | xargs \-n 1 dpkg\-name \-a\fP
All files with the extension \fBdeb\fP in the directory /root/debian and its
subdirectory's will be renamed by \fBdpkg\-name\fP if required into names with
no architecture information.
.TP 
\fBfind \-name '*.deb' | xargs \-n 1 dpkg\-name \-a \-o \-s \-c\fP
\fBやってはいけない!\fP 多くのパッケージはセクション情報をもっていないので、アーカイブがぐちゃぐちゃになってしまうだろう。\fBやってはいけない!\fP
.TP 
\fBdpkg\-deb \-\-build debian\-tmp && dpkg\-name \-o \-s .. debian\-tmp.deb\fP
これは新しいパッケージを作る時に使うことができる。
.
.SH 関連項目
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdpkg\-deb\fP(1), \fBfind\fP(1),
\fBxargs\fP(1).
.SH 翻訳者
高橋 基信 <monyo@monyo.com>.
喜瀬 浩 <kise@fuyuneko.jp>.
関戸 幸一 <sekido@mbox.kyoto-inet.or.jp>.
鍋谷 栄展 <nabe@debian.or.jp>.
倉澤 望 <nabetaro@debian.or.jp>.
石川 睦 <ishikawa@linux.or.jp>.
鵜飼 文敏 <ukai@debian.or.jp>.
中野 武雄 <nakano@apm.seikei.ac.jp>.
.SH 翻訳校正
Debian JP Documentation ML <debian-doc@debian.or.jp>.
