.\" dpkg manual page - dpkg-split(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2011 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-split 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.nh
.SH 名前
dpkg\-split \- Debian パッケージアーカイブの分割/統合ツール
.
.SH 書式
\fBdpkg\-split\fP [\fIoption\fP...] \fIcommand\fP
.
.SH 説明
\fBdpkg\-split\fP は Debian
バイナリパッケージのファイルを小さいパートに分割したり、それらを再度統合したりするツールであり、フロッピーディスクのような容量の小さい媒体上に、サイズの大きいパッケージファイルを保管できるようにする。

これは、\fB\-\-split\fP, \fB\-\-join\fP, \fB\-\-info\fP オプションを手動で指定することにより行われる。

\fBdpkg\-split\fP には \fB\-\-auto\fP
オプションにより実行される自動モードも備わっている。自動モードでは、存在しているがまだ統合されていないパートのキューを管理することで、すべてのパートが確認できた時点でそれらを統合する。キューの管理は、\fB\-\-listq\fP
および \fB\-\-discard\fP オプションで行うことができる。

分割、統合、キューイング処理のいずれも、標準出力に有用なメッセージを出力する。これらは無視しても問題ない。
.
.SH コマンド
.TP 
\fB\-s\fP, \fB\-\-split\fP \fIcomplete\-archive\fP [\fIprefix\fP]
単一の Debian バイナリパッケージを幾つかのパートに分割する。

各パートは、\fIprefix\fP\fB.\fP\fIN\fP\fBof\fP\fIM\fP\fB.deb\fP のように名づけられる。ここで、\fIN\fP は 1
から始まるパート番号であり、\fIM\fP はパートの総数である (いずれも 10 進数である)。

\fIprefix\fP が指定されていない場合は、\fIcomplete\-archive\fP ファイル名が、ディレクトリ部分も含めて用いられるが、末尾の
\&\fB.deb\fP 部分は削除される。
.TP 
\fB\-j\fP, \fB\-\-join\fP \fIpart\fP...
パッケージファイルのパート群を集約して、分割前のオリジナルファイルに統合する。

引数として指定された各パートのファイルは、オリジナルのバイナリファイルのすべてのパートを含んでいること。パートを順番に並べて指定する必要はないが、同じパートのファイルを複数回指定することはできない。

各パートは分割時に指定されたサイズが同一である必要がある。これは、通常各パートが単一の \fBdpkg\-split \-\-split\fP
の実行から生成されることを意味する。

パートのファイル名は、統合処理において重要ではない。

生成されたファイルは、デフォルトで \fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarch\fP\fB.deb\fP というファイル名になる。

.TP 
\fB\-I\fP, \fB\-\-info\fP \fIpart\fP...
パートのファイルに関する情報を人が読みやすい形式で表示する。バイナリパッケージのパート以外のファイルが引数で指定された場合は、それを指摘するメッセージを
(標準出力に) 代わりに表示する。
.TP 
\fB\-a\fP, \fB\-\-auto \-o\fP \fIcomplete\-output part\fP
自動的にパートをキューイングして、可能であればパッケージを再統合する。

\fIpart\fP で指定されたパートが検査され、同じパッケージファイルのパートのキューにあるパッケージの別のパート (もしあれば) と比較される。

\fIpart\fP が属するパッケージファイルのすべてのパートが利用可能な場合、パッケージは統合され、\fIcomplete\-output\fP に書き出される
(ファイルが既存の場合もエラーとはならないが、通常は推奨されない)。

それ以外の場合、\fIpart\fP がキューにコピーされ、\fIcomplete\-output\fP は作成されない。

\fIpart\fP が分割されたバイナリパッケージのパート以外の場合、\fBdpkg\-split\fP は戻り値 \fB1\fP
で終了する。何らかのトラブルが発生した場合、戻り値 \fB2\fP で終了する。

\fB\-\-auto\fP を使用する場合、\fB\-\-output\fP もしくは \fB\-o\fP オプションも指定すること
(これを必須にしないと、呼び出したプログラムが出力ファイル名を知る術がなくなってしまう)。
.TP 
\fB\-l\fP, \fB\-\-listq\fP
統合されるパッケージのキューの内容を一覧表示する。

キューにパートが存在している各パッケージファイルについて、パッケージ名とキューにあるパート、キューに格納されているバイト数が出力される。
.TP 
\fB\-d\fP, \fB\-\-discard\fP [\fIpackage\fP...]
パッケージの残りのパートが揃うまでキューに格納されているパートをキューから削除する。

\fIpackage\fP が指定されなかった場合、キューは完全に消去される。何らかのパッケージが指定された場合、そのパッケージのパートのみが削除される。
.TP 
\fB\-?\fP, \fB\-\-help\fP
利用方法を表示して終了する。
.TP 
\fB\-\-version\fP
バージョン情報を表示して終了する。
.
.SH オプション
.TP 
\fB\-\-depotdir\fP\fI directory\fP
自動的な統合を待っているパートのキューが置かれているディレクトリを指定する。デフォルトは \fB%ADMINDIR%\fP である。
.TP 
\fB\-S\fP, \fB\-\-partsize\fP \fIkibibytes\fP
ファイル分割の際のパートの最大サイズを kibibyte (1024 byte) 単位で指定する。デフォルトは 450 KiB である。
.TP 
\fB\-o\fP, \fB\-\-output\fP \fIcomplete\-output\fP
統合の際の出力ファイル名を指定する。

これは、(\fB\-\-join\fP による) 手動統合の際のデフォルトのファイル名に優先する。また、(\fB\-\-auto\fP による)
自動でのキューイングおよび統合の際には必須である。
.TP 
\fB\-Q\fP, \fB\-\-npquiet\fP
自動でのキューイングおよび統合が行われる際、\fBdpkg\-split\fP は通常バイナリパッケージのパートでない \fIpart\fP
が指定されるとメッセージを出力するが、このオプションによりメッセージが抑止され、\fBdpkg\fP
のようなプログラムがパッケージの分割や統合を扱う際に、余計なメッセージを出力することが避けられる。
.TP 
\fB\-\-msdos\fP
\fB\-\-split\fP で生成される出力ファイル名として MS\-DOS 互換のファイル名を強制する。

これにより、入力ファイル名から生成されたデフォルト値の prefix、引数として指定された prefix
いずれもが切り詰められる。英数字は小文字にされ、プラス記号は \fBx\fP に置き換えられ、その他の文字は破棄される。

必要な切り詰めが行われた結果として、\fIprefixN\fP\fBof\fP\fIM\fP\fB.deb\fP 形式のファイル名が生成される。
.
.SH 終了ステータス
.TP 
\fB0\fP
要求された分割、統合、その他のコマンドは成功した。\fB\-\-info\fP
コマンドはファイルがバイナリパッケージのパートでなかった場合も含め、成功としてカウントする。
.TP 
\fB1\fP
\fB\-\-auto\fP の場合のみ発生し、\fIpart\fP ファイルがバイナリパッケージのパートではなかったことを示す。
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, a file that
looked like a package part file but was corrupted, or interactions with the
system, such as accesses to the database, memory allocations, etc.
.
.SH 環境変数
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) in the
\fBdeb\-split\fP(5)'s \fBar\fP(5) container.
.
.SH ファイル
.TP 
\fI%ADMINDIR%/parts\fP
パートを構成するファイルが自動統合を待機するデフォルトのキューディレクトリ。

このディレクトリ内のファイル名は \fBdpkg\-split\fP
の内部形式となっており、その他のプログラムから参照されることを想定していない。いかなる場合もファイル名の形式に依存すべきではない。
.
.SH バグ
キューにあるパッケージの詳細は、キューディレクトリを自分で調べない限り確認することができない。

ファイルがバイナリパッケージのパートかどうかを簡単に確認する手段が存在しない。
.
.SH 関連項目
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\-deb\fP(1), \fBdpkg\fP(1).
.SH 翻訳者
高橋 基信 <monyo@monyo.com>.
喜瀬 浩 <kise@fuyuneko.jp>.
関戸 幸一 <sekido@mbox.kyoto-inet.or.jp>.
鍋谷 栄展 <nabe@debian.or.jp>.
倉澤 望 <nabetaro@debian.or.jp>.
石川 睦 <ishikawa@linux.or.jp>.
鵜飼 文敏 <ukai@debian.or.jp>.
中野 武雄 <nakano@apm.seikei.ac.jp>.
.SH 翻訳校正
Debian JP Documentation ML <debian-doc@debian.or.jp>.
