.\" dpkg manual page - deb-changes(5)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2010 Russ Allbery <rra@debian.org>
.\" Copyright © 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-changes 5 %RELEASE_DATE% %VERSION% dpkg\-suite
.nh
.SH NAAM
deb\-changes \- Indeling van het Debian changes\-bestand
.
.SH OVERZICHT
\fIbestandsnaam\fP\fB.changes\fP
.
.SH BESCHRIJVING
Elke upload in Debian bevat een .changes\-controlebestand \fIcontrol\fP met een
aantal velden. Ieder veld begint met een markering, zoals \fBSource\fP of
\fBBinary\fP (niet hoofdlettergevoelig), gevolgd door een dubbele punt en de
tekstinhoud van het veld. Velden worden enkel door veldmarkeringen
begrensd. De tekstinhoud van het veld kan met andere woorden verschillende
regels lang zijn, maar de installatiegereedschappen zullen bij het verwerken
van de tekstinhoud de regels gewoonlijk samenvoegen (behalve voor de
multiregel\-velden \fBDescription\fP, \fBChanges\fP, \fBFiles\fP, \fBChecksums\-Sha1\fP en
\fBChecksums\-Sha256\fP; zie hierna)
.PP
De controle\-data mogen ingesloten liggen in een OpenPGP\-handtekening met
ASCII\-harnas volgens de specificatie RFC4880.
.
.SH VELDEN
.TP 
\fBFormat:\fP \fIindelingsversie\fP (verplicht)
De waarde van dit veld bepaalt de indelingsversie van het bestand. De
syntaxis van de veldwaarde is een versienummer met een hoofdversie\- en een
onderversiecomponent. Wijzigingen aan de indeling die niet neerwaarts
compatibel zijn, hebben een verhoging van het hoofdversienummer tot gevolg
en neerwaarts compatibele veranderingen (zoals het toevoegen van extra
velden) verhogen het onderversienummer. De huidige indelingsversie is
\fB1.8\fP.
.TP 
\fBDate:\fP \fIdatum\-van\-uitgave\fP (verplicht)
De datum waarop het pakket gebouwd werd of het laatst bewerkt. Hij moet in
dezelfde indeling opgemaakt zijn als de datum in een
\fBdeb\-changelog\fP(5)\-item.

De waarde van dit veld wordt meestal gehaald uit het bestand
\fIdebian/changelog\fP.
.TP 
\fBSource:\fP \fIbroncode\-naam\fP [\fB(\fP\fIbroncode\-versie\fP\fB)\fP] (verplicht)
De naam van het broncodepakket. Indien de versie van het broncodepakket
verschilt van de versie van het binaire pakket, dan zal de \fIbroncode\-naam\fP
gevolgd worden door een \fIbroncode\-versie\fP tussen haakjes. Dit kan het geval
zijn als de upload een uitsluitend binaire upload is die niet door de
onderhouder uitgevoerd wordt.
.TP 
\fBBinary:\fP \fIlijst\-binaire\-pakketten\fP (verplicht)
Dit gevouwen veld is een lijst, met spatie als scheidingsteken, van binaire
pakketten die geüpload moeten worden.
.TP 
\fBArchitecture:\fP \fIarch\-lijst\fP
Somt de architecturen op van de bestanden die momenteel geüpload
worden. Gebruikelijke architecturen zijn \fBamd64\fP, \fBarmel\fP, \fBi386\fP,
enz. Merk op dat de waarde \fBall\fP bedoeld is voor pakketten die
architectuuronafhankelijk zijn. Indien ook de broncode voor het pakket
geüpload wordt, wordt tevens de bijzondere vermelding \fBsource\fP
toegevoegd. Jokertekens voor architecturen mogen nooit voorkomen in de
lijst.
.TP 
\fBVersion:\fP \fIversie\-tekenreeks\fP (verplicht)
Typically, this is the original package's version number in whatever form
the program's author uses.  It may also include a Debian revision number
(for non\-native packages).  The exact format and sorting algorithm are
described in \fBdeb\-version\fP(7).
.TP 
\fBDistribution:\fP \fIdistributie\fPs (verplicht)
Somt een of meer met een spatie van elkaar gescheiden distributies op waarin
deze versie ondergebracht moet worden als het geüpload wordt naar het
archief.
.TP 
\fBUrgency:\fP\fI urgentie\fP (aanbevolen)
De dringendheid van de upload. De momenteel toegelaten waarden, in oplopende
volgorde van dringendheid, zijn: \fBlow\fP, \fBmedium\fP, \fBhigh\fP, \fBcritical\fP en
\fBemergency\fP.
.TP 
\fBMaintainer:\fP \fIvolledige\-naam\-en\-e\-mail\fP (verplicht)
Moet opgemaakt worden volgens de indeling “Joe Bloggs
<jbloggs@example.org>”, en is gewoonlijk de persoon die het pakket
maakte, in tegenstelling tot de auteur van de verpakte software.
.TP 
\fBChanged\-By:\fP\fI volledige\-naam\-en\-e\-mailadres\fP
Moet opgemaakt worden volgens de indeling “Joe Bloggs
<jbloggs@example.org>”, en is gewoonlijk de persoon die voor deze
release verantwoordelijk is voor de veranderingen aan het pakket.
.TP 
\fBDescription:\fP (aanbevolen)
.TQ
 \fInaam\-binaire\-pakket\fP \fB\-\fP \fIsamenvatting\-binaire\-pakket\fP
Dit multiregel\-veld bevat een lijst met de namen van de binaire pakketten,
gevolgd door een spatie, een koppelteken (‘\fB\-\fP’) en hun eventueel afgekapte
korte beschrijving.
.TP 
\fBCloses:\fP\fI bug\-nummer\-lijst\fP
Een lijst van met komma's van elkaar gescheiden nummers van bugrapporten die
door deze upload opgelost worden. De archiefsoftware van de distributie kan
dit veld gebruiken om automatisch de vermelde bugnummers te sluiten in het
opvolgingssysteem voor bugs van de distributie.
.TP 
\fBBinary\-Only: yes\fP
Dit veld geeft aan dat deze upload gebeurt na de niet door de
pakketonderhouder uitgevoerde bouw van uitsluitend het binaire pakket. Het
vindt zijn oorsprong in het item met de sleutel/waarde\-combinatie
\fBbinary\-only=yes\fP uit de metadata van het changelog\-bestand.
.TP 
\fBBuilt\-For\-Profiles:\fP\fI profiel\-lijst\fP
Dit veld somt een lijst van door een spatie van elkaar gescheiden
bouwprofielen op waarmee deze upload gebouwd werd.
.TP 
\fBChanges:\fP (verplicht)
.TQ
\fI changelog\-items\fP
Dit multiregel\-veld bevat de samengevoegde tekst van alle changelog\-items
die deel uitmaken van de upload. Om van dit veld een geldig multiregel\-veld
te maken, worden lege regels vervangen door één enkel punt (‘.’) en springen
alle regels in met één spatie. De exacte inhoud hangt af van de
changelog\-indeling.
.TP 
\fBFiles:\fP (verplicht)
.TQ
 \fImd5som\fP \fIgrootte\fP \fIsectie\fP \fIprioriteit\fP \fIbestandsnaam\fP
Dit multiregel\-veld bevat een bestandslijst met voor elk bestand de
vermelding van de md5som, grootte, sectie en prioriteit.

De eerste regel van de veldwaarde (het deel dat op dezelfde regel staat als
de door een dubbele punt gevolgde veldnaam) is steeds leeg. De inhoud van
het veld wordt in de vervolgregels verwoord, één regel per bestand. Elke
regel bestaat uit elementen die onderling gescheiden zijn door een spatie en
het bestand beschrijven: zijn md5som, zijn bestandsgrootte, zijn sectie,
zijn prioriteit en zijn naam.

Dit veld somt alle bestanden op die deel uitmaken van de upload. De lijst
van bestanden uit dit veld moet overeenkomen met de bestandslijst in de
andere gerelateerde \fBChecksums\fP\-velden.
.TP 
\fBChecksums\-Sha1:\fP (verplicht)
.TQ
\fBChecksums\-Sha256:\fP (verplicht)
.TQ
 \fIcontrolesom\fP \fIgrootte\fP \fIbestandsnaam\fP
Deze multiregel\-velden bevatten een lijst van bestanden met een controlesom
en een bestandsgrootte voor elk van hen. Deze velden gebruiken dezelfde
syntaxis en verschillen onderling enkel in het gebruikte algoritme voor het
berekenen van de controlesom: SHA\-1 voor \fBChecksums\-Sha1\fP en SHA\-256 voor
\fBChecksums\-Sha256\fP.

De eerste regel van de veldwaarde (het deel dat op dezelfde regel staat als
de door een dubbele punt gevolgde veldnaam) is steeds leeg. De inhoud van
het veld wordt in de vervolgregels verwoord, één regel per bestand. Elke
regel bestaat uit elementen die onderling door een spatie gescheiden zijn en
het bestand beschrijven: zijn controlesom, zijn bestandsgrootte en zijn
naam.

Deze velden sommen alle bestanden op die deel uitmaken van de upload. De
lijst van bestanden uit deze velden moet overeenkomen met de bestandslijst
in het veld \fBFiles\fP en in de andere gerelateerde \fBChecksums\fP\-velden.
.
.\" .SH EXAMPLE
.\" .RS
.\" .nf
.\"
.\" .fi
.\" .RE
.
.SH BUGS
Het veld \fBFiles\fP is niet consistent met de andere \fBChecksums\fP\-velden. De
velden \fBChange\-By\fP en \fBMaintainer\fP hebben namen die verwarrend zijn. Het
veld \fBDistribution\fP bevat informatie over waar gewoonlijk met de term suite
naar verwezen wordt.
.SH "ZIE OOK"
\fBdeb\-src\-control\fP(5), \fBdeb\-version\fP(7).
