.\" dpkg manual page - deb-substvars(5)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2009,2012-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-substvars 5 %RELEASE_DATE% %VERSION% dpkg\-suite
.nh
.SH NAAM
deb\-substvars \- Substitutievariabelen in Debian broncode
.
.SH OVERZICHT
substvars
.
.SH BESCHRIJVING
Vooraleer \fBdpkg\-source\fP, \fBdpkg\-gencontrol\fP en \fBdpkg\-genchanges\fP hun
comtrole\-informatie neerschrijven (naar het broncodecontrolebestand \fB.dsc\fP
in het geval van \fBdpkg\-source\fP en naar standaarduitvoer in het geval van
\fBdpkg\-gencontrol\fP en \fBdpkg\-genchanges\fP), voeren ze een aantal
variabelesubstituties uit op het uitvoerbestand.

Een variabelesubstitutie heeft als vorm
\fB${\fP\fIvariabelenaam\fP\fB}\fP. Variabelenamen bestaan uit alfanumerieke tekens,
koppeltekens en dubbele punten en beginnen met een alfanumeriek
teken. Variabelesubstituties worden bij herhaling uitgevoerd tot er geen
meer overblijven. Na een substitutie wordt de volledige tekst van het veld
opnieuw doorzocht op nog meer uit te voeren substituties.

Nadat alle substituties uitgevoerd werden, wordt de tekenreeks \fB${}\fP
(hetgeen geen geldige substitutie is) overal waar die voorkomt, vervangen
door het teken \fB$\fP.

Hoewel variabelesubstitutie uitgevoerd wordt op alle controlevelden, zijn
sommige van die velden nodig tijdens het bouwen wanneer de substitutie nog
niet heeft plaats gevonden. Dat is de reden waarom u geen variabelen kunt
gebruiken in de velden \fBPackage\fP, \fBSource\fP en \fBArchitecture\fP.

Variabelesubstitutie vindt plaats op de inhoud van de velden nadat die
ontleed werden. Indien u dus wenst dat een variabele zich uitstrekt over
meerdere regels, moet u na het regeleinde geen spatie invoegen. Dit gebeurt
impliciet bij de uitvoer van het veld. Indien bijvoorbeeld de variabele
\fB${Description}\fP ingesteld werd op "foo is bar.${Newline}foo is geweldig."
en u het volgende veld heeft:

 Description: toepassing foo
  ${Description}
  .
  Bijkomende tekst.

zal dit resulteren in:

 Description: toepassing foo
  foo is bar.
  foo is geweldig.
  .
  Bijkomende tekst.

Variabelen kunnen ingesteld worden met behulp van de algemene optie
\fB\-V\fP. Ze kunnen ook opgegeven worden in het bestand \fBdebian/substvars\fP (of
om het even welk ander bestand dat opgegeven werd met de optie \fB\-T\fP). Dit
bestand bestaat uit regels die de vorm \fInaam\fP\fB=\fP\fIwaarde\fP
hebben. Witruimte aan het einde van een regel, lege regels en regels die
beginnen met het symbool \fB#\fP (commentaar) worden genegeerd.

Bovendien kunnen de volgende standaardvariabelen gebruikt worden:
.TP 
\fBArch\fP
De huidige computerarchitectuur (d.w.z. de architectuur waarvoor het pakket
gebouwd wordt; het equivalent van \fBDEB_HOST_ARCH\fP).
.TP 
\fBsource:Version\fP
De versie van het broncodepakket (sinds dpkg 1.13.19).
.TP 
\fBsource:Upstream\-Version\fP
De versie van het broncodepakket van de toeleveraar, eventueel met inbegrip
van de versie\-epoche van Debian (sinds dpkg 1.13.19).
.TP 
\fBbinary:Version\fP
The binary package version (which may differ from \fBsource:Version\fP in a
binNMU for example; since dpkg 1.13.19).
.TP 
\fBSource\-Version\fP
De versie van het broncodepakket (uit het bestand changelog). Deze variabele
is nu \fBverouderd\fP en geeft aanleiding tot een foutmelding als hij gebruikt
wordt, aangezien de betekenis ervan verschilt van zijn functie. U moet
naargelang het geval nu \fBsource:Version\fP of \fBbinary:Version\fP gebruiken.
.TP 
\fBsource:Synopsis\fP
The source package synopsis, extracted from the source stanza \fBDescription\fP
field, if it exists (since dpkg 1.19.0).
.TP 
\fBsource:Extended\-Description\fP
The source package extended description, extracted from the source stanza
\fBDescription\fP field, if it exists (since dpkg 1.19.0).
.TP 
\fBInstalled\-Size\fP
De geschatte totale grootte van de uit het pakket geïnstalleerde
bestanden. Deze waarde wordt gekopieerd naar het overeenkomstige veld in het
bestand control. Dit instellen wijzigt de waarde van dat veld. Indien deze
variabele niet ingesteld werd, zal \fBdpkg\-gencontrol\fP de standaardwaarde
berekenen door de grootte van alle gewone bestanden en alle symbolische
koppelingen samen te nemen, afgerond tot op een eenheid van 1 KiB, en met
een richtlijn van 1 KiB voor elk ander type object van het bestandssysteem.

\fBOpmerking:\fP Houd er rekening mee dat dit steeds slechts een schatting kan
zijn, aangezien de werkelijke grootte die op het geïnstalleerde systeem
gebruikt zal worden, in grote mate afhankelijk is van het gebruikte
bestandssysteem en de parameters ervan, waardoor het eindresultaat kan zijn
dat ofwel meer ofwel minder ruimte in beslag genomen wordt dan in dit veld
opgegeven werd.
.TP 
\fBExtra\-Size\fP
Extra schijfruimte die gebruikt wordt als het pakket geïnstalleerd
is. Indien deze variabele ingesteld werd, wordt de waarde ervan opgeteld bij
de variabele \fBInstalled\-Size\fP (ofwel de expliciet ingestelde of de
standaardwaarde ervan) vooraleer ze gekopieerd wordt naar het veld
\fBInstalled\-Size\fP in het bestand control.
.TP 
\fBS:\fP\fIveldnaam\fP
De waarde van het broncodeveld \fIveldnaam\fP (die moet opgegeven worden in de
gebruikelijke schrijfwijze met hoofd\-/kleine letters; sinds dpkg
1.18.11). Het instellen van deze variabelen heeft geen effect tenzij op die
plaatsen waar ze expliciet geëxpandeerd worden. Deze variabelen zijn enkel
beschikbaar tijdens het genereren van de control\-bestanden van het binaire
pakket.
.TP 
\fBF:\fP\fIveldnaam\fP
De waarde van het uitvoerveld \fIveldnaam\fP (die moet opgegeven worden in de
gebruikelijke schrijfwijze met hoofd\-/kleine letters). Het instellen van
deze variabelen heeft geen effect tenzij op die plaatsen waar ze expliciet
geëxpandeerd worden.
.TP 
\fBFormat\fP
Het versienummer van de bestandsindeling van \fB.changes\fP dat door deze
versie van de scripts voor het verpakken van de broncode gegenereerd
wordt. Indien u deze variabele instelt, zal de inhoud van het veld \fBFormat\fP
in het bestand \fB.changes\fP ook gewijzigd worden.
.TP 
\fBNewline\fP, \fBSpace\fP, \fBTab\fP
Elk van deze variabelen bevat het overeenkomstig letterteken.
.TP 
\fBshlibs:\fP\fIdependencyfield\fP
Variabele\-instellingen met namen in deze vorm worden door \fBdpkg\-shlibdeps\fP
gegenereerd.
.TP 
\fBdpkg:Upstream\-Version\fP
De originele toeleveraarsversie (upstream) van dpkg (sinds dpkg 1.13.19).
.TP 
\fBdpkg:Version\fP
De volledige versie van dpkg (sinds dpkg 1.13.19).
.LP
Indien er gerefereerd wordt naar een niet\-gedefinieerde variabele, wordt een
waarschuwing gegeven en wordt verondersteld dat de waarde ervan leeg is.
.
.SH BESTANDEN
.TP 
\fBdebian/substvars\fP
Lijst met substitutievariabelen en hun waarden.
.
.SH "ZIE OOK"
.ad l
\fBdpkg\fP(1), \fBdpkg\-genchanges\fP(1), \fBdpkg\-gencontrol\fP(1),
\fBdpkg\-shlibdeps\fP(1), \fBdpkg\-source\fP(1).
