.\" dpkg manual page - deb-symbols(5)
.\"
.\" Copyright © 2007-2012 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2011, 2013-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-symbols 5 %RELEASE_DATE% %VERSION% dpkg\-suite
.nh
.SH NAAM
deb\-symbols \- Informatiebestand over Debian's uitgebreide gedeelde
bibliotheek
.
.SH OVERZICHT
symbols
.
.SH BESCHRIJVING
De symbolenbestanden worden meegeleverd met Debian binaire pakketten en de
indeling ervan maakt gebruik van deelaspecten van de
sjabloonsymbolenbestanden die door \fBdpkg\-gensymbols\fP(1) in Debian
broncodepakketten gebruikt worden.
.P
In deze bestanden is de indeling van een item met informatie over een
afhankelijkheid van de uitgebreide gedeelde bibliotheek als volgt:
.PP
\fIbibliotheeksoname sjabloon\-hoofdafhankelijkheid\fP
.br
[| \fIsjabloon\-alternatieve\-afhankelijkheid\fP]
.br
[...]
.br
[* \fIveldnaam\fP: \fIveldwaarde\fP]
.br
[...]
 \fIsymbool\fP \fIminimale\-versie\fP [\fIid\-van\-afhankelijkheidssjabloon\fP]
.P
De \fIbibliotheeksoname\fP is exact de waarde van het veld SONAME zoals die
door \fBobjdump\fP(1) geëxporteerd wordt. Een \fIafhankelijkheidssjabloon\fP is
een afhankelijkheid waarbij \fI#MINVER#\fP dynamisch vervangen wordt door ofwel
een versietoets zoals “(>= \fIminimale\-versie\fP)” ofwel door niets (indien
een versieloze afhankelijkheid voldoende geacht wordt).
.P
Elk geëxporteerd \fIsymbool\fP (vermeld als \fInaam\fP@\fIversie\fP, waarbij
\fIversie\fP “Base” is als het een versieloze bibliotheek betreft) is
geassocieerd met een \fIminimale\-versie\fP van zijn afhankelijkheidssjabloon
(het hoofdafhankelijkheidssjabloon wordt altijd gebruikt en wordt
uiteindelijk gecombineerd met het afhankelijkheidssjabloon waarnaar verwezen
wordt door \fIid\-van\-afhankelijkheidssjabloon\fP als dat voorhanden is). Het
eerste alternatieve afhankelijkheidssjabloon krijgt het nummer 1, het tweede
2 enzovoort.
.P
Elk item over een bibliotheek kan ook velden met meta\-informatie
bevatten. Die velden worden opgeslagen in regels die beginnen met een
asterisk. Momenteel mogen enkel de volgende velden gebruikt worden:
.TP 
\fBBuild\-Depends\-Package\fP
Dit geeft de naam op van het “\-dev”\-pakket dat geassocieerd is met de
bibliotheek en het wordt gebruikt door \fBdpkg\-shlibdeps\fP om er zeker van te
zijn dat de gegenereerde afhankelijkheid minstens even strikt is als de
overeenkomstige bouw\-afhankelijkheid (sinds dpkg 1.14.13)
.TP 
\fBIgnore\-Blacklist\-Groups\fP
Dit vermeldt in een lijst met witruimte als scheidingsteken, met welke
groepen uit de zwarte lijst geen rekening moet gehouden worden, zodat de
symbolen uit deze groepen mee opgenomen worden in het uitvoerbestand (sinds
dpkg 1.17.6). Dit zou enkel noodzakelijk moeten zijn voor pakketten uit de
gereedschapskist die deze symbolen die op de zwarte lijst staan, ter
beschikking stellen. De beschikbare groepen zijn systeemafhankelijk en voor
op ELF en op GNU gebaseerde systemen zijn dat \fBaeabi\fP en \fBgomp\fP.
.SH VOORBEELDEN
.SS "Eenvoudig symbolenbestand"
.PP
libftp.so.3 libftp3 #MINVER#
 DefaultNetbuf@Base 3.1\-1\-6
 FtpAccess@Base 3.1\-1\-6
 [...]
.SS "Geavanceerd symbolenbestand"
.PP
libGL.so.1 libgl1
.br
| libgl1\-mesa\-glx #MINVER#
.br
* Build\-Depends\-Package: libgl1\-mesa\-dev
 publicGlSymbol@Base 6.3\-1
 [...]
 implementationSpecificSymbol@Base 6.5.2\-7 1
 [...]
.SH "ZIE OOK"
\fBhttps://wiki.debian.org/Projects/ImprovedDpkgShlibdeps\fP
.br
\fBdpkg\-shlibdeps\fP(1), \fBdpkg\-gensymbols\fP(1).
