.\" dpkg manual page - deb-triggers(5)
.\"
.\" Copyright © 2008, 2013-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2011, 2014 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-triggers 5 %RELEASE_DATE% %VERSION% dpkg\-suite
.nh
.SH NAAM
deb\-triggers \- pakket\-triggers
.
.SH OVERZICHT
triggers
.
.SH BESCHRIJVING
Een pakket declareert zijn relatie tot een (aantal) trigger(s) door in zijn
control\-archief een bestand \fItriggers\fP op te nemen
(d.w.z. \fIDEBIAN/triggers\fP bij het creëren van het pakket).
.PP
Dit bestand bevat stuurcommando's, één per regel. Witruimte bij het begin en
op het einde en alles na het eerste \fB#\fP op een regel wordt weggenomen en
lege regels worden genegeerd.
.PP
De triggerstuurcommando's die momenteel ondersteund worden zijn:
.TP 
\fBinterest\fP \fItriggernaam\fP
.TQ
\fBinterest\-await\fP \fItriggernaam\fP
.TQ
\fBinterest\-noawait\fP \fItriggernaam\fP
.IP
Specificeert dat het pakket geïnteresseerd is in de genoemde trigger. Alle
triggers waarin een pakket geïnteresseerd is, moeten met behulp van deze
instructie vermeld worden in het trigger\-controlebestand. De variant
“noawait” plaatst de triggerende pakketten niet in de toestand
triggers\-awaited (wachten op triggerafhandeling). Dit zou gebruikt moeten
worden als de functionaliteit die door de trigger geleverd wordt, niet
cruciaal is.
.TP 
\fBactivate\fP \fItriggernaam\fP
.TQ
\fBactivate\-await\fP \fItriggernaam\fP
.TQ
\fBactivate\-noawait\fP \fItriggernaam\fP
.IP
Regelt dat wijzigingen aan de toestand van dit pakket de opgegeven trigger
zullen activeren. De trigger zal geactiveerd worden bij het begin van de
volgende operaties: unpack (uitpakken), configure (configureren), remove
(verwijderen) (inclusief ten voordele van een tegenstrijdig pakket), purge
(wissen) en deconfigure (deconfigureren). De variant “noawait” plaatst de
triggerende pakketten niet in de toestand triggers\-awaited (wachten op
triggerafhandeling). Dit zou gebruikt moeten worden als de functionaliteit
die door de trigger geleverd wordt, niet cruciaal is.
.IP
Indien dit pakket tijdens het uitpakken van een ander pakket verdwijnt, zal
de trigger geactiveerd worden wanneer de verdwijning opgemerkt wordt tegen
het einde van het uitpakken. Het verwerken van triggers en de overgang van
de toestand van triggers\-awaited (wachten op triggerafhandeling) naar
geïnstalleerd, hebben geen activeringen tot gevolg. In het geval van een
bewerking van uitpakken zullen zowel de triggers die in het oude als die
welke in het nieuwe pakket vermeld worden, geactiveerd worden.
.PP
Onbekende stuurcommando's zijn een fout die de installatie van het pakket
zullen verhinderen.
.PP
De varianten “\-noawait” zouden waar mogelijk steeds geprefereerd moeten
worden, vermits de triggerende pakketten dan niet in een toestand van
triggers\-awaited geplaatst worden en dus onmiddellijk geconfigureerd kunnen
worden zonder de verwerking van de trigger te hoeven afwachten. Indien de
triggerende pakketten vereisten zijn van andere pakketten die opgewaardeerd
worden, zal dit een vroege cyclus van triggerverwerking vermijden en het
mogelijk maken om de trigger slechts eenmaal uit te voeren als een van de
laatste stappen in de opwaardering.
.PP
The “\-noawait” variants are supported since dpkg 1.16.1, and will lead to
errors if used with an older dpkg.
.PP
The “\-await” alias variants are supported since dpkg 1.17.21, and will lead
to errors if used with an older dpkg.
.
.SH "ZIE OOK"
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\-trigger\fP(1), \fBdpkg\fP(1), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP.
