.\" dpkg manual page - deb(5)
.\"
.\" Copyright © 1995 Raul Miller
.\" Copyright © 1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2017 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb 5 %RELEASE_DATE% %VERSION% dpkg\-suite
.nh
.SH NAAM
deb \- binair pakketformaat van Debian
.SH OVERZICHT
\fIbestandsnaam\fP\fB.deb\fP
.SH BESCHRIJVING
Het \fB.deb\fP\-formaat is de indeling van een binair pakketbestand in
Debian. Sinds dpkg 0.93.76 kan ermee gewerkt worden en standaard wordt ze
gegenereerd sinds dpkg 1.2.0 en 1.1.1elf (i386/ELF\-compilaties).
.PP
De hier beschreven indeling wordt gebruikt sinds Debian 0.93; de oude
indeling wordt gedetailleerd beschreven in \fBdeb\-old\fP(5).
.SH INDELING
Het bestand is een \fBar\fP\-archief met een magische waarde van
\fB!<arch>\fP. Enkel de gewone \fBar\fP\-archiefindeling wordt ondersteund
zonder lange bestandsnaamextensies, maar met bestandsnamen met facultatief
een afsluitende slash, wat de lengte ervan beperkt tot 15 lettertekens (van
de 16 die toegelaten zijn). De grootte van bestanden is beperkt tot 10 ASCII
decimalen, waardoor tot ongeveer 9536.74 MiB aan bestandselementen
toegelaten is.
.PP
The \fBtar\fP archives currently allowed are, the old\-style (v7) format, the
pre\-POSIX ustar format, a subset of the GNU format (new style long pathnames
and long linknames, supported since dpkg 1.4.1.17; large file metadata since
dpkg 1.18.24), and the POSIX ustar format (long names supported since dpkg
1.15.0).  Unrecognized tar typeflags are considered an error.  Each tar
entry size inside a tar archive is limited to 11 ASCII octal digits,
allowing for up to 8 GiB tar entries.  The GNU large file metadata support
permits 95\-bit tar entry sizes and negative timestamps, and 63\-bit UID, GID
and device numbers.
.PP
Het eerste element wordt \fBdebian\-binary\fP genoemd en bevat een aantal
regels, gescheiden door regeleinden. Momenteel, op het moment van het
schrijven van deze man\-pagina, heeft dit slechts één regel, het versienummer
van de indeling, \fB2.0\fP. Programma's die archieven lezen in de nieuwe
indeling, moeten erop voorbereid zijn dat het onderversienummer verhoogd
wordt en dat er nieuwe regels aanwezig kunnen zijn. En als dat het geval is,
moeten ze die negeren.
.PP
Indien het hoofdversienummer gewijzigd werd, werd een niet\-compatibele
wijziging gemaakt en zou het programma moeten stoppen. Indien dit niet het
geval is, dan zou het programma in staat moeten zijn probleemloos voort te
gaan, tenzij het in het archief (behalve op het einde) een onverwacht
element tegenkomt, zoals hierna beschreven wordt.
.PP
Het tweede vereiste element wordt \fBcontrol.tar\fP genoemd. Het is een
tar\-archief dat de controle\-informatie van het pakket bevat, ofwel
niet\-gecomprimeerd (ondersteund sinds dpkg 1.17.6) of gecomprimeerd met gzip
(met de extensie \fB.gz\fP) of met xz (met de extensie \fB.xz\fP, ondersteund
sinds 1.17.6), onder de vorm van een reeks gewone bestanden, waarvan het
bestand \fBcontrol\fP, dat de kern van de controle\-informatie bevat, verplicht
deel uitmaakt. De bestanden \fBconffiles\fP, \fBtriggers\fP, \fBshlibs\fP en
\fBsymbols\fP bevatten facultatieve controle\-informatie en de bestanden
\fBpreinst\fP, \fBpostinst\fP, \fBprerm\fP en \fBpostrm\fP zijn facultatieve scripts van
de pakketonderhouder. Het controle\-tar\-archief kan facultatief een
vermelding bevatten van ‘\fB.\fP’, de huidige map.
.PP
Het derde en laatste verplichte element wordt \fBdata.tar\fP genoemd. Het bevat
het bestandssysteem in de vorm van een tar\-archief, dat ofwel
niet\-gecomprimeerd is (ondersteund sinds dpkg 1.10.24) of gecomprimeerd met
gzip (met de extensie \fB.gz\fP), met xz (met de extensie \fB.xz\fP, ondersteund
sinds dpkg 1.15.6), met bzip2 (met de extensie \fB.bz2\fP, ondersteund sinds
dpkg 1.10.24) of met lzma (met de extensie \fB.lzma\fP, ondersteund sinds dpkg
1.13.25).
.PP
Deze elementen moeten exact in deze volgorde voorkomen. Huidige
implementaties moeten eventuele bijkomende elementen na \fBdata.tar\fP
negeren. Het kan zijn dat in de toekomst meer elementen gedefinieerd worden,
die (zo mogelijk) na deze drie geplaatst zullen worden. Eventuele bijkomende
elementen die ingevoegd zouden moeten worden na \fBdebian\-binary\fP en voor
\fBcontrol.tar\fP of \fBdata.tar\fP en die door oudere programma's probleemloos
genegeerd zouden moeten worden, zullen namen krijgen die beginnen met een
laag liggend streepje, ‘\fB_\fP’.
.PP
Nieuwe elementen die niet probleemloos genegeerd zullen mogen worden, zullen
ingevoegd worden voor \fBdata.tar\fP en zullen namen hebben die met iets anders
dan een laag liggend streepje beginnen, of (wat waarschijnlijker is) zullen
tot gevolg hebben dat het hoofdversienummer verhoogd wordt.
.SH MEDIATYPE
.SS Huidig
application/vnd.debian.binary\-package
.SS Verouderd
application/x\-debian\-package
.br
application/x\-deb
.SH "ZIE OOK"
\fBdeb\-old\fP(5), \fBdpkg\-deb\fP(1), \fBdeb\-control\fP(5), \fBdeb\-conffiles\fP(5)
\fBdeb\-triggers\fP(5), \fBdeb\-shlibs\fP(5), \fBdeb\-symbols\fP(5), \fBdeb\-preinst\fP(5),
\fBdeb\-postinst\fP(5), \fBdeb\-prerm\fP(5), \fBdeb\-postrm\fP(5).
