.\" dpkg manual page - dpkg-deb(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 1999 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-deb 1 %RELEASE_DATE% %VERSION% dpkg\-suite
.nh
.SH NAAM
dpkg\-deb \- gereedschap voor het behandelen van een Debian pakketarchief
(.deb)
.
.SH OVERZICHT
\fBdpkg\-deb\fP [\fIoptie\fP...] \fIcommando\fP
.
.SH BESCHRIJVING
\fBdpkg\-deb\fP pakt Debian\-archieven in/uit en geeft er informatie over.
.PP
Gebruik \fBdpkg\fP om pakketten te installeren op uw systeem of ze ervan te
verwijderen.
.PP
U kunt \fBdpkg\-deb\fP ook inroepen door \fBdpkg\fP aan te roepen met alle opties
die u aan \fBdpkg\-deb\fP wilt doorgeven. \fBdpkg\fP zal merken dat u \fBdpkg\-deb\fP
wilde en het voor u uitvoeren.
.PP
De meeste commando's die als argument een invoerarchief verwachten, kunnen
dit archief lezen van de standaardinvoer indien als archiefnaam één enkel
min\-teken («\fB\-\fP») opgegeven wordt. In het andere geval zal het ontbreken
van ondersteuning hiervoor gedocumenteerd worden in de beschrijving van het
desbetreffende commando.
.
.SH COMMANDO'S
.TP 
\fB\-b\fP, \fB\-\-build\fP \fImap\-binair\-pakket\fP [\fIarchief\fP|\fImap\fP]
Maakt een debian\-archief van de bestandssysteemboom die in
\fImap\-binair\-pakket\fP staat. \fImap\-binair\-pakket\fP moet een onderliggende map
\fBDEBIAN\fP hebben waarin de bestanden met controle\-informatie opgeslagen
zijn, zoals het bestand control zelf. Deze map zal \fIniet\fP voorkomen in het
bestandssysteemarchief van het binaire pakket, maar in de plaats daarvan
zullen de bestanden daaruit in het conrole\-informatiegebied van het binaire
pakket geplaatst worden.

Tenzij u \fB\-\-nocheck\fP opgeeft, zal \fBdpkg\-deb\fP \fBDEBIAN/control\fP lezen en
het ontleden. Het zal het bestand controleren op syntaxisfouten en op andere
problemen en de naam tonen van het binaire pakket dat gebouwd
wordt. \fBdpkg\-deb\fP zal ook de toegangsrechten van de scripts van de
onderhouder nazien en van andere bestanden die te vinden zijn in de map
\fBDEBIAN\fP met controle\-informatie.

Indien geen \fIarchief\fP opgegeven werd, zal \fBdpkg\-deb\fP het pakket
wegschrijven in het bestand \fImap\-binair\-pakket\fP\fB.deb\fP.

Indien het te maken archief reeds bestaat, zal het overschreven worden.

Indien het tweede argument een map is, zal \fBdpkg\-deb\fP schrijven in het
bestand \fImap\fP\fB/\fP\fIpakket\fP\fB_\fP\fIversie\fP\fB_\fP\fIarch\fP\fB.deb\fP. Indien een
doelmap opgegeven werd, eerder dan een bestand, kan de optie \fB\-\-nocheck\fP
niet gebruikt worden (aangezien \fBdpkg\-deb\fP het control\-bestand van het
pakket moet lezen en ontleden om te kunnen uitmaken welke bestandsnaam
gebruikt moet worden).
.TP 
\fB\-I\fP, \fB\-\-info\fP \fIarchief\fP [\fInaam\-controlebestand\fP...]
Geeft informatie over een binair pakketarchief

Indien geen \fInaam\-controlebestand\fP(en) opgegeven werd(en) zal het een
samenvatting weergeven van de inhoud van het pakket en van zijn bestand
control.

Indien wel (een) \fInaam\-controlebestand\fP(en) opgegeven werd(en), zal
\fBdpkg\-deb\fP ze in de opgegeven volgorde weergeven. Indien er een of meerdere
componenten ontbraken, zal het een foutmelding weergeven op de standaard
foutuitvoer over elk van hen en afsluiten met de status 2.
.TP 
\fB\-W\fP, \fB\-\-show\fP \fIarchief\fP
Verschaft informatie over een binair pakketarchief in de indeling die
opgegeven werd met het argument \fB\-\-showformat\fP. De standaardindeling toont
de naam van het pakket en de versie op één regel, gescheiden door een tab.
.TP 
\fB\-f\fP, \fB\-\-field\fP \fIarchief\fP [\fIcontroleveldnaam\fP...]
Extraheert informatie uit het bestand control van een binair pakketarchief.

Indien er geen \fIcontroleveldna(a)m\fP(en) opgegeven werd(en) zal het het
volledige bestand control tonen.

Indien er wel opgegeven werden, zal \fBdpkg\-deb\fP hun inhoud weergeven in de
volgorde waarin zij in het bestand control voorkomen. Indien meer dan één
\fIcontroleveldnaam\fP opgegeven werd, zal \fBdpkg\-deb\fP telkens eerst de
veldnaam (en een dubbele punt en een spatie) plaatsen voor de inhoud van het
veld.

Er worden geen foutmeldingen gegeven voor aangevraagde velden die niet
gevonden werden.
.TP 
\fB\-c\fP, \fB\-\-contents\fP \fIarchief\fP
Geeft de inhoud weer van het archiefonderdeel van het pakketarchief dat de
bestandssysteemboom bevat. Hij wordt momenteel weergegeven volgens de manier
waarop \fBtar\fP een breedsprakige lijst genereert.
.TP 
\fB\-x\fP, \fB\-\-extract\fP \fIarchief map\fP
Extraheert de boom met het bestandssysteem uit een pakketarchief en plaatst
die in de opgegeven map.

Merk op dat een pakket naar de hoofdmap extraheren \fIniet\fP in een correcte
installatie resulteert! Maak gebruik van \fBdpkg\fP om pakketten te
installeren.

\fImap\fP (maar niet de bovenliggende mappen) zal indien nodig aangemaakt
worden en de toegangsrechten ervan zullen aangepast worden om overeen te
komen met de inhoud van het pakket.
.TP 
\fB\-X\fP, \fB\-\-vextract\fP \fIarchief map\fP
Is zoals \fB\-\-extract\fP (\fB\-x\fP) met \fB\-\-verbose\fP (\fB\-v\fP), hetgeen een lijst
van de geëxtraheerde bestanden toont terwijl de opdracht uitgevoerd wordt.
.TP 
\fB\-R\fP, \fB\-\-raw\-extract\fP \fIarchief map\fP
Extraheert de boom met het bestandssysteem uit een pakketarchief en plaatst
die in de opgegeven map en de bestanden met de controle\-informatie in een
daaronder liggende map \fBDEBIAN\fP (sinds dpkg 1.16.1).

Indien nodig zal de doelmap (maar niet de erboven liggende mappen)
aangemaakt worden.

Het invoerarchief wordt (momenteel) niet sequentieel verwerkt, waardoor het
van standaardinvoer («\fB\-\fP») lezen ervan \fBniet\fP ondersteund wordt.
.TP 
\fB\-\-ctrl\-tarfile\fP \fIarchief\fP
Extraheert de controlegegevens uit een binair pakket en stuurt ze naar de
standaarduitvoer in \fBtar\fP\-indeling (sinds dpkg 1.17.14). Samen met
\fBtar\fP(1) kan dit gebruikt worden om een specifiek controlebestand uit een
pakketarchief te extraheren. Het invoerarchief wordt steeds sequentieel
verwerkt.
.TP 
\fB\-\-fsys\-tarfile\fP \fIarchief\fP
Extraheert de gegevens van de bestandssysteemboom uit een binair pakket en
stuurt ze naar de standaarduitvoer in \fBtar\fP\-indeling. Samen met \fBtar\fP(1)
kan dit gebruikt worden om een specifiek bestand uit een pakketarchief te
extraheren. Het invoerarchief wordt steeds sequentieel verwerkt.
.TP 
\fB\-e\fP, \fB\-\-control\fP \fIarchief\fP [\fImap\fP]
Extraheert de bestanden met controle\-informatie uit een pakketarchief en
plaatst ze in de opgegeven map.

Indien geen map opgegeven werd, wordt een onder de huidige map liggende map
\fBDEBIAN\fP gebruikt.

Indien nodig zal de doelmap (maar niet de erboven liggende mappen)
aangemaakt worden.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Toon info over het gebruik en sluit af.
.TP 
\fB\-\-version\fP
Toon de versie en sluit af.
.
.SH OPTIES
.TP 
\fB\-\-showformat=\fP\fIindeling\fP
Deze optie wordt gebruikt om op te geven in welke indeling \fB\-\-show\fP zijn
uitvoer moet produceren. De indeling is een tekenreeks die vorm geeft aan de
uitvoer die voor elk opgesomd pakket gegenereerd wordt.

De tekenreeks mag in de vorm “${\fIveldnaam\fP}” verwijzen naar elk
statusveld. Een lijst van geldige velden kan gemakkelijk bekomen worden door
voor hetzelfde pakket \fB\-I\fP te gebruiken. Een volledige uitleg over de
indelingsmogelijkheden (met inbegrip van stuurcodes en het bepalen van de
tussenruimte tussen velden) kan men vinden in de toelichting bij de optie
\fB\-\-showformat\fP van \fBdpkg\-query\fP(1).

De standaard voor dit veld is “${Package}\et${Version}\en”.
.TP 
\fB\-z\fP\fIcompressieniveau\fP
Geef op welk compressieniveau gebruikt moet worden door het
compressieprogramma bij het bouwen van het pakket (standaard is dat 9 voor
gzip, 6 voor xz). Bruikbare waarden zijn 0\-9, waarbij 0 vertaald wordt als
geen compressie voor gzip. Voor dpkg 1.16.2 was niveau 0 het equivalent van
geen compressie voor alle compressieprogramma's.
.TP 
\fB\-S\fP\fIcompressiestrategie\fP
Geef op welke compressiestrategie gebruikt moet worden door het
compressieprogramma bij het bouwen van een pakket (sinds dpkg
1.16.2). Toegestane waarden zijn \fBnone\fP (sinds dpkg 1.16.4), \fBfiltered\fP,
\fBhuffman\fP, \fBrle\fP en \fBfixed\fP voor gzip (sinds dpkg 1.17.0) en \fBextreme\fP
voor xz.
.TP 
\fB\-Z\fP\fIcompressietype\fP
Geef op welk compressietype bij het bouwen van een pakket gebruikt moet
worden. Toegestane waarden zijn \fBgzip\fP, \fBxz\fP (sinds dpkg 1.15.6) en
\fBnone\fP (standaard is \fBxz\fP).
.TP 
\fB\-\-[no\-]uniform\-compression\fP
Specify that the same compression parameters should be used for all archive
members (i.e. \fBcontrol.tar\fP and \fBdata.tar\fP; since dpkg 1.17.6).  Otherwise
only the \fBdata.tar\fP member will use those parameters. The only supported
compression types allowed to be uniformly used are \fBnone\fP, \fBgzip\fP and
\fBxz\fP.  The \fB\-\-no\-uniform\-compression\fP option disables uniform compression
(since dpkg 1.19.0).  Uniform compression is the default (since dpkg
1.19.0).
.TP 
\fB\-\-root\-owner\-group\fP
Set the owner and group for each entry in the filesystem tree data to root
with id 0 (since dpkg 1.19.0).

\fBNote\fP: This option can be useful for rootless builds (see
\fIrootless\-builds.txt\fP), but should \fBnot\fP be used when the entries have an
owner or group that is not root.  Support for these will be added later in
the form of a meta manifest.
.TP 
\fB\-\-deb\-format=\fP\fIindeling\fP
Stel in welke versie van archiefindeling bij het bouwen gebruikt moet worden
(sinds dpkg 1.17.0). Toegestane waarden zijn \fB2.0\fP voor de nieuwe indeling
en \fB0.939000\fP voor de oude (standaard is \fB2.0\fP).

De oude archiefindeling wordt door niet\-Debian gereedschap minder
gemakkelijk ontleed en wordt nu als verouderd beschouwd. Het enige nut ervan
is nog als pakketten gebouwd worden die moeten ontleed worden door versies
van dpkg die ouder zijn dan versie 0.93.76 (september 1995), die enkel
uitgegeven werd als een i386 a.out.
.TP 
\fB\-\-nocheck\fP
Dit onderdrukt de gebruikelijke controles die door \fBdpkg\-deb \-\-build\fP
uitgevoerd worden op de voorgestelde inhoud van een archief. Op die manier
kunt u gelijk welk archief bouwen, hoe onklaar het ook is.
.TP 
\fB\-v\fP, \fB\-\-verbose\fP
Activeert breedsprakige uitvoer (sinds dpkg 1.16.1). Momenteel heeft dit
enkel invloed op \fB\-\-extract\fP dat zich erdoor gaat gedragen als
\fB\-\-vextract\fP.
.TP 
\fB\-D\fP, \fB\-\-debug\fP
Activeert debug\-uitvoer. Dit is weinig interessant.
.
.SH AFSLUITSTATUS
.TP 
\fB0\fP
De gevraagde actie werd succesvol uitgevoerd.
.TP 
\fB2\fP
Fatale of onherstelbare fout die te wijten is aan ongeldig gebruik van de
commandoregel of aan interacties met het systeem, zoals het benaderen van de
database, het toewijzen van geheugen, enz.
.
.SH OMGEVING
.TP 
\fBTMPDIR\fP
Indien dit ingesteld werd, zal \fBdpkg\-deb\fP het gebruiken als de map waarin
tijdelijke bestanden en mappen aangemaakt worden.
.TP 
\fBSOURCE_DATE_EPOCH\fP
Indien dit ingesteld werd, zal het gebruikt worden als de tijdsaanduiding
(timestamp) (in seconden sinds de epoch) in de \fBar\fP(5)\-container van het
\fBdeb\fP(5)\-bestand en zal het ook gebruikt worden om de mtime vast te zetten
op de items uit het \fBtar\fP(5)\-bestand.
.
.SH OPMERKINGEN
Tracht met enkel maar \fBdpkg\-deb\fP geen software te installeren! U moet zoals
het hoort \fBdpkg\fP gebruiken om er zeker van te zijn dat alle bestanden op de
juiste plaats terechtkomen, dat de scripts van het pakket uitgevoerd worden
en dat zijn toestand en inhoud bijgehouden worden.
.
.SH BUGS
\fBdpkg\-deb \-I\fP \fIpakket1\fP\fB.deb\fP \fIpakket2\fP\fB.deb\fP doet de dingen fout.

Er gebeurt geen authenticatie van de \fB.deb\fP\-bestanden. Er gebeurt inderdaad
zelfs geen simpele toets van de controlesom. (Hoogwaardig gereedschap, zoals
APT, ondersteunt het authenticeren van pakketten die van een opgegeven
pakketbron opgehaald werden. En tegenwoordig hebben de meeste pakketten een
md5sum\-controlebestand dat door debian/rules gegenereerd werd. Dit wordt
echter niet rechtstreeks ondersteund door basaal gereedschap.)
.
.SH "ZIE OOK"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdselect\fP(1).
