.\" dpkg manual page - dpkg-genbuildinfo(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ian@chiark.chu.cam.ac.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2008-2010 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2015 Jérémy Bobbio <lunar@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-genbuildinfo 1 %RELEASE_DATE% %VERSION% dpkg\-suite
.nh
.SH NAAM
dpkg\-genbuildinfo \- genereer Debian .buildinfo\-bestanden
.
.SH OVERZICHT
\fBdpkg\-genbuildinfo\fP [\fIoptie\fP...]
.br
.
.SH BESCHRIJVING
\fBdpkg\-genbuildinfo\fP leest informatie uit een uitgepakte en gebouwde Debian
broncodeboom en uit de bestanden die het gegenereerd heeft en maakt een
Debian controlebestand aan dat de bouwomgeving en de bouwvoorwerpen (een
bestand \fB.buildinfo\fP).
.P
Dit commando werd geïntroduceerd in dpkg 1.18.11.
.
.SH OPTIES
.TP 
\fB\-\-build=\fP\fItype\fP
Geeft het bouw\-\fItype\fP op aan de hand van een lijst van met komma's
gescheiden componenten.

De waarden die gebruikt mogen worden zijn:
.RS
.TP 
\fBany\fP
Genereer bouwinformatie die niet\-gekwalificeerde bouwvereisten
(\fBBuild\-Depends\fP) en architectuurspecifieke bouwvereisten
(\fBBuild\-Depends\-Arch\fP) bevat.
.TP 
\fBall\fP
Genereer bouwinformatie die niet\-gekwalificeerde bouwvereisten
(\fBBuild\-Depends\fP) en architectuuronafhankelijke bouwvereisten
(\fBBuild\-Depends\-Indep\fP) bevat.
.TP 
\fBsource\fP
Effectief genegeerd; genereer bouwinformatie met uitsluitend de
niet\-gekwalificeerde bouwvereisten (\fBBuild\-Depends\fP).
.TP 
\fBbinary\fP
Genereer bouwinformatie met alle drie de types bouwvereisten. Dit is een
alias voor \fBany,all\fP.
.TP 
\fBfull\fP
Genereer bouwinformatie met alle drie de types bouwvereisten. Dit is een
alias voor \fBany,all,source\fP en identiek aan de standaardsituatie wanneer
geen bouwoptie opgegeven werd.
.RE
.TP 
\fB\-c\fP\fIcontrolebestand\fP
Geeft aan wat het hoofdcontrolebestand van de broncode is waaruit informatie
gehaald moet worden. Standaard is dat \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIchangelog\-bestand\fP
Geeft aan wat het changelog\-bestand is waaruit informatie gehaald moet
worden. Standaard is dat \fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIbestand\-met\-bestandenlijst\fP
Specificeert waar zich de lijst van bestanden bevindt die door het
bouwproces aangemaakt werden, eerder dan \fBdebian/files\fP te gebruiken.
.TP 
\fB\-F\fP\fIchangelog\-indeling\fP
Geeft de indeling van het bestand changelog aan. Zie
\fBdpkg\-parsechangelog\fP(1) voor informatie over alternatieve indelingen.
.TP 
\fB\-O\fP[\fIbestandsnaam\fP]
Print the buildinfo file to standard output (or \fIfilename\fP if specified)
rather than to
\fIdir\fP\fB/\fP\fIsource\-name\fP\fB_\fP\fIbinary\-version\fP\fB_\fP\fIarch\fP\fB.buildinfo\fP (where
\fIdir\fP is \fB..\fP by default or \fIupload\-files\-dir\fP if \fB\-u\fP was used).
.TP 
\fB\-u\fP\fImap\-upload\-bestanden\fP
Zoek de bestanden die geüpload moeten worden in \fImap\-upload\-bestanden\fP
eerder dan in \fB..\fP (\fBdpkg\-genbuildinfo\fP moet deze bestanden kunnen vinden,
zodat het hun grootte en hun controlesom kan opnemen in het bestand
\&\fB.buildinfo\fP)
.TP 
\fB\-\-always\-include\-kernel\fP
By default, the \fBBuild\-Kernel\-Version\fP field will not be written out.

Specify this option (since dpkg 1.19.0) to always write a
\fBBuild\-Kernel\-Version\fP field when generating the \fB.buildinfo\fP.
.TP 
\fB\-\-always\-include\-path\fP
Standaard zal het veld \fBBuild\-Path\fP enkel opgeschreven worden als de
huidige map begint met een expliciet toegestaan patroon.

O Debian en zijn derivaten moet het patroon beantwoorden aan \fB/build/\fP als
begin van de padnaam.

Geef deze optie op om steeds een veld \fBBuild\-Path\fP op te schrijven als
\&\fB.buildinfo\fP gegenereerd wordt.
.TP 
\fB\-\-admindir=\fP\fImap\fP
Wijzig de locatie van de database van \fBdpkg\fP. De standaardlocatie is
\fI/var/lib/dpkg\fP.
.TP 
\fB\-q\fP
\fBdpkg\-genbuildinfo\fP kan informatieve berichten op de standaard foutuitvoer
produceren. \fB\-q\fP onderdrukt deze berichten.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Toon info over het gebruik en sluit af.
.TP 
\fB\-\-version\fP
Toon de versie en sluit af.
.
.SH OMGEVING
.TP 
\fBDEB_BUILD_OPTIONS\fP
Deze variabele kan gebruikt worden via de optie \fBbuildinfo\fP voor het
activeren of deactiveren van verschillende functies die invloed hebben op de
informatie die opgenomen wordt in het bestand .buildinfo (sinds dpkg
1.18.19). Deze optie bevat een lijst van onderling door komma's gescheiden
functies, die voorafgegaan worden door de bepaling ‘\fB+\fP’ of ‘\fB\-\fP’, welke
aangeven of die functie al dan niet geactiveerd moet worden. De bijzondere
functie “\fBall\fP” kan gebruikt worden om alle overige functies te activeren
of te deactiveren. De functie “\fBpath\fP” regelt of het veld \fBBuild\-Path\fP
onvoorwaardelijk mee opgenomen moet worden.
.
.SH BESTANDEN
.TP 
\fBdebian/files\fP
De lijst van gegenereerde bestanden. \fBdpkg\-genbuildinfo\fP leest hier de
gegevens bij het produceren van een \fB.buildinfo\fP\-bestand.
.
.SH "ZIE OOK"
\fBdeb\-buildinfo\fP(5).
