.\" dpkg manual page - dpkg-genchanges(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-genchanges 1 %RELEASE_DATE% %VERSION% dpkg\-suite
.nh
.SH NAAM
dpkg\-genchanges \- genereer Debian .changes\-bestanden
.
.SH OVERZICHT
\fBdpkg\-genchanges\fP [\fIoptie\fP...]
.br
.
.SH BESCHRIJVING
\fBdpkg\-genchanges\fP leest informatie uit een uitgepakte en gebouwde Debian
broncodeboom en uit de bestanden die het gegenereerd heeft en maakt een
Debian uploadcontrolebestand aan (een bestand \fB.changes\fP).
.
.SH OPTIES
.TP 
\fB\-\-build=\fP\fItype\fP
Geeft het bouw\-\fItype\fP op uit een lijst van met komma's gescheiden
componenten (sinds dpkg 1.18.5).

De waarden die gebruikt mogen worden zijn:
.RS
.TP 
\fBsource\fP
Doe een upload van het broncodepakket.
.TP 
\fBany\fP
Doe een upload van de architectuurspecifieke binaire pakketten.
.TP 
\fBall\fP
Doe een upload van de architectuuronafhankelijke binaire pakketten.
.TP 
\fBbinary\fP
Doe een upload van de architectuurspecifieke en de
architectuuronafhankelijke binaire pakketten. Dit is een alias voor
\fBany,all\fP.
.TP 
\fBfull\fP
Doe een upload van alles. Dit is een alias voor \fBsource,any,all\fP en
hetzelfde als de standaardsituatie wanneer geen bouwopties opgegeven werden.
.RE
.TP 
\fB\-g\fP
Het equivalent van \fB\-\-build=source,all\fP (sinds dpkg 1.17.11).
.TP 
\fB\-G\fP
Het equivalent van \fB\-\-build=source,any\fP (sinds dpkg 1.17.11).
.TP 
\fB\-b\fP
Het equivalent van \fB\-\-build=binary\fP of \fB\-\-build=any,all\fP.
.TP 
\fB\-B\fP
Het equivalent van \fB\-\-build=any\fP.
.TP 
\fB\-A\fP
Het equivalent van \fB\-\-build=all\fP.
.TP 
\fB\-S\fP
Het equivalent van \fB\-\-build=source\fP.
.PP
De opties \fB\-s\fP\fIx\fP regelen of het archief met de originele broncode
opgenomen is in de upload als er broncode gegenereerd wordt (d.w.z. dat
\fB\-b\fP of \fB\-B\fP niet gebruikt werden)
.TP 
\fB\-si\fP
Standaard, of indien dit opgegeven werd, wordt de originele broncode enkel
toegevoegd als het toeleveraarsversienummer (upstream \- het versienummer
zonder epoche en zonder het Debian revisienummer) verschilt van het
toeleveraarsversienummer van het vorige item uit het bestand changelog.
.TP 
\fB\-sa\fP
Legt het opnemen van de originele broncode op.
.TP 
\fB\-sd\fP
Dwingt af dat de originele broncode niet toegevoegd wordt en dat enkel een
diff (bestand met de verschillen) ingesloten wordt.
.fi
.TP 
\fB\-v\fP\fIversie\fP
Maakt dat de changelog\-informatie gebruikt wordt van alle versies die strikt
genomen recenter zijn dan \fIversie\fP.
.TP 
\fB\-C\fP\fIbeschrijving\-van\-de\-wijzigingen\fP
Lees de beschrijving van de wijzigingen in het bestand
\fIbeschrijving\-wijzigingen\fP eerder dan de informatie te gebruiken uit het
bestand changelog uit de broncodeboom.
.TP 
\fB\-m\fP\fIadres\-van\-de\-onderhouder\fP
Gebruik \fIonderhouder\-adres\fP als de naam en het e\-mailadres van de
onderhouder van dit pakket, eerder dan de informatie te gebruiken uit het
bestand control van de broncodeboom.
.TP 
\fB\-e\fP\fIadres\-van\-de\-onderhouder\fP
Gebruik \fIonderhouder\-adres\fP als de naam en het e\-mailadres van de
onderhouder van deze upload, eerder dan de informatie te gebruiken uit het
bestand changelog van de broncodeboom.
.TP 
\fB\-V\fP\fInaam\fP\fB=\fP\fIwaarde\fP
Stel een uitvoersubstitutievariabele in. Zie \fBdeb\-substvars\fP(5) voor een
bespreking van uitvoersubstitutie.
.TP 
\fB\-T\fP\fIsubstvars\-bestand\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is
\fBdebian/substvars\fP.  No variable substitution is done on any of the fields
that are output, except for the contents extracted from each binary package
\fBDescription\fP field (since dpkg 1.19.0), however the special variable
\fIFormat\fP will override the field of the same name.  This option can be used
multiple times to read substitution variables from multiple files (since
dpkg 1.15.6).

.TP 
\fB\-D\fP\fIveld\fP\fB=\fP\fIwaarde\fP
Vervang in de uitvoer een veld uit het controlebestand of voeg er een toe.
.TP 
\fB\-U\fP\fIveld\fP
Verwijder in de uitvoer een veld uit het controlebestand.
.TP 
\fB\-c\fP\fIcontrolebestand\fP
Geeft aan wat het hoofdcontrolebestand van de broncode is waaruit informatie
gehaald moet worden. Standaard is dat \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIchangelog\-bestand\fP
Geeft aan wat het changelog\-bestand is waaruit informatie gehaald moet
worden. Standaard is dat \fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIbestand\-met\-bestandenlijst\fP
Lees hier de lijst van bestanden die geüpload moeten worden, eerder dan
gebruik te maken van \fBdebian/files\fP.
.TP 
\fB\-F\fP\fIchangelog\-indeling\fP
Geeft de indeling van het bestand changelog aan. Zie
\fBdpkg\-parsechangelog\fP(1) voor informatie over alternatieve indelingen.
.TP 
\fB\-u\fP\fImap\-upload\-bestanden\fP
Zoek de bestanden die geüpload moeten worden in \fImap\-upload\-bestanden\fP
eerder dan in \fB..\fP (\fBdpkg\-genchanges\fP moet deze bestanden kunnen vinden,
zodat het hun grootte en hun controlesom kan opnemen in het bestand
\&\fB.changes\fP)
.TP 
\fB\-q\fP
Gewoonlijk produceert \fBdpkg\-genchanges\fP informatieve berichten op de
standaard foutuitvoer, bijvoorbeeld over hoeveel van de broncodebestanden
van het pakket geüpload worden. \fB\-q\fP onderdrukt deze berichten.
.TP 
\fB\-O\fP[\fIbestandsnaam\fP]
Toon het changes\-bestand op standaarduitvoer (het standaardgedrag) of
schrijf het naar \fIbestandsnaam\fP indien dat op gegeven werd (sinds dpkg
1.18.5).
.TP 
\fB\-?\fP, \fB\-\-help\fP
Toon info over het gebruik en sluit af.
.TP 
\fB\-\-version\fP
Toon de versie en sluit af.
.
.SH BESTANDEN
.TP 
\fBdebian/files\fP
De lijst van gegenereerde bestanden die deel uitmaken van de upload die
voorbereid wordt. \fBdpkg\-genchanges\fP leest hier de gegevens bij het
produceren van een \fB.changes\fP\-bestand.
.
.SH "ZIE OOK"
.ad l
\fBdeb\-substvars\fP(5), \fBdeb\-src\-control\fP(5), \fBdeb\-src\-files\fP(5),
\fBdeb\-changelog\fP(5), \fBdeb\-changes\fP(5).
