.\" dpkg manual page - dpkg-gencontrol(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006, 2012-2013, 2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-gencontrol 1 %RELEASE_DATE% %VERSION% dpkg\-suite
.nh
.SH NAAM
dpkg\-gencontrol \- genereer Debian controlebestanden
.
.SH OVERZICHT
\fBdpkg\-gencontrol\fP [\fIoptie\fP...]
.
.SH BESCHRIJVING
\fBdpkg\-gencontrol\fP leest informatie uit een uitgepakte Debian broncodeboom
en genereert voor een binair pakket een controlebestand (standaard is dat
debian/tmp/DEBIAN/control). Tijdens dit proces zal het de relatievelden
vereenvoudigen.
.sp
Zodoende worden \fBPre\-Depends\fP, \fBDepends\fP, \fBRecommends\fP en \fBSuggests\fP in
die volgorde vereenvoudigd door afhankelijkheden weg te laten waarvan op
basis van de reeds ontlede sterkere afhankelijkheidsrelaties geweten is dat
er aan voldaan wordt. Het zal ook een eventuele afhankelijkheid van zichzelf
verwijderen (in feite verwijdert het elke vereiste waaraan voldaan is als de
huidige versie van het pakket geïnstalleerd is). Logischerwijze behoudt het
de onderlinge verbanden tussen meervoudige afhankelijkheidsrelaties met
eenzelfde pakket. De volgorde van afhankelijkheden wordt op de best
mogelijke manier behouden: indien eventueel een vereiste verwijderd moet
worden omwille van een andere vereiste die verder in het veld te vinden is,
zal de vervangende vereiste de plaats innemen van de verwijderde vereiste.
.sp
Ook de andere relatievelden (\fBEnhances\fP, \fBConflicts\fP, \fBBreaks\fP,
\fBReplaces\fP en \fBProvides\fP) worden individueel vereenvoudigd door de unie te
berekenen van de verschillende afhankelijkheden wanneer een pakket meermaals
vermeld wordt in het veld.
.sp
\fBdpkg\-gencontrol\fP voegt voor het binaire pakket ook een item toe in
\fBdebian/files\fP.
.
.SH OPTIES
.TP 
\fB\-v\fP\fIversie\fP
Stelt het versienummer in van het binaire pakket dat gegenereerd zal worden.
.TP 
\fB\-V\fP\fInaam\fP\fB=\fP\fIwaarde\fP
Stel een uitvoersubstitutievariabele in. Zie \fBdeb\-substvars\fP(5) voor een
bespreking van uitvoersubstitutie.
.TP 
\fB\-T\fP\fIsubstvars\-bestand\fP
Lees de substitutievariabelen uit het \fIsubstvars\-bestand\fP. De standaard is
\fBdebian/substvars\fP. Deze optie kan meermaals gebruikt worden om uit
verschillende bestanden substitutievariabelen te lezen (sinds dpkg 1.15.6).
.TP 
\fB\-D\fP\fIveld\fP\fB=\fP\fIwaarde\fP
Vervang in de uitvoer een veld uit het controlebestand of voeg er een toe.
.TP 
\fB\-U\fP\fIveld\fP
Verwijder in de uitvoer een veld uit het controlebestand.
.TP 
\fB\-c\fP\fIcontrolebestand\fP
Geeft aan wat het hoofdcontrolebestand van de broncode is waaruit informatie
gehaald moet worden. Standaard is dat \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIchangelog\-bestand\fP
Geeft aan wat het changelog\-bestand is waaruit informatie gehaald moet
worden. Standaard is dat \fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIbestand\-met\-bestandenlijst\fP
Lees of schrijf de lijst van bestanden die geüpload moeten worden hier,
eerder dan \fBdebian/files\fP te gebruiken.
.TP 
\fB\-F\fP\fIchangelog\-indeling\fP
Geeft de indeling van het bestand changelog aan. Zie
\fBdpkg\-parsechangelog\fP(1) voor informatie over alternatieve indelingen.
.TP 
\fB\-p\fP\fIpakket\fP
Genereer informatie over het binaire pakket \fIpakket\fP. Indien het
controlebestand van de broncode enkel één binair pakket vermeldt, dan kan
deze optie weggelaten worden. Anders is ze van essentieel belang om te
selecteren over welk binair pakket er informatie gegenereerd moet worden.
.TP 
\fB\-n\fP\fIbestandsnaam\fP
Ga ervan uit dat de bestandsnaam van het pakket \fIbestandsnaam\fP zal zijn in
plaats van de normale bestandsnaam pakket_versie_arch.deb.
.TP 
\fB\-is\fP, \fB\-ip\fP, \fB\-isp\fP
Deze opties worden genegeerd omwille van de compatibiliteit met oudere
versies van de bouwscripts van dpkg, maar zijn nu verouderd. Vroeger werden
ze gebruikt om \fBdpkg\-gencontrol\fP te laten weten dat de velden Section
(sectie) en Priority (prioriteit) opgenomen moesten worden in het bestand
control. Nu is dit het standaardgedrag. Indien u het oude gedrag wenst, kunt
u de optie \fB\-U\fP gebruiken om die velden uit het controlebestand te
verwijderen.
.TP 
\fB\-P\fP\fIpakketbouwmap\fP
Laat \fBdpkg\-source\fP weten dat het pakket gebouwd wordt in \fIpakketbouwmap\fP
in plaats van in \fBdebian/tmp\fP. Deze waarde wordt gebruikt om de
standaardwaarde te vinden van de substitutievariabele \fBInstalled\-Size\fP en
van dat veld in het bestand control (met behulp van \fBdu\fP) en voor de
standaardlocatie van het uitvoerbestand.
.TP 
\fB\-O\fP[\fIbestandsnaam\fP]
Geef het bestand control weer op de standaarduitvoer (of in \fIbestandsnaam\fP
als dit opgegeven werd; sinds dpkg 1.17.2), eerder dan in
\fBdebian/tmp/DEBIAN/control\fP (of \fIpakketbouwmap\fP\fB/DEBIAN/control\fP indien
\fB\-P\fP gebruikt werd).
.TP 
\fB\-?\fP, \fB\-\-help\fP
Toon info over het gebruik en sluit af.
.TP 
\fB\-\-version\fP
Toon de versie en sluit af.
.
.SH BESTANDEN
.TP 
\fBdebian/control\fP
Het belangrijkste controle\-informatiebestand van de broncode, waarin
versieonafhankelijke informatie over het broncodepakket gegeven wordt en
over de binaire pakketten die eruit gebouwd kunnen worden.
.TP 
\fBdebian/files\fP
De lijst van gegenereerde bestanden die deel uitmaken van de upload die
voorbereid wordt. \fBdpkg\-gencontrol\fP voegt de vermoedelijke bestandsnamen
toe van de binaire pakketten waarvoor het hier de controlebestanden
genereert.
.SH "ZIE OOK"
.ad l
\fBdeb\-substvars\fP(5), \fBdeb\-src\-control\fP(5), \fBdeb\-changelog\fP(5),
\fBdeb\-control\fP(5).
