.\" dpkg manual page - dpkg-mergechangelogs(1)
.\"
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-mergechangelogs 1 %RELEASE_DATE% %VERSION% dpkg\-suite
.nh
.SH NAAM
dpkg\-mergechangelogs \- 3\-wegs samenvoeging van debian/changelog\-bestanden
.
.SH OVERZICHT
\fBdpkg\-mergechangelogs\fP [\fIoptie\fP...] \fIoud\fP \fInieuw\-a\fP \fInieuw\-b\fP
[\fIuitvoer\fP]
.
.SH BESCHRIJVING
.P
Dit programma gebruikt de 3 beschikbare versies van Debian changelog om een
samengevoegd changelog\-bestand te genereren. De resulterende changelog wordt
in het bestand \fIuitvoer\fP opgeslagen of, indien die parameter niet opgegeven
werd, naar de standaarduitvoer gestuurd.
.P
Elk item wordt aan de hand van zijn versienummer geïdentificeerd en er wordt
van uitgegaan dat ze niet tegenstrijdig zijn. Zij worden eenvoudig
samengevoegd in de juiste volgorde (volgens aflopend versienummer). Wanneer
\fB\-\-merge\-prereleases\fP gebruikt wordt, wordt het deel van het versienummer
achter de tilde weggelaten, waardoor 1.0\-1~exp1 en 1.0\-1~exp5 beschouwd
worden als hetzelfde item. Als dezelfde versie zowel in \fInieuw\-a\fP als in
\fInieuw\-b\fP voorkomt, wordt geprobeerd een standaard regelgeoriënteerde
3\-wegs samenvoeging uit te voeren (op voorwaarde dat de module
Algorithm::Merge voorhanden is — ze maakt deel uit van het pakket
libalgorithm\-merge\-perl —, anders krijgt u een algemene tegenstrijdigheid in
verband met de inhoud van het item).
.
.SH OPTIES
.TP 
\fB\-m\fP, \fB\-\-merge\-prereleases\fP
Laat het deel achter de laatste tilde in het versienummer vallen bij het
uitvoeren van een versievergelijking om uit te maken of verondersteld moet
worden dat het om twee dezelfde items gaat of niet.
.sp
Dit is nuttig als u in het changelog\-bestand hetzelfde item blijft
gebruiken, maar het versienummer ervan geregeld verhoogt. U kunt
bijvoorbeeld 2.3\-1~exp1, 2.3\-1~exp2, ... hebben tot aan de officiële release
2.3\-1, die allemaal hetzelfde changelog\-item zijn dat in de loop van de tijd
geëvolueerd is.
.TP 
\fB\-\-help\fP
Toon info over het gebruik en sluit af.
.TP 
\fB\-\-version\fP
Toon de versie en sluit af.
.
.SH BEPERKINGEN
.P
Anything that is not parsed by Dpkg::Changelog is lost during the merge.
This might include stuff like Vim modelines, Emacs variables, comments which
were not supposed to be there, etc.
.
.SH "INTEGRATIE MET GIT"
.P
Indien u dit programma wenst te gebruiken om Debian changelog\-bestanden in
een git\-opslagplaats samen te voegen, moet u eerst een nieuw
samenvoegingsstuurprogramma registreren in \fB.git/config\fP of
\fB~/.gitconfig\fP:
.P
 [merge "dpkg\-mergechangelogs"]
     name = debian/changelog merge driver
     driver = dpkg\-mergechangelogs \-m %O %A %B %A
.P
Daarna moet u het samenvoegingsattribuut voor het debian/changelog\-bestand
instellen, ofwel in \fB.gitattributes\fP in de opslagplaats zelf, of in
\&\fB.git/info/attributes\fP:
.P
 debian/changelog merge=dpkg\-mergechangelogs
