.\" dpkg manual page - dpkg-name(1)
.\"
.\" Copyright © 1995-1996 Erick Branderhorst
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-name 1 %RELEASE_DATE% %VERSION% dpkg\-suite
.nh
.SH NAAM
dpkg\-name \- hernoem Debian\-pakketten naar volledige pakketnamen
.
.SH OVERZICHT
\fBdpkg\-name\fP [\fIoptie\fP...] [\fB\-\-\fP] \fIbestand\fP...
.
.SH BESCHRIJVING
.PP
Deze man\-pagina documenteert het programma \fBdpkg\-name\fP dat voorziet in een
eenvoudige manier om \fBDebian\fP\-pakketten naar hun volledige pakketnamen te
hernoemen. Een volledige pakketnaam bestaat uit
\fIpakket\fP\fB_\fP\fIversie\fP\fB_\fP\fIarchitectuur\fP\fB.\fP\fIpakkettype\fP, zoals opgegeven
in het controlebestand van het pakket. Het \fIversie\fP\-gedeelte van de
bestandsnaam bestaat uit de toeleveraarsversieinformatie (upstream),
facultatief gevolgd door een koppelteken en de revisie\-informatie. Het deel
\fIpakkettype\fP is uit dat veld afkomstig als dat bestaat, anders wordt
teruggevallen op \fBdeb\fP.
.
.SH OPTIES
.TP 
\fB\-a\fP, \fB\-\-no\-architecture\fP
De bestandsnaam van de bestemming zal geen architectuuriniformatie bevatten
.TP 
\fB\-k\fP, \fB\-\-symlink\fP
Maak een symbolische koppeling aan in plaats van te verplaatsen.
.TP 
\fB\-o\fP, \fB\-\-overwrite\fP
Bestaande bestanden zullen overschreven worden als ze dezelfde naam hebben
als de bestandsnaam van de bestemming.
.TP 
\fB\-s\fP, \fB\-\-subdir\fP [\fImap\fP]
Bestanden zullen naar een onderliggende map verplaatst worden. Indien de als
argument opgegeven map bestaat, zullen de bestanden naar die map verplaatst
worden, anders wordt de doelmap geëxtraheerd uit het sectieveld uit het
controlegedeelte van het pakket. De doelmap zal
«unstable/binary\-\fIarchitectuur\fP/\fIsectie\fP» zijn. Indien de sectie niet
gevonden wordt in het controlebestand, dan wordt uitgegaan van
\fBno\-section\fP. In dat geval en ook voor de secties \fBnon\-free\fP en \fBcontrib\fP
is de doelmap «\fIsectie\fP/binary\-\fIarchitectuur\fP». Het veld sectie is niet
verplicht, zodat veel pakketten terechtkomen in het gebied
\fBno\-section\fP. Gebruik deze optie met zorg, ze werkt chaotisch.
.TP 
\fB\-c\fP, \fB\-\-create\-dir\fP
Deze optie kan samen met de optie \fB\-s\fP gebruikt worden. Als een doelmap
niet aangetroffen wordt, zal ze automatisch aangemaakt worden. \fBGebruik
deze optie met zorg.\fP
.TP 
\fB\-?\fP, \fB\-\-help\fP
Toon info over het gebruik en sluit af.
.TP 
\fB\-v\fP, \fB\-\-version\fP
Toon de versie en sluit af.
.
.SH BUGS
Bepaalde pakketten volgen de naamstructuur
\fIpakket\fP\fB_\fP\fIversie\fP\fB_\fP\fIarchitectuur\fP\fB.deb\fP niet. Pakketten die door
\fBdpkg\-name\fP hernoemd worden, volgen deze structuur. Over het algemeen heeft
dit geen invloed op de manier waarop pakketten door \fBdselect\fP(1)/\fBdpkg\fP(1)
geïnstalleerd worden, maar ander installatiegereedschap kan eventueel
steunen op die naamgevingsstructuur.
.
.SH VOORBEELDEN
.TP 
\fBdpkg\-name bar\-foo.deb\fP
Het bestand \fBbar\-foo.deb\fP zal hernoemd worden naar bar\-foo_1.0\-2_i386.deb
of iets gelijkaardigs (afhankelijk van welke informatie er staat in het
controlegedeelte van \fBbar\-foo.deb\fP).
.TP 
\fBfind /root/debian/ \-name '*.deb' | xargs \-n 1 dpkg\-name \-a\fP
Alle bestanden met de extensie \fBdeb\fP in de map /root/debian en de
onderliggende mappen zullen indien nodig hernoemd worden door \fBdpkg\-name\fP
naar namen zonder architectuurinformatie.
.TP 
\fBfind \-name '*.deb' | xargs \-n 1 dpkg\-name \-a \-o \-s \-c\fP
\fBDoe dit niet.\fP Uw archief zal volledig overhoop gehaald worden, omdat veel
pakketten geen sectie\-informatie hebben. \fBDoe dit niet.\fP
.TP 
\fBdpkg\-deb \-\-build debian\-tmp && dpkg\-name \-o \-s .. debian\-tmp.deb\fP
Dit kan gebruikt worden bij het bouwen van nieuwe pakketten.
.
.SH "ZIE OOK"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdpkg\-deb\fP(1), \fBfind\fP(1),
\fBxargs\fP(1).
