.\" dpkg manual page - dpkg-parsechangelog(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006, 2011-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-parsechangelog 1 %RELEASE_DATE% %VERSION% dpkg\-suite
.nh
.SH NAAM
dpkg\-parsechangelog \- ontleed Debian changelog\-bestanden
.
.SH OVERZICHT
\fBdpkg\-parsechangelog\fP [\fIoptie\fP...]
.
.SH BESCHRIJVING
\fBdpkg\-parsechangelog\fP leest en ontleedt het bestand changelog van een
uitgepakte Debian broncodeboom en geeft de informatie eruit in een door een
machine te lezen vorm weer op de standaarduitvoer.
.
.SH OPTIES
.TP 
\fB\-l\fP, \fB\-\-file\fP \fIchangelog\-bestand\fP
Geeft het changelog\-bestand op waaruit gelezen moet worden. Een ‘\-’ kan
gebruikt worden om aan te geven dat van de standaardinvoer gelezen moet
worden. De standaard is \fBdebian/changelog\fP.
.TP 
\fB\-F\fP \fIchangelog\-indeling\fP
Geeft de indeling van het changelog\-bestand aan. Standaard wordt die
indeling gelezen van een bijzondere regel dicht bij het einde van het
changelog\-bestand en als dat mislukt, wordt er teruggevallen op de
standaardindeling van \fBdebian\fP. Zie ook \fBCHANGELOG FORMATS\fP.
.TP 
\fB\-L\fP \fIbibliotheekmap\fP
Een uitgefaseerde optie zonder effect (sinds dpkg 1.18.8). Het instellen van
de perl omgevingsvariabelen \fBPERL5LIB\fP of \fBPERLLIB\fP heeft een gelijkaardig
effect bij het zoeken naar de perl\-modules van de ontleder (parser).
.TP 
\fB\-S\fP, \fB\-\-show\-field\fP \fIveld\fP
Geeft de naam op van het te tonen veld (sinds dpkg 1.17.0). De naam van het
veld wordt niet weergegeven, enkel de inhoud ervan.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Toon info over het gebruik en sluit af.
.TP 
\fB\-\-version\fP
Toon de versie en sluit af.
.SS Ontleedopties
De volgende opties kunnen gebruikt worden om de uitvoer van de
changelog\-ontleder te beïnvloeden, zoals bijvoorbeeld het assortiment items
of de indeling van de uitvoer.
.TP 
\fB\-\-format\fP\fI uitvoerindeling\fP
Stel de indeling van de uitvoer in. Momenteel ondersteunde waarden zijn
\fBdpkg\fP en \fBrfc822\fP. \fBdpkg\fP is de klassieke indeling van de uitvoer (van
voor het bestaan van deze optie) en ook de standaard. Het bestaat uit één
paragraaf volgens het systeem van Debian control (zie
\fBdeb\-control\fP(5)). Indien meer dan één item opgevraagd wordt, dan worden de
meeste velden genomen uit het meest recente item, tenzij anders vermeld:
.RS
.TP 
\fBSource:\fP\fI pakketnaam\fP
.TP 
\fBVersion:\fP\fI versie\fP
.TP 
\fBDistribution:\fP\fI doeldistributie\fP
.TP 
\fBUrgency:\fP\fI urgentie\fP
Van alle opgenomen items wordt de hoogste urgentie gebruikt, gevolgd door de
samengevoegde (onderling door spaties gescheiden) commentaar van alle
opgevraagde versies.
.TP 
\fBMaintainer:\fP\fI auteur\fP
.TP 
\fBDate:\fP\fI datum\fP
De datum van het item als een tekenreeks, zoals die voorkomt in het
changelog\-bestand. Met een \fBstrptime\fP(3)\-indeling "\fB%a, %d %b %Y %T %z\fP",
maar waarbij het kan zijn dat de dag van de week niet echt overeenkomt met
de werkelijke dag die bekomen wordt uit de rest van de
datumtekenreeks. Indien u een meer accurate representatie van de datum nodig
heeft, moet u gebruik maken van het \fBTimestamp\fP\-veld, maar u moet er
rekening mee houden dat het mogelijk is dat het niet meer exact terug
omgezet kan worden naar de waarde van dat veld.
.TP 
\fBTimestamp:\fP\fI tijdsaanduiding\fP
De datum van het item, uitgedrukt als een tijdstempel in aantal seconden
sinds de epoch (sinds dpkg 1.18.8).
.TP 
\fBCloses:\fP\fI bug\-nummer\fP
De velden Closes van alle opgenomen items worden samengevoegd.
.TP 
\fBChanges:\fP\fI changelog\-items\fP
De tekst van alle changelog\-items wordt samengevoegd. Om van dit veld een
geldig veld te maken volgens de indeling van een Debian control\-veld dat uit
meerdere regels bestaat, worden lege regels vervangen door één enkel punt en
springen alle regels in met één spatie. De exacte inhoud hangt af van de
changelog\-indeling.
.RE
.IP
De velden \fBVersion\fP, \fBDistribution\fP, \fBUrgency\fP, \fBMaintainer\fP en
\fBChanges\fP zijn verplicht.
.IP
Er kunnen nog bijkomende door de gebruiker aangemaakte velden gebruikt
worden.
.IP
De indeling volgens \fBrfc822\fP maakt gebruik van dezelfde velden, maar
gebruikt in de uitvoer een aparte paragraaf voor elk changelog\-item, zodat
alle metadata van elk item behouden blijven.
.TP 
\fB\-\-all\fP
Neem alle wijzigingen op. Merk op dat andere opties geen effect hebben als
deze optie gebruikt wordt.
.TP 
\fB\-s\fP, \fB\-\-since\fP \fIversie\fP
.TQ
\fB\-v\fP \fIversie\fP
Neem alle wijzigingen op die recenter zijn dan \fIversie\fP.
.TP 
\fB\-u\fP, \fB\-\-until\fP \fIversie\fP
Neem alle wijzigingen op die gemaakt zijn voor \fIversie\fP.
.TP 
\fB\-f\fP, \fB\-\-from\fP \fIversie\fP
Neem alle wijzigingen uit \fIversie\fP of later op.
.TP 
\fB\-t\fP, \fB\-\-to\fP \fIversie\fP
Neem alle wijzigingen uit \fIversie\fP of vroeger op.
.TP 
\fB\-c\fP, \fB\-\-count\fP \fIaantal\fP
.TQ
\fB\-n\fP \fIaantal\fP
Neem \fIaantal\fP items op te beginnen bij het begin (of bij het einde als
\fIaantal\fP kleiner is dan 0).
.TP 
\fB\-o\fP, \fB\-\-offset\fP \fIgetal\fP
Pas het beginpunt voor \fB\-\-count\fP aan, te rekenen vanaf het begin (of het
einde als \fIgetal\fP lager is dan 0).
.
.SH CHANGELOG\-INDELINGEN
Het is mogelijk om een andere indeling te gebruiken dan de standaardindeling
door te voorzien in een ontleedprogramma voor die alternatieve indeling.

Om er voor te zorgen dat \fBdpkg\-parsechangelog\fP dat nieuw ontleedprogramma
uitvoert, moet binnen de laatste 40 regels van het changelog\-bestand een
regel toegevoegd worden die voldoet aan de Perl reguliere expressie:
“\fB\eschangelog\-format:\es+([0\-9a\-z]+)\eW\fP”. Het deel tussen haakjes moet de
naam van de indeling zijn. Bijvoorbeeld:

       @@@ changelog\-format: \fIandere\-indeling\fP @@@

Namen voor changelog\-indelingen moeten niet\-lege alfanumerieke tekenreeksen
zijn.

Indien een dergelijke regel bestaat, zal \fBdpkg\-parsechangelog\fP naar het
ontleedprogramma zoeken als een \fBDpkg::Changelog::\fP\fIandere\-indeling\fP perl
module. Het is een fout als die niet voorhanden is. De parsernaam in de
perlmodule zal automatisch in hoofdletters gezet worden. De standaard
changelog\-indeling is \fBdebian\fP en standaard is er voorzien in een programma
om ze te ontleden.

Het ontleedprogramma moet ontleend worden aan de Dpkg::Changelog\-klasse en
moet de vereiste vastgelegde interface implementeren.

Indien de changelog\-indeling die ontleed wordt altijd of bijna altijd een
witregel heeft tussen aparte notities in verband met wijzigingen, moeten die
lege regels weggenomen worden om als resultaat een compacte uitvoer te
bekomen.

Indien de changlog\-indeling geen informatie bevat over data of pakketnaam,
dan moet die informatie in de uitvoer weggelaten worden. Het
ontleedprogramma moet niet proberen die informatie samen te stellen of ze in
andere bronnen gaan zoeken.

Indien het changelog\-bestand niet de verwachte indeling gebruikt, moet het
ontleedprogramma afsluiten met een foutmelding, eerder dan te proberen er
zich doorheen te slaan en misschien foute uitvoer te genereren.

Een ontleedprogramma voor een changelog\-bestand mag helemaal niet met de
gebruiker interageren.
.
.SH OPMERKINGEN
Alle \fBParser Options\fP (ontleedopties) met uitzondering van \fB\-v\fP worden
slechts sinds dpkg 1.14.16 ondersteund.
.PP
Het voor ontleeddoeleinden gebruiken van opties in verkorte notatie met
niet\-samengebundelde waarden is slechts sinds dpkg 1.18.0 mogelijk.
.
.SH BESTANDEN
.TP 
\fBdebian/changelog\fP
Het changelog\-bestand dat gebruikt wordt om versieafhankelijke informatie
over het broncodepakket te verkrijgen, zoals de urgentie en de distributie
van een upload, de doorgevoerde aanpassingen sinds een bepaalde release en
het versienummer van de broncode zelf.
.
.SH "ZIE OOK"
\fBdeb\-changelog\fP(5).
