.\" dpkg manual page - dpkg-divert(1)
.\"
.\" Copyright © 1995 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 1999 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2004 Scott James Remnant <keybuk@debian.org>
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-divert 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.nh
.SH NAZWA
dpkg\-divert \- nadpisywanie plików z pakietów
.
.SH SKŁADNIA
\fBdpkg\-divert\fP [\fIopcja\fP...] \fIpolecenie\fP
.
.SH OPIS
\fBdpkg\-diver\fP jest narzędziem używanym do tworzenia i aktualizowania listy
nadpisań plików.
.PP
File \fIdiversions\fP are a way of forcing \fBdpkg\fP(1)  not to install a file
into its location, but to a \fIdiverted\fP location. Diversions can be used
through the Debian package scripts to move a file away when it causes a
conflict. System administrators can also use it to override some package's
configuration file, or whenever some files (which aren't marked as
“conffiles”) need to be preserved by \fBdpkg\fP, when installing a newer
version of a package which contains those files.
.sp
.SH POLECENIA
.TP 
[\fB\-\-add\fP] \fIplik\fP
Dodaje nadpisanie \fIpliku\fP.
.TP 
\fB\-\-remove\fP \fIplik\fP
Usuwa nadpisanie \fIpliku\fP.
.TP 
\fB\-\-list\fP\fI wzorzec\-glob\fP
Wyświetla nadpisania pasujące do \fIwzorca\-glob\fP.
.TP 
\fB\-\-listpackage\fP\fI plik\fP
Print the name of the package that diverts \fIfile\fP (since dpkg 1.15.0).
Prints LOCAL if \fIfile\fP is locally diverted and nothing if \fIfile\fP is not
diverted.
.TP 
\fB\-\-truename\fP\fI plik\fP
Wyświetla rzeczywistą nazwę nadpisanego pliku.
.
.SH OPCJE
.TP 
\fB\-\-admindir\fP\fI katalog\fP
Set the \fBdpkg\fP data directory to \fIdirectory\fP (default: \fI%ADMINDIR%\fP).
.TP 
\fB\-\-divert\fP \fInadpisz\-do\fP
\fInadpisz\-do\fP jest lokalizacją, do której zostaną nadpisane wersje \fIpliku\fP
dostarczane przez inne pakiety.
.TP 
\fB\-\-local\fP
Określa, że zostaną nadpisane wszystkie wersje tego pliku. Oznacza to ,że
bez żadnych wyjątków, plik jest nadpisywany, niezależnie od tego, który
pakiet jest instalowany. Administrator może tego użyć do zainstalowania
lokalnie zmodyfikowanej wersji pliku.
.TP 
\fB\-\-package\fP\fI pakiet\fP
\fIpakiet\fP jest nazwą pakietu, którego kopia \fIpliku\fP nie będzie nadpisana,
tj. \fIplik\fP będzie nadpisany dla wszystkich pakietów oprócz podanego
\fIpakietu\fP.
.TP 
\fB\-\-quiet\fP
Tryb cichy, bez rozwlekłych komunikatów.
.TP 
\fB\-\-rename\fP
Przenosi plik w jedną lub drugą stronę. \fBdpkg\-divert\fP przerwie działanie,
jeżeli plik docelowy już istnieje.
.TP 
\fB\-\-test\fP
Tryb testowy, tzn. nie wykonuje żadnych akcji, tylko pokazuje, co zostałoby
zrobione.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Wyświetla informację o użytkowaniu i kończy działanie.
.TP 
\fB\-\-version\fP
Wyświetla informację o wersji i pomyślnie kończy działanie.
.
.SH "KOD WYJŚCIA"
.TP 
\fB0\fP
Akcja zakończyła się powodzeniem.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ŚRODOWISKO
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP option has not been specified, it will be used
as the \fBdpkg\fP data directory.
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE\fP
Jeśli jest ustawiona i nie użyto opcji \fB\-\-local\fP i \fB\-\-package\fP, to
\fBdpkg\-divert\fP użyje jej jako nazwy pakietu.
.
.SH PLIKI
.TP 
\fI%ADMINDIR%/diversions\fP
File which contains the current list of diversions of the system. It is
located in the \fBdpkg\fP administration directory, along with other files
important to \fBdpkg\fP, such as \fIstatus\fP or \fIavailable\fP.
.br
Uwaga: przed zastąpieniem pliku nową wersją, \fBdpkg\-divert\fP zachowuje starą
kopię w pliku z rozszerzeniem "\-old".
.
.SH UWAGI
Podczas dodawania domyślnymi opcjami są \fB\-\-local\fP i \fB\-\-divert\fP
\fIoryginalny\fP\fB.distrib\fP. Podczas usuwania \fB\-\-package\fP lub \fB\-\-local\fP i
\fB\-\-divert\fP, jeśli zostały podane, to muszą pasować.

Za pomocą \fBdpkg\-divert\fP nie można nadpisać katalogów.

Care should be taken when diverting shared libraries, \fBldconfig\fP(8)
creates a symbolic link based on the DT_SONAME field embedded in the
library.  Because \fBldconfig\fP doesn't honour diverts (only \fBdpkg\fP does),
the symlink may end up pointing at the diverted library, if a diverted
library has the same SONAME as the undiverted one.
.
.SH PRZYKŁADY
Aby nadpisać wszystkie kopie pliku \fI/usr/bin/przykład\fP do
\fI/usr/bin/przykład.bla\fP, tj. spowodować, że wszystkie pakiety dostarczające
\fI/usr/bin/przykład\fP zainstalują ten plik jako \fI/usr/bin/przykład.bla\fP i
zmienią nazwę pliku, jeśli jest to wymagane:
.HP
dpkg\-divert \-\-divert /usr/bin/przykład.bla \-\-rename /usr/bin/przykład
.PP
Aby usunąć to nadpisanie:
.HP
dpkg\-divert \-\-rename \-\-remove /usr/bin/przykład

.PP
Aby napisać \fI/usr/bin/przykład\fP jako \fI/usr/bin/przykład.bla\fP wszystkim
pakietom, próbującym zainstalować ten plik, oprócz pakietu \fIwibble\fP:
.HP
dpkg\-divert \-\-package wibble \-\-divert /usr/bin/przykład.bla \-\-rename
/usr/bin/przykład
.PP
Aby usunąć to nadpisanie:
.HP
dpkg\-divert \-\-package wibble \-\-rename \-\-remove /usr/bin/przykład
.
.SH "ZOBACZ TAKŻE"
\fBdpkg\fP(1).
.SH TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
.br
Bartosz Feński <fenio@debian.org>, 2004-2005
.br
Robert Luberda <robert@debian.org>, 2006-2008
.br
Wiktor Wandachowicz <siryes@gmail.com>, 2008
.br
Michał Kułach <michal.kulach@gmail.com>, 2012
