.\" dpkg manual page - dpkg-mergechangelogs(1)
.\"
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-mergechangelogs 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.nh
.SH NAZWA
dpkg\-mergechangelogs \- trójdrożne łączenie plików debian/changelog
.
.SH SKŁADNIA
\fBdpkg\-mergechangelogs\fP [\fIopcja\fP...] \fIstary\fP \fInowy\-a\fP \fInowy\-b\fP
[\fIwynik\fP]
.
.SH OPIS
.P
Program używa trzech dostarczonych wersji dziennika zmian Debiana do
utworzenia połączonego pliku dziennika. Wynikowy dziennik zmian jest
przechowywany w pliku \fIwynik\fP lub jest wypisywany na standardowe wyjście,
jeśli nie poda się tego parametru.
.P
Każdy wpis jest identyfikowany przez wersję (przyjmuje się, że nie są one w
konflikcie) i są one w prosty sposób łączone w poprawnej kolejności
(malejąco wg wersji). Jeśli użyje się \fB\-\-merge\-prereleases\fP, część numeru
wersji po ostatniej tyldzie jest porzucana, przez co 1.0\-1~exp1 i 1.0\-1~exp5
są uważane za ten sam wpis. Jeśli ta sama wersja jest dostępna zarówno w
\fInowym\-a\fP i \fInowym\-b\fP, próbuje się wykonać standardowe trójdrożne
połączenie wg wierszy (zakładając, że moduł Algorithm::Merge jest dostępny —
jest częścią pakietu libalgorithm\-merge\-perl — w przeciwnym wypadku otrzyma
się globalny konflikt w zawartości wpisu).
.
.SH OPCJE
.TP 
\fB\-m\fP, \fB\-\-merge\-prereleases\fP
Porzuca część po ostatniej tyldzie w numerze wersji przy wykonywaniu
porównywania wersji, mającego pokazać czy dwa wpisy są takie same, czy nie.
.sp
Jest to przydatne, gdy używa się tego samego wpisu dziennika zmian, lecz
regularnie zwiększa się jego numer wersji. Można na przykład mieć
2.3\-1~exp1, 2.3\-1~exp2, ... aż do oficjalnego wydania 2.3\-1 i wszystkie one
posiadają ten sam wpis dziennika zmian, który zmieniać się w czasie.
.TP 
\fB\-\-help\fP
Wyświetla informację o użytkowaniu i kończy działanie.
.TP 
\fB\-\-version\fP
Wyświetla informację o wersji i pomyślnie kończy działanie.
.
.SH OGRANICZENIA
.P
Anything that is not parsed by Dpkg::Changelog is lost during the merge.
This might include stuff like Vim modelines, Emacs variables, comments which
were not supposed to be there, etc.
.
.SH "INTEGRACJA Z GITEM"
.P
Aby używać tego programu do łączenia dzienników zmian Debiana z repozytorium
git, konieczne jest wcześniejsze zarejestrowanie nowego sterownika łączenia
w \fB.git/conf\fP lub \fB~/.gitconfig\fP:
.P
 [merge "dpkg\-mergechangelogs"]
     name = debian/changelog merge driver
     driver = dpkg\-mergechangelogs \-m %O %A %B %A
.P
Następnie, konieczne jest ustawienie atrybutów łączenia pliku
debian/changelog albo w samym repozytorium, w pliku \fB.gitattributes\fP, albo
w \fB.git/info/attributes\fP:
.P
 debian/changelog merge=dpkg\-mergechangelogs
.SH TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
.br
Bartosz Feński <fenio@debian.org>, 2004-2005
.br
Robert Luberda <robert@debian.org>, 2006-2008
.br
Wiktor Wandachowicz <siryes@gmail.com>, 2008
.br
Michał Kułach <michal.kulach@gmail.com>, 2012
