.\" dpkg manual page - dpkg-scansources(1)
.\"
.\" Copyright © 2005 Roderick Schertler <roderick@argon.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-scansources 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.nh
.SH NAZWA
dpkg\-scanpackages \- tworzy pliki indeksowe Sources
.
.SH SKŁADNIA
\fBdpkg\-scansources\fP [\fIopcja\fP...] \fIkatalog\-binarny\fP [\fIplik\-nadpisań\fP
[\fIprefiks\-ścieżki\fP]] \fB>\fP \fISources\fP
.
.SH OPIS
\fBdpkg\-scansources\fP skanuje podany \fIkatalog_binarny\fP w poszukiwaniu plików
\&\fI.dsc\fP, używanych do utworzenia indeksu źródłowych pakietów Debiana, który
następnie jest wypisywany na standardowe wyjście.
.PP
The \fIoverride\-file\fP, if given, is used to set priorities in the resulting
index records and to override the maintainer field given in the \fI.dsc\fP
files.  The file can be compressed (since dpkg 1.15.5).  See
\fBdeb\-override\fP(5)  for the format of this file. Note: Since the override
file is indexed by binary, not source packages, there's a bit of a problem
here. The current implementation uses the highest priority of all the binary
packages produced by a \fI.dsc\fP file for the priority of the source package,
and the override entry for the first binary package listed in the \fI.dsc\fP
file to modify maintainer information. This might change.
.PP
\fIPrefiks_ścieżki\fP, jeśli podano, jest dołączany na początek pola Directory
w wygenerowanym indeksie źródłowym. Ogólnie jest to używane, aby pola
Directory zawierały ścieżkę od najwyższego poziomu hierarchii archiwum
Debiana.
.
.PP
\fBUwaga\fP: Aby \fBapt\fP(8) mogło użyć wygenerowanego pliku Sources, należy go
skompresować programem \fBgzip\fP(1) (tworząc plik Sources.gz). apt ignoruje
nieskompresowane pliki Sources z wyjątkiem lokalnego dostępu
(tj. pochodzącego z \fBfile://\fP).
.
.SH OPCJE
.IP "\fB\-n\fP, \fB\-\-no\-sort\fP" 4
Nie sortuje rekordów indeksu. Normalnie są one posortowane po nazwie pakietu
źródłowego.
.TP 
.IP "\fB\-e\fP, \fB\-\-extra\-override\fP \fIplik\fP" 4
Scan \fIfile\fP to find supplementary overrides (since dpkg 1.15.4; the file
can be compressed since dpkg 1.15.5).  See \fBdeb\-extra\-override\fP(5)  for
more information on its format.
.IP "\fB\-s\fP, \fB\-\-source\-override\fP \fIplik\fP" 4
Use \fIfile\fP as the source override file (the file can be compressed since
dpkg 1.15.5).  The default is the name of the override file you specified
with \fI.src\fP appended.
.sp
Format plik nadpisań źródeł różni się od formatu nadpisań pakietów
binarnych. Zawiera tylko dwa pola oddzielone od siebie białymi znakami:
pierwszym jest nazwa pakietu, a drugim \- sekcja. Linie puste oraz linie
komentarza są ignorowane. Jeśli pakiet pojawia się w obu plikach, to podczas
ustawiania sekcji nadpisanie źródeł ma większy priorytet.
.IP \fB\-\-debug\fP 4
Włącza tryb debugowania.
.IP \fB\-\-help\fP 4
Wyświetla informację o użytkowaniu i kończy działanie.
.IP \fB\-\-version\fP 4
Wyświetla informację o wersji i pomyślnie kończy działanie.
.
.SH "ZOBACZ TAKŻE"
\fBdeb\-override\fP(5), \fBdeb\-extra\-override\fP(5), \fBdpkg\-scanpackages\fP(1).
.SH TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
.br
Bartosz Feński <fenio@debian.org>, 2004-2005
.br
Robert Luberda <robert@debian.org>, 2006-2008
.br
Wiktor Wandachowicz <siryes@gmail.com>, 2008
.br
Michał Kułach <michal.kulach@gmail.com>, 2012
