.\" dpkg manual page - dpkg-divert(1)
.\"
.\" Copyright © 1995 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 1999 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2004 Scott James Remnant <keybuk@debian.org>
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-divert 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.nh
.SH NAMN
dpkg\-divert \- överstyr ett pakets version av en fil
.
.SH SYNOPS
\fBdpkg\-divert\fP [\fIflagga\fP...] \fIåtgärd\fP
.
.SH BESKRIVNING
\fBdpkg\-divert\fP är verktyget som används för att ställa in och uppdatera
listan över omdirigeringar.
.PP
File \fIdiversions\fP are a way of forcing \fBdpkg\fP(1)  not to install a file
into its location, but to a \fIdiverted\fP location. Diversions can be used
through the Debian package scripts to move a file away when it causes a
conflict. System administrators can also use it to override some package's
configuration file, or whenever some files (which aren't marked as
“conffiles”) need to be preserved by \fBdpkg\fP, when installing a newer
version of a package which contains those files.
.sp
.SH KOMMANDON
.TP 
[\fB\-\-add\fP] \fIfil\fP
Lägg till en omdirigering för \fIfil\fP.
.TP 
\fB\-\-remove\fP\fI fil\fP
Ta bort en omdirigering för \fIfil\fP.
.TP 
\fB\-\-list\fP\fI filnamnsmönster\fP
Visa omdirigeringar som matchar \fIsökmönster\fP.
.TP 
\fB\-\-listpackage\fP\fI fil\fP
Print the name of the package that diverts \fIfile\fP (since dpkg 1.15.0).
Prints LOCAL if \fIfile\fP is locally diverted and nothing if \fIfile\fP is not
diverted.
.TP 
\fB\-\-truename\fP\fI fil\fP
Visa det riktiga namnet på en omdirigerad fil.
.
.SH FLAGGOR
.TP 
\fB\-\-admindir\fP\fI katalog\fP
Ställ \fBdpkg\fP:s datakatalog till \fIkatalog\fP (standard: \fI%ADMINDIR%\fP).
.TP 
\fB\-\-divert\fP\fI omdirigera\-till\fP
\fIomdirigera\-till\fP är platsen där de versioner av \fIfil\fP som tillhandahålls
av andra paket kommer omdirigeras till.
.TP 
\fB\-\-local\fP
Anger att alla pakets versioner av denna fil skall omdirigeras. Det innebär
att det inte finns några undantag, och att oavsett vilket paket som
installeras så omdirigeras filen. Detta kan användas av en administratör för
att installera en lokalt modifierad version.
.TP 
\fB\-\-package\fP\fI paket\fP
\fIpaket\fP är namnet på ett paket vars kopia av \fIfil\fP inte kommer att
omdirigeras, dvs. \fIfil\fP kommer omdirigeras för alla paket förutom \fIpaket\fP.
.TP 
\fB\-\-quiet\fP
Tyst läge, dvs. ingen pratsam utdata.
.TP 
\fB\-\-rename\fP
Flytta faktiskt filen åt sidan (eller tillbaka). \fBdpkg\-divert\fP kommer att
avbryta körningen om destinationsfilen redan existerar.
.TP 
\fB\-\-test\fP
Testläge, dvs. utför inga faktiska ändringar, bara visa vad som skulle
hända.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Visar hjälpskärm och avslutar.
.TP 
\fB\-\-version\fP
Visar version och avslutar.
.
.SH RETURVÄRDE
.TP 
\fB0\fP
Den önskade funktionen utfördes utan fel.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH MILJÖVARIABLER
.TP 
\fBDPKG_ADMINDIR\fP
Om satt, och flaggan \fB\-\-admindir\fP inte har angivits, används värdet som
datakatalog för \fBdpkg\fP.
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE\fP
Om satt, och flaggorna \fB\-\-local\fP och \fB\-\-package\fP inte har angivits, kommer
\fBdpkg\-divert\fP använda det som paketnamn.
.
.SH FILER
.TP 
\fI%ADMINDIR%/diversions\fP
Filen som innehåller den aktuella listan med systemets omdirigeringar. Den
är placerad i \fBdpkg\fP:s administrativa katalog, tillsammans med andra filer
som är viktiga för \fBdpkg\fP, till exempel \fIstatus\fP och \fIavailable\fP.
.br
Observera: \fBdpkg\-divert\fP behåller den gamla versionen av filen, med
filtillägget \fIold\fP, innan den ersätter den med den nya.
.
.SH ANTECKNINGAR
Vid tillägg är standard \fB\-\-local\fP och \fB\-\-divert\fP
\fIoriginal\fP\fB.distrib\fP. Vid borttagning måste \fB\-\-package\fP eller \fB\-\-local\fP
och \fB\-\-divert\fP matcha om de anges.

Kataloger kan inte omdirigeras med \fBdpkg\-divert\fP.

Se upp när du omdirigerar delade bibliotek. \fBldconfig\fP(8) skapar en
symbolisk länk baserad på DT_SONAME\-fältet som är inbyggt i
biblioteket. Eftersom \fBldconfig\fP inte följer omdirigeringar (bara \fBdpkg\fP
gör det) kan den symboliska länken komma att peka på det omdirigerade
biblioteket om ett omdirigerat bibliotek har samma SONAMN som det ej
omdirigerade.
.
.SH EXEMPEL
För att omdirigera alla exemplar av en \fI/usr/bin/exempel\fP till
\fI/usr/bin/exempel.foo\fP, dvs. omdirigera samtliga paket som tillhandahåller
\fI/usr/bin/exempel\fP så att de installerar den som \fI/usr/bin/exempel.foo\fP,
och utför namnbytet om det behövs:
.HP
dpkg\-divert \-\-divert /usr/bin/exempel.foo \-\-rename /usr/bin/exempel
.PP
För att ta bort omdirigeringen:
.HP
dpkg\-divert \-\-rename \-\-remove /usr/bin/exempel

.PP
För att omdirigera samtliga paket som försöker installera
\fI/usr/bin/exempel\fP till \fI/usr/bin/exempel.foo\fP, förutom i det egna paketet
\fIwibble\fP:
.HP
dpkg\-divert \-\-package wibble \-\-divert /usr/bin/exempel.foo \-\-rename
/usr/bin/exempel
.PP
För att ta bort omdirigeringen:
.HP
dpkg\-divert \-\-package wibble \-\-rename \-\-remove /usr/bin/exempel
.
.SH "SE ÄVEN"
\fBdpkg\fP(1).
.SH ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.
