.\" dpkg manual page - dpkg-gencontrol(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006, 2012-2013, 2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-gencontrol 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.nh
.SH NAMN
dpkg\-gencontrol \- skapa Debians kontrollfiler
.
.SH SYNOPS
\fBdpkg\-gencontrol\fP [\fIflagga\fP...]
.
.SH BESKRIVNING
\fBdpkg\-gencontrol\fP läser information från ett uppackat Debiankällkodsträd
och genererar en binärpaketsstyrfil (som standard
debian/tmp/DEBIAN/control). Relationsfälten kommer att förenklas.
.sp
Fälten \fBPre\-Depends\fP, \fBDepends\fP, \fBRecommends\fP och \fBSuggests\fP förenklas
därmed, i den följden, genom att ta bort beroenden som programmet vet
tillhandahålls av starkare beroenden som redan tolkats. Det kommer även ta
bort eventuella egenberoenden (programmet tar bort alla beroenden som är
uppfyllda när den nuvarande versionen av paketet är installerat). Logiskt
behålls snittet av multipla beroenden på samma paket. Ordningsföljden mellan
beroendena behålls så långt som möjligt: om ett beroende måste tas bort på
grund av att ett beroende återkommer senare i fältet kommer det nya
beroendet att ta platsen från det som ersattes.
.sp
Övriga relationsfält (\fBEnhances\fP, \fBConflicts\fP, \fBBreaks\fP, \fBReplaces\fP och
\fBProvides\fP) förenklas även individuellt genom att beräkna unionen av de
olika beroendena när ett paket förekommer flera gånger i samma fält.
.sp
\fBdpkg\-gencontrol\fP lägger dessutom till en post för binärpaketet i
\fBdebian/files\fP.
.
.SH FLAGGOR
.TP 
\fB\-v\fP\fIversion\fP
Sätter versionsnumret på binärpaketet som skall skapas.
.TP 
\fB\-V\fP\fInamn\fP\fB=\fP\fIvärde\fP
Ställer in en utdatasubstitueringsvariabel. Se \fBdeb\-substvars\fP(5) för en
beskrivning av utdatasubstituering.
.TP 
\fB\-T\fP\fIsubstvars\-fil\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is
\fBdebian/substvars\fP.  This option can be used multiple times to read
substitution variables from multiple files (since dpkg 1.15.6).
.TP 
\fB\-D\fP\fIfält\fP\fB=\fP\fIvärde\fP
Ersätt eller lägg till ett fält i den genererade control\-filen.
.TP 
\fB\-U\fP\fIfält\fP
Ta bort ett fält ur den genererade control\-filen.
.TP 
\fB\-c\fP\fIcontrol\-fil\fP
Anger huvudkällkodskontrollfilen som information skall läsas
från. Standardvärdet är \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIändringsloggfil\fP
Anger ändringsloggfilen som information skall läsas från. Standardvärdet är
\fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIfillistfil\fP
Läs eller skriv listan över filer som skall sändas in här, istället för att
använda \fBdebian/file\fP.
.TP 
\fB\-F\fP\fIändringsloggformat\fP
Anger format på ändringsloggen. Se \fBdpkg\-parsechangelog\fP(1) för information
om alternativa format.
.TP 
\fB\-p\fP\fIpaket\fP
Skapa information för det binära paketet \fIpaket\fP. Om källkodens control\-fil
bara innehåller ett binärpaket behöver inte flaggan anges. I alla andra fall
är det nödvändigt att välja vilket binärpakets information som skall skapas.
.TP 
\fB\-n\fP\fIfilnamn\fP
Anta att filnamnet för paketet skalla vara \fIfilnamn\fP istället för det
normala paket_version_ark.deb\-filnamnet.
.TP 
\fB\-is\fP, \fB\-ip\fP, \fB\-isp\fP
Dessa flaggor ignoreras för kompatibilitet med äldre versioner av dpkg:s
byggskript men avråds numera ifrån. De användes tidigare för att tala om för
\fBdpkg\-gencontrol\fP att inkludera Section\- och Priority\-fälten i
control\-filen. Detta är numera standardbeteendet. Om du vill återskapa det
gamla beteendet kan du använda flaggan \fB\-U\fP för att ta bort fälten från
control\-filen.
.TP 
\fB\-P\fP\fIpaketbyggkatalog\fP
Talar om för \fBdpkg\-source\fP att paketet byggs i \fIpaketbyggkatalog\fP i
stället för \fBdebian/tmp\fP. Värdet används för att bestämma standardvärdet
för substitueringsvariabeln och control\-filsfältet \fBInstalled\-Size\fP (med
hjälp av \fBdu\fP), samt för att välja standardplacering av utdatafilen.
.TP 
\fB\-O\fP[\fIfilnamn\fP]
Print the control file to standard output (or \fIfilename\fP if specified,
since dpkg 1.17.2), rather than to \fBdebian/tmp/DEBIAN/control\fP (or
\fIpackage\-build\-dir\fP\fB/DEBIAN/control\fP if \fB\-P\fP was used).
.TP 
\fB\-?\fP, \fB\-\-help\fP
Visar hjälpskärm och avslutar.
.TP 
\fB\-\-version\fP
Visar version och avslutar.
.
.SH FILER
.TP 
\fBdebian/control\fP
Huvudkällkodskontrollinformationsfil, vilken innehåller versionsoberoende
information om källkodspaketet och de binärpaket som kan skapas från det.
.TP 
\fBdebian/files\fP
Listan över genererade filer som ingår i insändningen som
skapas. \fBdpkg\-gencontrol\fP lägger till de förutsatta filnamnen på
binärpaketen vars control\-filer det genererar här.
.SH "SE ÄVEN"
.ad l
\fBdeb\-substvars\fP(5), \fBdeb\-src\-control\fP(5), \fBdeb\-changelog\fP(5),
\fBdeb\-control\fP(5).
.SH ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.
