.\" dpkg manual page - dpkg-mergechangelogs(1)
.\"
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-mergechangelogs 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.nh
.SH NAMN
dpkg\-mergechangelogs \- trevägssammanslagning av Debianändringsloggar
.
.SH SYNOPS
\fBdpkg\-mergechangelogs\fP [\fIflaggor\fP...] \fIgammal\fP \fIny\-a\fP \fIny\-b\fP [\fIut\fP]
.
.SH BESKRIVNING
.P
Programmet kommer använda de 3 angivna versionerna av Debianändringsloggen
för att skapa en sammanslagen ändringsloggfil. Den skapade ändringsloggen
sparas i filen \fIut\fP eller skrivs ut på standard ut om den parametern inte
anges.
.P
Enskilda poster identifieras av sitt versionsnummer och de antas inte stå i
konflikt med varandra, de slås helt enkelt ihop i rätt ordning (enligt
minskade versionsnummer). När \fB\-\-merge\-prereleases\fP används ignoreras
versionsnumret efter det sista tilde\-tecknet, så att 1.0\-1~exp1 och
1.0\-1~exp5 anges vara samma post. När samma versionsnummer är tillgänglig i
både \fIny\-a\fP och \fIny\-b\fP görs ett försök på en vanlig radbaserad
trevägssammanslagning (förutsatt att modulen Algorithm::Merge är tillgänglig
— den ingår i paketet libalgorithm\-merge\-perl — om inte får du en global
konflikt på innehållet i posten).
.
.SH FLAGGOR
.TP 
\fB\-m\fP, \fB\-\-merge\-prereleases\fP
Ignorera delen efter det sista tilde\-tecknet i versionsnumret vid
versionsjämförelse för att ta reda på om två poster anses vara densamma
eller inte.
.sp
Det kan vara användarbart om du använder samma ändringsloggpost men ökar
versionsnumret med jämna mellanrum. Till exempel kanske du har 2.3\-1~exp1,
2.3\-1~exp2, ... fram till den officiella utgåvan 2.3\-1 och de har alla samma
ändringsloggpost som har växt fram över tid.
.TP 
\fB\-\-help\fP
Visar hjälpskärm och avslutar.
.TP 
\fB\-\-version\fP
Visar version och avslutar.
.
.SH BEGRÄNSNINGAR
.P
Anything that is not parsed by Dpkg::Changelog is lost during the merge.
This might include stuff like Vim modelines, Emacs variables, comments which
were not supposed to be there, etc.
.
.SH "INTEGRATION MED GIT"
.P
Om du vill använda det här programmet för att slå ihop Debianändringsloggar
i ett Git\-arkiv måste du först registrera en ny sammanslagningsdrivrutin
(merge driver) i \fB.git/config\fP eller \fB~/.gitconfig\fP:
.P
 [merge "dpkg\-mergechangelogs"]
     name = debian/changelog\-sammanslagningsdrivrutin
     driver = dpkg\-mergechangelogs \-m %O %A %B %A
.P
Därefter måste du ställa in merge\-attributet på debian/changelog\-filen,
antingen i \fB.gitattributes\fP i själv arkivet, eller i
\&\fB.git/info/attributes\fP:
.P
 debian/changelog merge=dpkg\-mergechangelogs
.SH ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.
