.\" dpkg manual page - dpkg-name(1)
.\"
.\" Copyright © 1995-1996 Erick Branderhorst
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-name 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.nh
.SH NAMN
dpkg\-name \- byt namnet på Debianpaket till det fullständiga paketnamnet
.
.SH SYNOPS
\fBdpkg\-name\fP [\fIflagga\fP...] [\fB\-\-\fP] \fIfil\fP...
.
.SH BESKRIVNING
.PP
Manualsidan dokumenterar programmet \fBdpkg\-name\fP, vilket tillhandahåller ett
enkelt sätt att byta namn på \fBDebian\fPpaket till deras fullständiga
paketnamn. Ett fullständigt paketnamn består av
\fIpaket\fP\fB_\fP\fIversion\fP\fB_\fP\fIarkitektur\fP\fB.\fP\fIpakettyp\fP och anges av
control\-filen i paketet. \fIVersion\fP\-delen av filnamnet består av
uppströmsversionsinformation och kan eventuellt följas av ett bindestreck
och revisionsinformationen. \fIPakettyp\fP\-delen kommer från fältet
\fIpackage\-type\fP om det finns, annars \fBdeb\fP.
.
.SH FLAGGOR
.TP 
\fB\-a\fP, \fB\-\-no\-architecture\fP
Destinationsfilnamnet kommer inte att innehålla information om arkitektur.
.TP 
\fB\-k\fP, \fB\-\-symlink\fP
Skapa en symbolisk länk istället för att flytta.
.TP 
\fB\-o\fP, \fB\-\-overwrite\fP
Befintliga filer kommer att skrivas över om de har samma namn som
destinationsfilnamnet.
.TP 
\fB\-s\fP, \fB\-\-subdir\fP [\fIkatalog\fP]
Files will be moved into a subdirectory. If the directory given as argument
exists the files will be moved into that directory otherwise the name of the
target directory is extracted from the section field in the control part of
the package. The target directory will be
«unstable/binary\-\fIarchitecture\fP/\fIsection\fP».  If the section is not found
in the control, then \fBno\-section\fP is assumed, and in this case, as well as
for sections \fBnon\-free\fP and \fBcontrib\fP the target directory is
«\fIsection\fP/binary\-\fIarchitecture\fP».  The section field is not required so a
lot of packages will find their way to the \fBno\-section\fP area.  Use this
option with care, it's messy.
.TP 
\fB\-c\fP, \fB\-\-create\-dir\fP
Flaggan kan användas tillsammans med \fB\-s\fP\-flaggan. Om en målkatalog inte
existerar kommer den att skapas automatiskt. \fBAnvänd denna flagga
försiktigt.\fP
.TP 
\fB\-?\fP, \fB\-\-help\fP
Visar hjälpskärm och avslutar.
.TP 
\fB\-v\fP, \fB\-\-version\fP
Visar version och avslutar.
.
.SH PROGRAMFEL
Vissa paket följer inte namnstrukturen
\fIpaket\fP\fB_\fP\fIversion\fP\fB_\fP\fIarkitektur\fP\fB.deb\fP. Paket vars namn ändrats med
\fBdpkg\-name\fP kommer följa denna struktur. Normalt påverkar detta inte hur
\fBdselect\fP(1)/\fBdpkg\fP(1) installerar paket, men vissa andra
installationsverktyg kan vara beroende av denna namngivningsstruktur.
.
.SH EXEMPEL
.TP 
\fBdpkg\-name bar\-foo.deb\fP
The file \fBbar\-foo.deb\fP will be renamed to bar\-foo_1.0\-2_i386.deb or
something similar (depending on whatever information is in the control part
of \fBbar\-foo.deb\fP).
.TP 
\fBfind /root/debian/ \-name '*.deb' | xargs \-n 1 dpkg\-name \-a\fP
All files with the extension \fBdeb\fP in the directory /root/debian and its
subdirectory's will be renamed by \fBdpkg\-name\fP if required into names with
no architecture information.
.TP 
\fBfind \-name '*.deb' | xargs \-n 1 dpkg\-name \-a \-o \-s \-c\fP
\fBGör inte så här.\fP Ditt arkiv kommer att röras till helt och hållet
eftersom många paket inte har någon sektionsinformation. \fBGör inte så här.\fP
.TP 
\fBdpkg\-deb \-\-build debian\-tmp && dpkg\-name \-o \-s .. debian\-tmp.deb\fP
Kan användas när nya paket byggs.
.
.SH "SE ÄVEN"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdpkg\-deb\fP(1), \fBfind\fP(1),
\fBxargs\fP(1).
.SH ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.
