.\" dpkg manual page - dpkg-scansources(1)
.\"
.\" Copyright © 2005 Roderick Schertler <roderick@argon.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-scansources 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.nh
.SH NAMN
dpkg\-scansources \- skapar indexfilerna Sources
.
.SH SYNOPS
\fBdpkg\-scansources\fP [\fIflagga\fP...] \fIbinärkatalog\fP [\fIöverstyrningsfil\fP
[\fIsökvägsprefix\fP]] \fB>\fP \fISources\fP
.
.SH BESKRIVNING
\fBdpkg\-scansources\fP söker genom den givna \fIbinärkatalogen\fP efter
\&\fI.dsc\fP\-filer. De används för att skapa ett Debiankällkodsindex, vilket
skrivs på standard ut.
.PP
The \fIoverride\-file\fP, if given, is used to set priorities in the resulting
index records and to override the maintainer field given in the \fI.dsc\fP
files.  The file can be compressed (since dpkg 1.15.5).  See
\fBdeb\-override\fP(5)  for the format of this file. Note: Since the override
file is indexed by binary, not source packages, there's a bit of a problem
here. The current implementation uses the highest priority of all the binary
packages produced by a \fI.dsc\fP file for the priority of the source package,
and the override entry for the first binary package listed in the \fI.dsc\fP
file to modify maintainer information. This might change.
.PP
\fIsökvägsprefix\fP läggs, om den anges, till i början av katalogfältet i det
skapade källkodsindexet. Du använder det normalt till att göra så att
katalogfälten innehåller sökvägen från toppen av Debianarkivhierarkin.
.
.PP
\fBObservera:\fP Om du vill läsa den skapade Sources\-filen med \fBapt\fP(8) måste
du antagligen komprimera filen med \fBgzip\fP(1) (vilket skapar filen
Sources.gz). apt ignorerar okomprimerade Sources\-filer, förutom vid lokal
åtkomst (dvs. \fBfile://\fP\-källor).
.
.SH FLAGGOR
.IP "\fB\-n\fP, \fB\-\-no\-sort\fP" 4
Sortera inte indexposterna. De sorteras normalt efter namn på
källkodspaketet.
.TP 
.IP "\fB\-e\fP, \fB\-\-extra\-override\fP \fIfil\fP" 4
Scan \fIfile\fP to find supplementary overrides (since dpkg 1.15.4; the file
can be compressed since dpkg 1.15.5).  See \fBdeb\-extra\-override\fP(5)  for
more information on its format.
.IP "\fB\-s\fP, \fB\-\-source\-override\fP \fIfil\fP" 4
Use \fIfile\fP as the source override file (the file can be compressed since
dpkg 1.15.5).  The default is the name of the override file you specified
with \fI.src\fP appended.
.sp
Källkodsöverstyrningsfilen har ett annat format än
binäröverstyrningsfilen. Den innehåller endast två fält avdelade med
blanktecken, där det första är namnet på källkodspaketet och det andra är
sektionen. Tomma rader och kommentarer ignoreras på vanligt sätt. Om ett
paket specificeras i båda filerna kommer källkodsöverstyrningsfilen först
för att välja sektion.
.IP \fB\-\-debug\fP 4
Slå på felsökning.
.IP \fB\-\-help\fP 4
Visar hjälpskärm och avslutar.
.IP \fB\-\-version\fP 4
Visar version och avslutar.
.
.SH "SE ÄVEN"
\fBdeb\-override\fP(5), \fBdeb\-extra\-override\fP(5), \fBdpkg\-scanpackages\fP(1).
.SH ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.
