.\" dpkg manual page - dpkg-split(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2011 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-split 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.nh
.SH NAMN
dpkg\-split \- Verktyg för att dela/slå ihop Debianpaket
.
.SH SYNOPS
\fBdpkg\-split\fP [\fIflaggor\fP...] \fIåtgärd\fP
.
.SH BESKRIVNING
\fBdpkg\-split\fP delar upp binära Debianpaketfiler i mindre delar och slår
samman dem igen, för att göra det möjligt att lagra stora paketfiler på små
media, till exempel disketter.

Programmet kan köras manuellt med flaggorna \fB\-\-split\fP, \fB\-\-join\fP och
\fB\-\-info\fP.

Det har även ett automatiskt läge, vilket aktiveras med flaggan \fB\-\-auto\fP. I
det läget hanterar det en kö av delar som setts men ännu inte återställts,
och återställer en paketfil när den sett alla dess delar. Flaggorna
\fB\-\-listq\fP and \fB\-\-discard\fP gör det möjligt att hantera kön.

Alla funktioner för uppdelning, sammanslagning och köande visar informativa
meddelanden på standard ut; dessa kan ignoreras.
.
.SH KOMMANDON
.TP 
\fB\-s\fP, \fB\-\-split\fP \fIhelt\-arkiv\fP [\fIprefix\fP]
Delar ett ensamt binärt Debianpaket i flera delar.

Delarna namnges som \fIprefix\fP\fB.\fP\fIN\fP\fBof\fP\fIM\fP\fB.deb\fP där \fIN\fP är numret på
delen, räknat från 1, och \fIM\fP är det totala antalet delar (båda angivna
decimalt).

Om inget \fIprefix\fP ges tas filnamnet för \fIhelt\-arkiv\fP, inklusive
katalognamn, med den avslutande \fB.deb\fP borttagen.
.TP 
\fB\-j\fP, \fB\-\-join\fP \fIdel\fP...
Slår samman de olika paketdelarna, och återskapar den ursprungliga filen som
den såg ut innan den delades.

Delfilerna som ges som argument måste alla vara delar av exakt samma
ursprungliga binärfil. Varje måste finnas exakt en gång i argumentlistan,
men de behöver inte listas i ordning.

Delarna måste naturligtvis alla ha genererats med samma delstorlek när
uppdelningen skedde, vilket betyder att de vanligtvis måste ha genererats
vid samma körning av \fBdpkg\-split \-\-split\fP.

Delarnas filnamn är inte signifikanta för sammanslagningsproceduren.

Förvalt namn på utdatafilen är \fIpaket\fP\fB_\fP\fIversion\fP\fB_\fP\fIark\fP\fB.deb\fP.

.TP 
\fB\-I\fP, \fB\-\-info\fP \fIdel\fP...
Skriver ut information, i människoläsbar form, om delfilerna som
anges. Argument som inte är delar av binärpaket resulterar i ett meddelande
som talar om detta (men fortfarande på standard ut).
.TP 
\fB\-a\fP, \fB\-\-auto \-o\fP\fI fullständig\-utdata del\fP
Köa automatiskt delarna och återskapa paketet om möjligt.

Den \fIdel\fP som anges undersöks och jämförs med andra delar av samma paket
(om sådana existerar) i kön av delar av paket.

Om alla delar av ett paket av vilket \fIdel\fP är en del av är tillgängliga
kommer paketet att återskapas och skrivas till \fIfullständig\-utdata\fP (vilken
vanligtvis inte redan bör existera, även om det inte vore ett fel om det
gjorde det).

Om inte kommer \fIdel\fP att kopieras till kön och \fIfullständig\-utdata\fP skapas
inte.

Om \fIdel\fP inte är en del av ett delat binärpaket kommer \fBdpkg\-split\fP att
avsluta med returvärde \fB1\fP; om något annat fel uppstår avslutar det med
returvärde \fB2\fP.

Flaggan \fB\-\-output\fP eller \fB\-o\fP måste ges då \fB\-\-auto\fPanvänds.  (Om detta
inte vore ett krav skulle det anropande programmet inte veta vilken
utdatafil som förväntades.)
.TP 
\fB\-l\fP, \fB\-\-listq\fP
Listar innehållet i kön över paket att återställa.

För varje paketfil för vilken delar finns i kön visas i utdata namnet på
paketet, antal delar i kön, och det totala antalet byte som är lagrade i
kön.
.TP 
\fB\-d\fP, \fB\-\-discard\fP [\fIpaket\fP...]
Kastar bort delar från kön över de som väntar på återstående delar av paket.

Om inget \fIpaket\fP anges töms kön helt; om paket anges kastas bara delar för
de(t) paket som anges.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Visar hjälpskärm och avslutar.
.TP 
\fB\-\-version\fP
Visar version och avslutar.
.
.SH FLAGGOR
.TP 
\fB\-\-depotdir\fP\fI katalog\fP
Anger en alternativ katalog för kön av delar som väntar på automatisk
sammanslagning. Förvalet är \fB%ADMINDIR%\fP.
.TP 
\fB\-S\fP, \fB\-\-partsize\fP \fIkibibyte\fP
Anger maximal storlek vid delning, i kibibyte (1024 byte). Förval är 450
KiB.
.TP 
\fB\-o\fP, \fB\-\-output\fP \fIfullständig\-utdata\fP
Anger filnamnet för utdata vid sammanslagning.

Används istället för förvalet vid manuell sammanslagning (\fB\-\-join\fP) och
krävs för automatisk köa\-eller\-sammanslå (\fB\-\-auto\fP).
.TP 
\fB\-Q\fP, \fB\-\-npquiet\fP
Vid automatisk köa\-eller\-sammanslå skriver \fBdpkg\-split\fP normalt ett
meddelande om den matas med en \fIdel\fP som inte är en binär paketdel. Denna
flagga undertrycker meddelandet, vilket gör det möjligt för program såsom
\fBdpkg\fP att hantera både delade och odelade paket utan att producera
felaktiga meddelanden.
.TP 
\fB\-\-msdos\fP
Tvingar utdatafilnamn skapade av \fB\-\-split\fP att vara msdos\-kompatibla.

Misshandlar prefixet \- antingen förvalet taget från indatafilnamnet, eller
det som angetts som argument: alfanumeriska tecken görs till gemener,
plustecken ersätts med \fBx\fP och alla andra tecken kastas.

Resultatet trunkeras så långt som möjligt, och filnamn på formen
\fIprefixN\fP\fBof\fP\fIM\fP\fB.deb\fP genereras.
.
.SH RETURVÄRDE
.TP 
\fB0\fP
Den efterfrågade delningen, sammanslagningen eller annan åtgärd
lyckades. \fB\-\-info\fP\-kommandon lyckas även om indatafilen inte är en del av
ett binärpaket.
.TP 
\fB1\fP
Uppkommer endast med \fB\-\-auto\fP och anger att \fIdel\fPfilen inte var en del av
ett binärpaket.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, a file that
looked like a package part file but was corrupted, or interactions with the
system, such as accesses to the database, memory allocations, etc.
.
.SH MILJÖVARIABLER
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) in the
\fBdeb\-split\fP(5)'s \fBar\fP(5) container.
.
.SH FILER
.TP 
\fB%ADMINDIR%/parts\fP
Förvald kö\-katalog för delfiler som väntar på automatisk sammanslagning.

Filnamnen som används i katalogen är i ett internt format för \fBdpkg\-split\fP
och är knappast användbara för andra program, och hur som helst kan inte
formatet på filnamnen litas på.
.
.SH PROGRAMFEL
Kompletta detaljer för paket i kön kan inte fås utan att själv gräva i
kö\-katalogen.

Det finns inget lätt sätta att testa om en fil som kan vara en del av ett
binärpaket faktiskt är det.
.
.SH "SE ÄVEN"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\-deb\fP(1), \fBdpkg\fP(1).
.SH ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.
