.\" dpkg manual page - dpkg-trigger(1)
.\"
.\" Copyright © 2008-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-trigger 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.nh
.SH NAMN
dpkg\-trigger \- ett verktyg för paketutlösare
.
.SH SYNOPS
\fBdpkg\-trigger\fP [\fIflaggor\fP...] \fIutlösarnamn\fP
.br
\fBdpkg\-trigger\fP [\fIflaggor\fP...] \fIkommando\fP
.
.SH BESKRIVNING
\fBdpkg\-trigger\fP är ett verktyg för att explicit aktivera utlösare och för
att testa om de stöds av den körande \fBdpkg\fP.
.PP
Det kan användas av utvecklarskript i komplexa och villkorliga situationer
där filutlösare, eller det deklarativa \fBactivate\fP\-direktivet i
utlösarstyrfilen inte kan uttrycka det som behövs. Det kan även användas för
test och av systemadministratörer (men observera att utlösarna inte kommer
att faktiskt köras av \fBdpkg\-trigger\fP).
.PP
Okända utlösarnamnsyntaxer är ett fel för \fBdpkg\-trigger\fP.
.
.SH KOMMANDON
.TP 
\fB\-\-check\-supported\fP
Se om den \fBdpkg\fP som körs stöder utlösare (anropas vanligtvis från ett
postinst\-skript). Avslutar med \fB0\fP om en \fBdpkg\fP med utlösarstöd har kört,
eller \fB1\fP med ett felmeddelande på standard fel om inte. Det är dock
normalt sett bättre att bara aktivera den önskade utlösaren med
\fBdpkg\-trigger\fP.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Visar hjälpskärm och avslutar.
.TP 
\fB\-\-version\fP
Visar version och avslutar.
.
.SH FLAGGOR
.TP 
\fB\-\-admindir=\fP\fIkat\fP
Change the location of the \fBdpkg\fP database. The default location is
\fI%ADMINDIR%\fP.
.TP 
\fB\-\-by\-package=\fP\fIpaket\fP
Överstyr den som väntar på en utlösare (sätts vanligen av \fBdpkg\fP genom
miljövariabeln \fBDPKG_MAINTSCRIPT_PACKAGE\fP i utvecklarskript, för att namnge
det paket som skriptet tillhör, och detta används som standard).
.TP 
\fB\-\-no\-await\fP
Denna flagga gör så att det anropade paketet T (om det finns) inte behöver
vänta på hantering av utlösaren; det/de intresserade paketet/paketen I
kommer inte läggas till T:s väntelista för hantering av utlösare och T:s
status ändras inte. T kan anses vara installerat även om I kanske ännu inte
har hanterat utlösaren.
.TP 
\fB\-\-await\fP
This option does the inverse of \fB\-\-no\-await\fP (since dpkg 1.17.21).  It is
currently the default behavior.
.TP 
\fB\-\-no\-act\fP
Bara testa, ändra inte på någonting.
.
.SH RETURVÄRDE
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH MILJÖVARIABLER
.TP 
\fBDPKG_ADMINDIR\fP
Om satt, och flaggan \fB\-\-admindir\fP inte har angivits, används värdet som
datakatalog för \fBdpkg\fP.
.
.SH "SE ÄVEN"
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\fP(1), \fBdeb\-triggers\fP(5), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP.
.SH ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.
